Welcome

0. Welcome To Soundprobe

Soundprobe is an advanced and very powerful sound editor, recorder and effects processing package for Windows 95/98/NT/ME and 2000. To make full use of Soundprobe you need a PC computer with one of the above operating systems, along with one or more Windows compatible sound cards.

It is the perfect creative tool not only for manipulating and mixing multiple tracks of music but also to make outstanding and diverse sounds for use in multimedia and application development.

Soundprobe has been designed to enable complex editing of sounds in an intuitive and powerful environment. The interface uses all the standard Windows features such as toolbars, pop-up menus and keyboard shortcuts, giving you a friendly and uncluttered interface with power at your fingertips.

Everyone from dabblers to DJs will find Soundprobe to be the sound editor of their dreams. No slouch on low-spec machines, its ability to load and record sounds directly to hard disk or memory makes it lightning fast on high-end systems.

Advanced Features

An advanced recording section enables you to record from any Windows input device directly into Soundprobe. (Alternatively you may open sound files in a variety of standard sound formats.) Once a sound is on your screen, use Soundprobe to edit and apply effects and then save in AIFF, WAV, MP3 or any other of the various sound file formats supported by Soundprobe.

An astounding number of powerful effects enable musicians and developers to bring sounds to life.

All effects may be customised with presets and advanced parameter variations, including powerful vector envelopes which allow control of how any part of an effect changes over time. You can simulate a wide variety of room acoustics, apply filtering to remove or enhance certain frequencies, add popular 60s style effects such as flanger, change the pitch, reduce noise levels, remove clicks and pops, reduce voices for use with a karaoke machine, and plenty more besides.

Much effects processing can be done in real-time using the Preview and Real-time commands:

  • The Preview command enables you to quickly hear how an effect will sound, plus you may dynamically change an effect during processing either manually or automatically.
  • The Real-time command provides you with the power of expensive effects hardware --- but with more flexibility and options. It uses the input from your sound card, applies an effect and then plays the result, all in real-time. All you need is a sound card that has full duplex support and a processor that is fast enough to process the effect.
  • Almost all of the effects support real-time processing --- from filtering, changing the pitch, reverb and echo to flanger, distortion, vocoder and voice reduction.
  • You can also record your manual changes in real-time, enabling complex effects processing and recording all in one package!

But Soundprobe is not just about effects. Take sound editing to a new level with true frequency editing, which enables edits and effects to be applied to any selected frequency band by simply selecting the frequencies on a spectrogram.

An enormous suite of editing features is available, including manual waveform editing and interpolation, plus advanced regions and looping alongside a powerful cross fader for those really difficult loops.

Soundprobe boasts four types of fast-rendering visualisation graphs, including spectrograms, a uniquely combined time and frequency graph, 3D frequency surfaces as well as the usual time display. The full multi-document interface enables multiple views of the same sound, each with its own graph and selection, making Soundprobe a joy to use.

Registration

To buy Soundprobe, visit us at www.soundprobe.com. You can order on-line using your credit or debit card, or phone us on: 01525 718181 to place your order over the phone. You may also write to:

Soundprobe
HiSOFT
The Old School
Greenfield
MK45 5DE
England

Technical Support

If you need help and if you have registered Soundprobe (see Registration, above), please call the HiSOFT support line on +44 (0)1525 718181 (10am-5pm, Mon-Fri) or e-mail soundprobe@hisoft.co.uk.


Tutorials

1. Tour

1. Interface

Upon executing Soundprobe for the first time, you are presented with the default layout and an empty workspace which is shown below.

See Environment

At the top of the main window are the menu options available within Soundprobe. When you have a document open in Soundprobe these menus will extend to show all available commands relating to the document, as well as these main menu commands.

From the Help menu you can find various commands to help you through Soundprobe and to get more information via the web. Soundprobe offers many commands via keyboard shortcuts, you can find a full list of these in Help > Keyboard.

Futher keyboard help can be found by hovering over the toolbar icons, this will give you information about the icon and if it also has a keyboard shortcut this will be shown also.

Soundprobe has many options that enable you to fully customise how Soundprobe appears and how you interact with it. All these options are available from Tools > Properties.

See Properties

Contained within the main properties is also list of options that change how how Soundprobe interacts with you via confirmation messages. The default state of Soundprobe is towards safety, so that you need to confirm commands before Soundprobe will continue. From the Options tab in Properties you can disable these confirmation options and other options.

An essential hardware component for Soundprobe is your soundcard. You can view information about your soundcard from within Soundprobe and you can select which sound device you are using for systems with multiple soundcards, and set options to control how Soundprobe interacts with your soundcard.

See Sound Input and Output

2. Opening a sound

To open a sound file into Soundprobe, select File > Open. This will display the open file dialog, from here you can view your files and information on supported files, plus you can play them from the dialog.

See Opening Sounds

To open a file, you must first select it from the open file dialog. Click on the file you want to view open. This will select it and display information about the file at the bottom of the open file dialog.

When you have selected the file you want to open, click Open to open the sound file into a document within Soundprobe. You should now be presented with a graphical display of the sound, this should look something like the image below.

Soundprobe uses a multi-document interface system, this means that you can load as many sounds as your system can manage into the Soundprobe environment and view and edit them at the same time. This also offers the ability to open multiple views of the same sound enabling you to work and edit different sections of the same sound, or view different graphs of the same sound. To open a new view of a sound, you must first have it open within Soundprobe, then you need to select Window > New Window. This opens a new view which is associated with the same document you had active.

See Environment > Documents

Once you have a new view you can use the commands in the Window menu to arrange your windows within the Soundprobe environment. Use Window > Tile Vertically to arrange the windows to look like the image below.

Soundprobe also has a recording section that enables you to take the sound input from your soundcard and create a new document from it. Once you have record a sound into Soundprobe, you can then save it out into one of the support sound file formats. Internally Soundprobe can handle over 2 Gb of sound data, in act it is only limited by the available hard drive space. Although currently Windows is unable to create files of this size, you can record many hours of sound into Soundprobe at CD quality or higher, and then edit this sound, or save out sections to files.

A simple example would be recording an hour of sound at CD quality (stereo, 44.1 kHz, 16-bit), this requires 606 Mb, but if you wish to record this at higher quality for high end recording 96 kHz and 32-bit, this would require you to record at 96 kHz, 32-bit, this would then require 2423 Mb which is 2.37 Gb! this could then be edited and resample to CD quality once completed, of course editing such large amounts of data would not only require Soundprobe, but a very high end system with a fast hard drive, lots of RAM and a powerful CPU.

See Recording

3. Graphical Displays and Editing

Soundprobe offers many ways to display your sound. Each has advantages and disadvantages and displays different information. The most common is the standard 2D Time Graph. This simply displays the amplitude of the sound over time which shows you how the sound varies its envelope. Soundprobe has many options to change how this appears so if you prefer you can change it to look plain which may draw slightly faster on some systems, or in its default state of shaded. The shading gives now extra information, but makes the display a little friendly and not so harsh.

Shaded 2D Time Graph

Plain (Peak) 2D Time Graph

Selections are created by clicking over the graph and dragging to highlight a section of the sound. The default selection style in Soundprobe is a frame, rather than the usual inversed box. If you prefer the inverse style then this can be selected in the Properties > Display. The frame selection style has the advantage that you can see the sound inside the selection without any distortion due to inversing the colours, this is most noticeable in the other graphical view where the colour of the drawn sound is vital to you ability to compare sections and spot sound changes and patterns.

Further editing can be done using the 2D Time Graph by manually changing the waveform of the sound. To use this you need to zoom in so that you can see each sample (use Zoom 1:1), on this view you have the options to directly draw the waveform, or various tools to interpolate or draw lines.

See Manual Editing

In some other applications for editing sounds you have to worry about editing boundaries, especially when cutting and pasting and applying effects that drastically change the sound. At these boundaries you can get discontinuity of the sound which result in a click. In Soundprobe under the Editing Properties you can use Smooth Editing. This removes the worry and enables you to freely edit the sound at any point and with any effect and still have a smooth clean result.

Soundprobe offers the ability to view frequency information via a spectrogram. This is called a 2D Frequency Graph in Soundprobe. By using this view you can see the changing sound patterns, and easily spot areas of noise, sudden changes due to clicks and pops, errors in the sound, voice patterns, quickly find beats and strong signals such as drums and bass and see high frequency sound which is not always easy to hear. This type of view takes a little getting to know, but mastering the information in a spectrogram is a very useful skill and will speed up sound editing and remastering enormously over the standard 2D Time based editing. As with the 2D Time Graph you have the option to change how this graph is display, you can change the colours and how many frequency bands are shown.

When using the graphical displays within Soundprobe, it is advised to have at least 16-bit colour depth (32-bit is the best to use). The colour information is very important, not just for looks, but for seeing the sound, so a good display is vital unless you only use a plain 2D Time Graph.

The 2D Frequency Graph has the additional option of frequency editing. This is another place that the frame selection becomes very important. By enabling frequency editing (via the Control Bar) you can make a selection which not only selects a section of time, but also a frequency band. When selecting a frequency band you only do this per channel (for example on the left channel) you then have various options in the selection editor to set how Soundprobe uses the selection, for example you can select to use both channels when you apply a command to the selection, rather than just the select channel.

The above sound was filtered very quickly by selecting a frequency band (enable the Frequency check box on the Control Bar), and then selecting Clear from either the Edit menu or from the Standard toolbar. This then clears the sound you have selected, which in this case was a frequency band. This enable you to very quickly find sections of your sound which have unwanted frequencies and remove them simply by selecting them and selecting clear. Most editing commands and effects work with frequency editing, this enables you to extract frequency bands quickly and easily, or to limit the affect and effect has to only a selected frequency band, or to create some really new and unique sounds by applying effects to only certain bands, for example, select a frequency band, and then select Edit > Flip Horizontally.

See Frequency Editing

Note: if you are using frequency editing it is advised that you use Smooth Editing to prevent clicks when cutting sections of the frequency spectrum.

By using frequency selections you can also zoom into frequency bands. If you zoom into a frequency band you may need to increase the frequency resolution in the Properties so that you can see more frequency bands, but keep in mind that increasing the frequency resolution reduces the time resolution. Further more you can also select frequency bands and then use Play Selection to only hear the selected frequencies. If you wish to use Play Selection whilst in frequency editing but with to hear all frequencies, hold down SHIFT whilst selecting Play Selection to stop play using the frequency selection.

To assist in giving more information on a single graphical display, Soundprobe has a 2D Colour Time Graph which combines the information from the 2D Time Graph and the 2D Frequency Graph enabling you to see the time envelope and the frequency changes all on a single graph. This has the use that you can quickly see changes from low to high frequency dominated sound and so you can quickly compare sounds all on one graph. Spotting sections which have the same or similar colours will sound similar also, by also using the time envelope you can quickly spot sounds which are very similar. The other advantage of the colouring is to break up the time information into clear sections so that you can quickly see where one sound starts and another ends. Getting to know this graph will pay off greatly in speeding up editing and spotting sound patterns which you could normally only see on a spectrogram. As with the previous two graphs, you can change the colours and options available for this graph in the Properties. This also has the advantage that you can change how the frequencies are shown by changing the colours associated with each band. A little time experimenting with this graph is worth while.

4. Creating Static Effects

Soundprobe has a wide range of effects from simple the delay to the advanced repair clipping effect. This enables Soundprobe to be used for a wide variety of audio processing and editing. You can create funky loops for dance music, cool sounding vocals, repair old vinyl for remastering, edit final cuts of your tracks, even mix track together. The possible uses of Soundprobe go beyond anything else, with so many effects and so many combinations of parameters, with so many ways to change the effects, even by changing them over time. But if all this is too much for you, there are the preset effects which are simple and quick to select and apply. Soundprobe can be as simple, or complex as you need. If you come across a new and interesting combination of effect parameters then you can create your own presets, and even share them with others using the effects preset manager.

See Preset Manager

Static effects are what most other sound effects application have. You apply the effect to the sound, and it processes the whole sound in the same way, with the same settings, and sounds the same over the whole time of the sound. For many processes this is the result that you need and for this Soundprobe has the option of using the effects in this standard way, which for most effects in Soundprobe is the default state.

See General Effects

Some simple examples of static effect processing would be to apply a simple brighten to a sound. To do this you first need to open a sound file, preferable a track with some high frequencies, maybe a dull sounding track from a tape for example a track with some hi-hats. Now select the Enhance > Bright or Smooth menu item.

The default settings for this are 150 % boost for the brightness of the sound. Change this to 300 % to make it very noticeable. Once you have the effects parameter set, click OK to apply the effect and close the effects dialog. Once this has finished processing, click Play to hear the result. If you're not sure it made much difference, click Undo and play the sound before it was processed, you can then click Redo and then play the processed sound.

If you want to be able to hear the sound playing without it stopping during undo/redo and other commands, enable the Auto Preview Effect option in the options tab in Properties. This enable you to play the sound and perform most editing whilst hearing the changes, plus when you enter an effects dialog, the effect is automatically previewed.

5. Dynamic Effects

One of the special features of Soundprobe is the ability to vary how an effect changes over time. This gives endless possibilities for effect processing. This feature can be used to vary how much a filter affects the sound at different times, or to create filter sweeps used lots in dance music. You can pitch bend sound, create volume envelopes, sweep filters and much more. A quick a noticeable example is filter sweeping. Open the same sound file used in the previous section for the brighten effect (or undo the changes you had made by either selecting undo, or File > Revert). Now select Restoration > Frequency Filter.

The default state of this effect is a simple bandpass filter to boost the mid frequencies. If you want to reset an effect to its default state, select the Presets drop-down list and select Defaults. From this default state, change the effect to a lowpass filter by selecting the Filter Type drop-down list.

Now set the Stop Level slider to the left most position (0% or -INF dB). Next, enable the Low Freq Variable Frequency check box, this tells Soundprobe you want to vary this parameter over time. Click on the Low Freq Variation button to show the variations dialog.

In this dialog at the top is the variation settings for the linear variation type. This tells Soundprobe that you want to vary the lowpass cut-off (Low Freq) from 10 Hz to 22000 Hz over the sound.

Click OK to set this and exit this dialog, then select OK to apply the effect and exit the effects dialog. To view this change, select the 2D Frequency Graph. You should see that the filter has swept upwards linearly through the frequency spectrum creating a filter sweep in, a common effect in dance music.

See Time Variations

6. Previewing Effects

One of the main advantages of the Soundprobe effects system is the ability to preview how an effect will sound before you apply it to your sound. This also enables you to make adjustments on the fly or to manually change parameters by recording the output back to another document. For many effects you are creating subtly changes which can be difficult to hear, but the when switch back and forth between the original sound and the sound with the effect applied can make it noticeable.

There are several ways this can work, you can either use Preview and switch the effect on and off using With FX or Without FX, or you can use the Difference option to subtract the original sound from the sound after the effect is applied, or you can use the Auto Preview option mentioned in section 4.

Soundprobe also offers the ability to use the real-time abilities of the effects on your sound card input. This can turn your PC into a real-time effects system with more power and effects than you can possibly buy for the price of Soundprobe as hardware. To use this feature fully you will need to have a reasonable fast PC and good soundcard. If you simply want to use the real-time with a CD or something similar and you can have a delay between the sound input and the output from the effect (the buffer size), then you can use this feature on slower systems (buffer size of around 200 ms). If you need to have a minimal lag between the input and output, for example if you are using a keyboard, guitar of vocals as the input, then you need a fast system to get the buffer size down to around 30 ms, you may also find that the latest soundcard drivers and Windows version will help, when using buffers this small every speed improvement or system enhancement can help keep the quality high and response fast. It is fully possible to use this feature on laptops for real-time processing on the fly.

7. Using FFT Effects

Soundprobe has many effects which are based around a powerful processing method known as FFT processing. This splits the sound into its frequency components and processes these, before transforming back to the normal time based sound. Soundprobe gives you control over this processing by using an Advanced option in the Accuracy option for these effects. This is well worth getting to know! The Advanced option can make a huge difference to the quality of your effects processing. From the Advanced dialog you can control how the FFT is allowed to change the sound, this enables you to virtually remove the artifacts that can be produced due to the digital processing on the FFT.

See FFT Effects

Some examples of times to use this feature are hiss reduction and vocal removal. In the case of hiss reduction you may find that too much processing can remove too many frequencies and give a synthetic quality to the sound. In this case you can use the Advanced option to limit the frequency changes, or to limit how much the filter is allowed to affect the frequencies over the spectrum. In the case of vocal removal you may find too many high frequencies get removed. Most voices have a certain band over which they are the strongest which depends on the voice, you can work this out using the 2D Frequency Graph by looking for the voice pattern, or by using a band pass filter to find where the voice appears and disappears, or using the frequency editing ability to play selected frequency bands. If you know the band which is most likely to have the voice in it you can use the Advanced option to limit the affect of the vocal remover effect on the frequencies outside this band.

8. Improving editing

Time is money, and generally the longer you are editing and processing, the less time you have for other things. Soundprobe is designed to make your editing experience as fast as possible. Getting to know the tricks for faster editing is well worth doing, here is a quick run down of things to experiment with. Learning time saving tricks takes time, but generally saves more time than it takes to learn. Soundprobe works with lower end systems, but if you do have a high end system, then Soundprobe can take advantage of the extras to give you superior speed and processing.

  • Fast CPU means power and speed, Soundprobe uses lots of floating point processing, so a CPU with very good floating point speed can give a major boost, at the time of writing this the AMD Athlon is one of the best CPUs to use Soundprobe with.
  • Lots of fast RAM, I mean lots! If you edit sounds which are small then 64MB is enough under most versions of Windows, if you edit sounds larger than 10 Mb in size (about 60 seconds of CD quality) then you really need around 128MB. If you want to edit CD tracks you need 256Mb or more. Remember that editing a normal 5 minute CD track is about 50 Mb, so if you apply some changes, and effects, each one using an undo/redo then you are starting to have 200 or more Mb stored on your system.
  • Use RAM and not your HD for the virtual memory used by Soundprobe. If you have a fast HD then use the editing virtual memory as HD and the main sound memory as RAM. If you have low RAM (128 Mb or less) it is best to use HD for all (or AUTO), if you notice Soundprobe suddenly becoming slow, you have problem started using the Windows virtual memory, in this case make sure Soundprobe is using HD for its virtual memory, try not to allow the Windows virtual memory to take over, this will degrade performance of Soundprobe and your system against how fast Soundprobe should be under normal operation.
  • Use a low Graph Cache if you are using RAM based editing, and mid range (about 1MB) if using HD editing.
  • Use a Cache Size of around 1MB for HD editing, and around 256 Kb for RAM based editing. This is very dependant on your system and the speed of its components, run some tests (such as changing the sizes and applying the same effect to see how long it takes) to see what gives the best speed for you and your editing.
  • Use a clean HD partition for your Soundprobe virtual memory files, and ensure this is always defragmented (unless always empty).
  • If you have sounds open which you are not using, close them to free the resources. This is also applicable to the copy buffer, the windows clipboard and the undo/redo system.
  • Close applications you are not using to ensure Soundprobe has as many system resources as possible.
  • Use the ESC key to break graph drawing when you don't need to see the results.
  • Use the the wheel on a wheel mouse to zoom the cursor, if you don't have a wheel mouse then you need one, it makes editing much much faster.
  • Know the keyboard shortcuts.
  • Close toolbars and arrange the layout to suit you.
  • Learn to use the 2D Frequency and 2D Colour Time Graphs, they can make a big difference.
  • Use Smooth Editing so you don't have to worry about editing boundaries and clicks.
  • Learn to know the FFT based effects if you use these for processing, the Advanced option can make a big difference to speed (using low resolutions when you can) and quality.
  • When you have a selection, use the handles to change the size and to auto scroll around as you move/extend the selection.
  • Use the Auto Follow Cursor option in the Display Properties to see the sound as it plays.
  • Turn on/off options in the Options Properties which don't suit you.
  • Learn to use the Preview and Auto Preview to hear the effect before it is applied, save time have to use Undo.
  • Create effect presets for common settings you use. (share these with others via the Soundprobe website).
  • Turn off visualisation that you don't need to use, each one takes processor time away from the main application.
  • Get lots of RAM!

Learning Soundprobe is a worth while experience.
We hope you have many hours of funky editing.


Environment

2. Soundprobe Environment

Soundprobe environment consists of the workspace, an area around the workspace into which you can place toolbars, the control bar located along the bottom of the main window, plus the menus of course.

Toolbars

Soundprobe has a variety of preset toolbars which provide you with quick access to all of the main functions. You can open all the toolbars and arrange them around the workspace, or you can open just the toolbars you use the most.

To get quick help on a toolbar icon:

  • Hover over the icon for a few seconds to get a tooltip showing the name of the icon, while hovering over the icon, a description of the function appears in the status bar at the bottom of the main window.

To get detailed help on a toolbar icon:

  • Hover over the icon and press F1.

To open/close a toolbar:

  1. Select View > Toolbars.
  2. Select/deselect the toolbar from the menu.

or

  1. Right-click over any toolbar to show the pop-up menu.
  2. Select/deselect the toolbar from the menu.

To undock a toolbar from the toolbar area:

  • There is a small bar located on the left side of each toolbar; drag this to move the toolbar. Drop the toolbar in the workspace to undock the toolbar - i.e. turn it into a floating tools palette. (You may also drag any part of a toolbar which isn't part of a button, e.g. the separator between buttons.)

To dock a floating tools palette in a toolbar area:

  • Drag-and-drop the palette into a toolbar area.

To prevent a toolbar from docking:

  • Hold down CTRL while moving the toolbar.

NOTE: some toolbars will dock only in the top toolbar area. To check if a toolbar will dock at the sides, move it to where you want to dock it - if the toolbar can be docked here, the highlighted area will change shape to fit vertically down the sides of the window.

Toolbar reference

Standard | Selections

Play | Frequency

Zoom | Regions

Direct FX | Special FX

Manual Editing | Processing

Restoration | Enhancements

The control bar

A special bar is located at the bottom of the main Soundprobe window. This is the control bar. From here you can numerically enter the currently viewed area of sound and the selected area of the sound. It also gives you direct access to the frequency editing option plus enables you to numerically enter the currently selected frequency area. Located on the control bar are the most commonly used play buttons, zoom and selection buttons. There is also a VU meter for monitoring the sound level of either the sound output from Soundprobe, or the Windows input. In the centre of the control bar is the time at which the play cursor is currently located.

To enable/disable the control bar

  1. Select View > Toolbars.
  2. Select/deselect Control Bar.

or

  1. Right-click over any toolbar to display the pop-up menu.
  2. Select/deselect Control Bar.

The control bar VU meter

The VU meter is a special area of the control bar. You may change its appearance and the way it responds to sound, or you may hide it if its activity is distracting you. Hiding the control bar VU meter will also give more memory and CPU time to other parts of the program.

To disable the control bar VU meter:

  1. In the control bar, right-click over the VU meter to display the pop-up menu.
  2. Deselect the Enable option.

To enable the control bar VU meter:

  1. In the control bar, right-click over the area where the VU meter is normally displayed (under the play cursor time) to display the pop-up menu.
  2. Select the Enable option.

To change the properties of the control bar VU meter:

  1. Right-click over the control bar VU meter to display the pop-up menu.
  2. Select the Properties option.
  3. The VU Meter Properties dialog is described elsewhere in this help file.

To change the control bar VU meter between sound output/input:

  1. Right-click over the control bar VU meter to display the pop-up menu.
  2. Select the the Output or Input option.

Documents

Soundprobe uses a multiple-document interface (MDI). This enables you to open many files at the same time, all within the same environment, and to view them one at a time, or many at once. In the case of Soundprobe, a document is a sound and all its information (i.e. rate , author, etc.), plus a list of markers, regions and the loop playlist.

To open the File Properties dialog:

  • Click on the document information located at the top right of the document's view window. You may edit the information contained in the Properties panel at any time. This information is saved with the document, no matter which sound type (file format) you select in the Save dialog.

Views

Each open document has at least one view that enables you to see the sound stored in the document. For each view, Soundprobe opens a window within the main application window. The view is the area of the sound you wish to be displayed within its own window.

Soundprobe enables you to open multiple views, all associated with the same document. This enables you to see different areas of a sound at the same time and to easily copy and paste between them. Each view can have its own selection enabling you to make multiple selections and view different areas of the same sound.

Whenever you click on a view window you activate that view and the view's document; while this view is active its document will be used by effects to set the Apply To document each time you enter an effects dialog. If there is a selection made in the active view this is the selection that will be used for all editing while that view is active.

You can click on other non-view windows without changing the active document and view.

The view's title bar displays the name of the document; this will always be the same as the document's filename. Until a new document is saved for the first time its name will be “Untitled”.

After you modify a document an asterisk will be displayed after the document name to indicate that the document has been changed but not yet saved, for example “mysound.aiff*”.

Multiple views are indicated in the title bar by a colon after the document name, for example “mysound.aiff*:2” means that this is the second view associated with “mysound.aiff” and that changes have been made since the last save.

To quickly move around the sound with the viewbar:

  • Click anywhere within the viewbar (top left of the document view). If the viewbar is not visible it means it is currently set to be hidden; select View > Show > Viewbar to display it.

To scroll the view:

  • Drag the scroll bar at the foot of the view window.

or

  • Click the scroll bar buttons to the left and right of the scroll bar to move the view of the sound by an eighth of a page each click.

or

  • Click on either side of the scroll bar.

To quickly zoom in and out:

  • Click on the zoom buttons located at bottom left and bottom right of the view window.

To open a new view:

  • Select Window > New Window to open a new view window.

    NOTE: Do not confuse the Window menu with the View menu. The Window menu contains commands which enable you to open and manipulate the display of view windows, whereas the View menu contains command which enable you to change aspects of the currently selected view, such as what kind of graph to display for example.

To quickly arrange all open views:

  • Select the Window menu; from here you can select Cascade, Tile, Tile Horizontally and Tile Vertically.

To close a view:

  • Activate the view you wish to close and select Window > Close.

or

  • Click the view's close icon.

To close all view windows:

  • Select Window > Close All. (Closing all views will close all open documents.)

To close all views of one document:

  • Select File > Close.

See Also:

  • Quick Tour
  • Getting Sounds into Soundprobe
  • Saving Sounds
  • Viewing Sounds
  • Sound Sections
  • Sound Input and Output
  • Editing
  • Effects
  • Visualisation
  • Properties


Getting Sounds into Soundprobe

3. Getting Sounds into Soundprobe

Sounds can be brought into Soundprobe by opening a variety of file formats, or by recording a sound directly from your Windows input device . Soundprobe also has a tone generator which will enable you to create simple synthetic sounds. Sounds may also be copied from other applications via the Windows clipboard and used within Soundprobe.

Opening Sounds

Soundprobe supports the following file formats: ACM Wave, Amiga IFF (16SV & 8SVX), Apple AIFC, Apple AIFF, AVR, MPEG Audio (Lame), Raw PCM data, RIFF Wave, Studio 16.

To open a file:

  • Double-click on the sound file's icon.

or

  • Right-click on the sound file's icon or its name and select Open or Open With.

or

  • Select File > Open from within Soundprobe.

Soundprobe handles sounds internally in 32 bits. To retain this high quality when editing and applying effects you can automatically convert all bit resolutions upon loading a sound. Naturally, this alone will not improve the quality of the original file. However, it will mean that there is no reduction in quality during the file's time in Soundprobe.

To automatically convert all files to 32-bit upon loading:

  1. Select Tools > Properties.
  2. Click the Editing tab.
  3. Enable the Open All Files As 32-bit option.
  4. Click OK to set the changes.

Using the Open Dialog

The Open dialog enables you open a sound file into Soundprobe. From this dialog you can play the sound before opening it to ensure that you have the sound you wanted. Only sound file formats supported by Soundprobe are displayed in the File of Type drop-down list.

To show only files of a specific format:

  1. Select the File of Type drop-down list.
  2. Select the file format type from this list to make Soundprobe display only these file types in the Open dialog.

To show all file formats supported by Soundprobe:

  • Select File of Type > All Supported.

To show all files types:

  • Select File of Type > All Files.

To change file type options:

  1. Select the file format type from the File of Type drop-down list.
  2. Select the Options button to change the options for this type.

Note: only some file formats support options; if not supported the options button will be disabled.

To play a file:

  1. Select the file from the file list.
  2. Select the Play button to play the file.

Note: Only file formats supported by Soundprobe will be played.

To stop playing a file:

  • Click the Stop button; this button is displayed only when a file is playing.

To automatically play a file:

  1. Enable the Auto Play option.
  2. Select the file you wish to play and, if this format is supported by Soundprobe, it will begin playing.

To load a file:

  1. Select the file from the file list.
  2. Click the Open button to load it into Soundprobe.

To load multiple files:

  1. Select the first file from the file list.
  2. Hold down the CTRL key and select the other files, or use the SHIFT key to select a block of files.
  3. When all the required files are selected, click the Open button to load them into Soundprobe.

Workspaces

By using workspaces you can quickly load and save collections of sounds you are working with, or automatically load the last set of sounds you were working on. Soundprobe enables you to save all the information which makes up the workspace, i.e. which documents you have open, their window positions and number of views and graph modes.

To save a workspace:

  1. Select File > Save Workspace.
  2. Use the file dialog to select a filename for your workspace.
  3. Click Save to save the workspace information.

To load a workspace:

  1. Select File > Open Workspace.
  2. Use the file dialog to select the workspace file to load.
  3. Click Open to load the workspace information.

To automatically save and load the workspace between sessions:

  1. Select Tools > Properties.
  2. On the General tab, enable the Open Default Workspace at Startup option.
  3. When you exit Soundprobe, all the currently open documents and views information will be saved to a default workspace file which will be automatically loaded next time Soundprobe starts.

Recording

Soundprobe enables you digitally record the sound from your Windows input device. This can be recorded into a new document and then saved to create a new sound file.

The Windows input device uses your sound card. Please check that you have the latest driver for your sound card to ensure that your hardware operates with maximum quality and compatibility.

To change your sound card input:

  1. Double-click on the Volume icon in your system tray which is usually located on the right-hand side of your Windows taskbar.
  2. Select Options > Properties in the Volume Control menus.
  3. Select Adjust volume for > Recording.
  4. Click OK to display the recording options.
  5. From this dialog you can select the type of input to use for recording and the input volume.

Note: If you are not sure on how to use the Volume Control, please consult the Windows help and your sound card manual.

Using the Easy Recording Dialog

For quickly recording a sound from your Windows input device , Soundprobe has a small recording dialog which gives you fast access to the basic recording options. For more detailed recording, use the Advanced Recording dialog.

To open the Easy Recording dialog:

  • Select the Record icon from either the control bar or the Play toolbar .

Note: If the Advanced Recording dialog appears, deselect the Always use Advanced option, then close the Advanced Recording dialog and click the Record icon again.

To change the recording attributes:

  1. In the Easy Recording dialog, click the Attributes button to display the Recording Attributes dialog.
  2. Change the recording attributes.
  3. Click OK to set the attributes.

To record to a new document:

  1. In the Easy Recording dialog, select the Record To drop-down list.
  2. Select New Document.
  3. Click Record to begin recording.

To record to the current document:

  1. In the Easy Recording dialog, select the Record To drop-down list.
  2. Select Active Document.
  3. Click Record to begin recording.

To record to a selection:

  1. In the Easy Recording dialog, select the Record To drop-down list.
  2. Select Current Selection.
  3. Click Record to begin recording.

Note: If Current Selection option is not available then you have no selection within the currently active view.

To open the Advanced Recording dialog:

  • In the Easy Recording dialog, click Advanced to display the Advanced Recording dialog.

Using the Recording Dialog

When you click Record in either the Easy Recording or Advanced Recording dialog, the Recording dialog appears. From here you can actively control your recording.

To show the VU meter:

  • In the Recording dialog, click the VU Meter radio button.

Note: The response of the VU meter depends on the size of the input buffer set on the Hardware tab in the Properties dialog.

To hide the VU meter:

  • In the Recording dialog, click the Disable radio button.

To pause the recording at the current recording position:

  • In the Recording dialog, click the Pause button.

To continue recording from the paused position:

  • In the Recording dialog, click the Continue button.

Note: the Continue button only appears when a recording is paused.

To restart the recording from the start of the document:

  • In the Recording dialog, select the Restart button.

To stop recording and close the Recording dialog:

  • In the Recording dialog, select the Stop button.

or

  • Select the Recording dialog's close icon.

Using the Advanced Recording Dialog

The Advanced Recording dialog provides more control over your recording, enabling you to do timed recording, continuous recording and to fine-tune the recording procedure.

To record a fixed length of time:

  1. In the Advanced Recording dialog, set the Mode drop-down list to Fixed Length.
  2. Under Length, enter the length of the sound you wish to record.
  3. Click Record to begin recording.

Note: If you are recording a new document you can specify only the length. The start and end edit controls will be enabled only for Active Document mode.

To record for an indefinite time:

  1. In the Advanced Recording dialog, set the Mode drop-down list to Indefinite Length.
  2. Click Record to begin recording.

To continuously record a fixed length of time:

  1. In the Advanced Recording dialog, set the Mode drop-down list to Fixed Length.
  2. Under Length, enter the length of the sound you wish to record.
  3. Enable the Continuous Recording option to tell Soundprobe to continuously record the fixed length until you stop recording.
  4. Click Record to begin recording.

Note: If you are recording a new document you can specify only the length. The start and end edit controls will be enabled only for Active Document mode.

To delay recording:

  1. In the Advanced Recording dialog, enable the Delay Record option.
  2. Enter the amount of time by which you wish to delay the recording.
  3. Click Record to begin the delayed recording. Soundprobe will wait for the time you have specified before beginning to record.

To record into the active document at a given time:

  1. In the Advanced Recording dialog, enable the Timer Record option to enable the timer controls.
  2. Enter the time and date at which you would like to start recording.
  3. Click Record to open the Timer Record dialog; this displays the remaining time before recording will begin and enables you to start the recording manually if you wish.

To trigger recording from the input sound level:

  1. In the Advanced Recording dialog, enable the Trigger check box to enable the Trigger button.
  2. Click the Trigger button to open the trigger dialog.
  3. Select the triggering options for starting and ending recording.

To automatically calibrate the gain of the recording:

  1. In the Advanced Recording dialog, enable the Gain option to enable the gain controls.
  2. Click the Calibrate button to automatically calculate the gain.

Note: To correctly calibrate the gain automatically you need to pass a sound into your input device which is a good representative of the loudest section you will record.

To manually calibrate the gain of the recording:

  1. In the Advanced Recording dialog, enable the Gain option to enable the Gain controls.
  2. Under Left and Right, enter the gain ratio.

Note: It can be helpful to use the VU meter to monitor your sound while changing the gain; this enables you to see the change of sound level with the new gain settings.

To automatically calibrate the DC offset of the recording:

  1. In the Advanced Recording dialog, enable the DC Adjust option to enable the DC controls.
  2. Click the DC's Calibrate button to automatically calculate the offset.

To enable or disable the VU meter:

  • Enable or disable the Monitor option.

To change time format displayed:

  1. In the Advanced Recording dialog, use the Input Format drop-down list to select the new time format.

To change the recording attributes:

  1. In the Advanced Recording dialog, click the Attributes button to display the Recording Attributes dialog.
  2. Change the recording attributes.
  3. Click OK to set the attributes.

To record to a new document:

  1. In the Advanced Recording dialog, use the Record To drop-down list to select New Document.
  2. Click Record to begin recording.

To record to the current document:

  1. In the Advanced Recording dialog, use the Record To drop-down list to select Active Document.
  2. Click Record to begin recording.

To record to a selection:

  1. In the Advanced Recording dialog, use the Record To drop-down list to select Current Selection.
  2. Click Record to begin recording.

See Also:

  • Soundprobe Environment
  • Viewing Sounds
  • Sound Sections
  • Editing
  • Sound Input and Output
  • Saving Sounds


Viewing Sounds

4. Viewing Sounds

Soundprobe supports a variety of graphical display modes, each with its own settings, enabling you to customise the graphs to suit your needs.

Graph Types

There are four main graph types in Soundprobe. These display the sound in the usual time domain method plus there is the option to show the frequency domain of the sound along with a graph mode which enables you to see the time domain envelope of the sound whilst also getting some timbre information.

To change the graph mode:

  • Select a document view, then select the graph type from the View menu: 2D Time Graph, 2D Colour Time Graph, 2D Frequency Graph and 3D Frequency Graph.

or

  • Right-click over a graph in a document view to display the pop-up menu. Select the graph type from the Graph menu: 2D Time Graph, 2D Colour Time Graph, 2D Frequency Graph and 3D Frequency Graph.

Graph Mode Properties

Each graph mode has certain properties that enable you to control how you view the sound. Each graph type gives a unique view of the sound, enabling you see different aspects.

To change the graph type properties:

  1. Select Tools > Properties.
  2. Click the Graphs tab to display the graph properties.

or

  1. Right-click in a document view to display the pop-up menu.
  2. Select Graph > Properties to display the Properties dialog with the Graphs tab automatically activated.

Note: The properties displayed are those for the current graph type in the active (currently selected) view. You can change the properties which are displayed by using the Graph Type drop-down list.

To change the axes:

  • On the Graphics tab in the Properties dialog, enable or disable the Axes option.

To change the grid:

  1. On the Graphics tab in the Properties dialog, enable or disable the Grid option.
  2. Enter the grid X and Y spacing values to display a grid behind the sound with the specified spacing.

Note: Only the time graphs support the grid option.

2D Time Graph

This graph type displays the sound using the usual time domain method. You can see the changing sound envelope over time with the sample value being plotted vertically. When zoomed to 1:1 (one pixel equals one sample), this mode also enables you to manually change the individual samples.

To change the draw mode:

  • On the Graphs tab in the Properties dialog, ensure Graph Type is set to 2D Time Graph and select the desired mode from the Draw Mode drop-down list.

Note: Centre, Modulus and Mirror give only an overall impression of the sound and plot only a single sample value per pixel, this causes the display to appear to change as you zoom and scroll around.

To change the plot:

  • On the Graphs tab in the Properties dialog, ensure Graph Type is set to 2D Time Graph and select the desired plot type from the Plot drop-down list.

Note: The plot type is valid only for time graphs in all draw modes except shaded.

To show the peak levels:

  1. On the Graphs tab in the Properties dialog, ensure Graph Type is set to 2D Time Graph and enable the Label Peaks and Peak Lines options.
  2. Set the Peak Level slider to the sound level at which you would like Soundprobe to display a small label showing the level.

To change the colours used to display this graph:

  1. In the Properties dialog, click the Colours tab.
  2. Select 2D Time Graph from the Type drop-down list.
  3. Edit the properties in the Colours pane.
  4. Click OK to confirm the changes.

2D Colour Time Graph

This graph mode is similar to 2D Time Graph and it also shows the changing sound envelope. The colour changes over time in response to the frequencies contained within a small section of the sound around that point in time. The actual colour depends on the colour settings for this graph type. The overall colour per section of time is built by mixing the colours specified for each section of the frequency domain.

To change the colours used to display this graph:

  1. In the Properties dialog, click the Colours tab.
  2. Select 2D Color Time Graph from the Type drop-down list.
  3. Edit the properties in the Colors pane.
  4. Click OK to confirm the changes.

2D Frequency Graph

This graph mode shows the usual frequency domain representation of the sound. The vertical axis is the frequency and the horizontal is the usual time axis. The change in colour represents the intensity level of the given vertical frequency at that point in time.

To change the frequency resolution:

  • On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 2D Frequency Graph and move the Resolution slider (in the Frequency pane) to increase or decrease the frequency resolution.

Note: A higher frequency resolution takes longer to calculate, plus it decrease the time resolution. A good compromise between frequency and time resolution is 1024 points.

To change the magnitude display:

  1. On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 2D Frequency Graph and select the display type from the Magnitude drop-down list (in the Frequency pane). The most useful magnitude is dB which gives a display more as you would hear the intensities.
  2. For the dB display, use the dB Range slider to set the lowest magnitude which should be displayed.

To change the windowing function used for the FFT:

  • On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 2D Frequency Graph and select the desired function from the Window drop-down list (in the Frequency pane).

To change the mid-colour position:

  • On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 2D Frequency Graph and move the Mid-Colour slider (in the Frequency pane) to set the point at which the mid-amplitude colour (see the Colors tab) is positioned.

3D Frequency Graph

This graph type shows the frequency domain using a 3D perspective view. The frequency axis is projected into your screen with the highest frequencies being closer to you. The vertical axis shows the intensity of the frequency at that point in time. The projection is coloured to help you see the changing frequencies; these colours can be changed on the Colors tab in the Properties dialog.

To change the frequency resolution:

  • On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 3D Frequency Graph and move the Resolution slider (in the Frequency pane) to increase or decrease the frequency resolution.

Note: A higher frequency resolution takes longer to calculate, plus it decrease the time resolution. A good compromise between frequency and time resolution is 1024 points.

To change the magnitude display:

  1. On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 3D Frequency Graph and select the display type from the Magnitude drop-down list (in the Frequency pane). The most useful magnitude is dB which gives a display more as you would hear the intensities.
  2. For the dB display, use the dB Range slider to set the lowest magnitude which should be displayed.

To change the windowing function used for the FFT:

  • On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 3D Frequency Graph and select the desired function from the Window drop-down list (in the Frequency pane).

To change the mid-colour position:

  • On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 3D Frequency Graph and move the Mid-Colour slider (in the Frequency pane) to set the point at which the mid-amplitude colour (see the Colors tab) is positioned.

To change the draw mode:

  1. On the Graphs tab in the Properties dialog, ensure that Graph Type is set to 3D Frequency Graph and move the Angle slider (in the 3D Draw Mode pane) to change the perspective of the 3D graph.
  2. Move the Step slider to set how many horizontal pixels Soundprobe uses between each polygon; using a small Step value with a Surface plot makes redrawing much slower.
  3. Set the type of display to either Line, Polygon and Surface.

Zooming

Soundprobe has a variety of ways to zoom into the sound in both the time domain and frequency domain. You can zoom into the sound along the time axis, increase the vertical size of the magnitudes and zoom into the frequencies.

Note: You can stop the graph redraw early by pressing ESC. This is useful when you have enough of the graph drawn for your needs, or if you want to zoom in/out further.

To zoom the time domain:

  • Click the Zoom In Horizontally icon in the document view.

or

  • Click the Zoom In Horizontally icon on the Zoom toolbar.

or

  • Click the Zoom In Horizontally icon on the control bar.

To zoom out the time domain:

  • Click the Zoom Out Horizontally icon in the document view.

or

  • Click the Zoom Out Horizontally icon on the Zoom toolbar.

or

  • Click the Zoom Out Horizontally icon on the control bar.

To zoom the amplitude:

  • Click the Zoom In Vertically icon in the document view.

or

  • Click the Zoom In Vertically icon on the Zoom toolbar.

or

  • Click the Zoom In Vertically icon on the control bar.

Note: In the frequency graphs the amplitude axis is a third axis going into the screen.

To zoom out the amplitude:

  • Click the Zoom Out Vertically icon in the document view.

or

  • Click the Zoom Out Vertically icon on the Zoom toolbar.

or

  • Click the Zoom Out Vertically icon on the control bar.

Note: In the frequency graphs the amplitude axis is a third axis going into the screen.

To zoom the frequency domain:

  • Click the Zoom Frequencies In icon on the Frequency toolbar.

To zoom out the frequency domain:

  • Click the Zoom Frequencies Out icon on the Frequency toolbar.

To zoom out to display the entire sound:

  • Click the Zoom 100% icon on the Zoom toolbar.

or

  • Click the Zoom 100% icon from the control bar.

To zoom out to the full frequency range:

  • Click the Zoom Frequencies 100% icon on the Frequency toolbar.

To zoom to the selection:

  • Click the Zoom to Selection icon on the Zoom toolbar.

or

  • Click the Zoom to Selection icon on the control bar .

or

  1. Select the Edit Selection icon on the Selections toolbar .
  2. Click the Zoom button.
  3. Click OK to exit the selection editor.

To zoom to the frequency selection:

  • Select the Zoom Frequencies Selection icon on the Frequency toolbar .

To zoom to the selection time and frequency range:

  • Select the Zoom Frequency Selection icon on the Frequency toolbar .

To zoom using a wheel mouse:

  1. Select Tools > Properties.
  2. Click the Display tab.
  3. Enable Zoom to Centre or Zoom to Cursor from the Mouse Wheel pane.
  4. Enter the Zoom Factor you wish to use for your mouse wheel.
  5. Click OK.
  6. Use your mouse wheel to zoom in and out. Move the wheel forwards to zoom in, backwards to zoom out.

To zoom to a specified percentage:

  • Select a value from the drop-down list on the Zoom toolbar, or manually enter the desired magnification level (as a percentage) into the edit box and press enter to apply it.

To zoom to a region:

  1. Right-click on the region title or on the region itself to display the pop-up menu.
  2. Select Zoom.

or

  1. Select View > Regions/Markers List to display the region list.
  2. Select the region from the list.
  3. Click the Zoom button.
  4. Click the Close button to exit the regions list.

To zoom to the start of the selection:

  • Click the Zoom Lead In icon on the Zoom toolbar .

or

  • Click the Zoom Lead In icon on the control bar .

To zoom to the end of the selection:

  • Click the Zoom Lead Out icon on the Zoom toolbar .

or

  • Click the Zoom Lead Out icon on the control bar .

Scrolling

You can scroll around your sound using a variety of methods, add marked views to help pin-point locations in your sound, use the viewbar or directly enter the view positions.

Note: you can stop the graph redraw early by pressing ESC. This is useful when you have enough of the graph drawn for your need, or you want to scroll around further.

To scroll by an eighth of a page:

  • Select the scroll arrows on the left and right sides of the horizontal scroll bar.

To scroll by a page:

  • Left-click in the scrolling area to the left and right of the scroll bar.

To scroll using a wheel mouse:

  1. Select Tools > Properties.
  2. Click the Display tab.
  3. Enable Horizontal Scroll from the Mouse Wheel pane.
  4. Enter the Scroll Percentage of the current view length you wish to use for your mouse wheel.
  5. Click OK.
  6. Use your mouse wheel to scroll left or right. Move the wheel forwards to scroll to the right or backwards to scroll to the left.

To scroll using the scroll bar:

  • Drag the horizontal scroll bar left or right.

To quick scroll:

  • Click in the view bar at the top of the document view, this sets the current view position.

To manually move directly to a given time:

  1. Select the contents of the View Start edit box in either the control bar, or in the View > Selection Info dialog.
  2. Type the new view position.

See Also:

  • Sound Sections
  • Editing
  • Getting Sounds into Soundprobe
  • Properties


Sound Playback

5. Sound Input and Output

Soundprobe uses the standard Windows output to play back sounds. This extends all the way to playback from within the Open dialog when choosing which file to open; enable the Auto Play option in the dialog and click on the file that you want to hear. This enables you to listen to a sound before deciding whether you want to load it. In addition, Soundprobe includes full real-time preview for almost all effects. This includes the ability to use the Windows input, transforming your computer into a powerful real-time effects machine.

Sound Hardware

You can control the response and system load of the sound output from within Soundprobe.

Buffers

Soundprobe sends and receives sound data in small blocks which are stored in buffers. The size of these buffers controls the balance between the load on your CPU and the response of the audio input and output to changes.

Using a large buffer size will give more time between each buffer needing to be filled for audio output, giving more time to the system. The disadvantage of a large buffer size is that the sound can only be changed when a buffer gets filled, so manually changing effect parameters in real-time will not give a smooth change of the effect, and the start of play will have a small delay while the buffer is filled for the first time.

To adjust the output buffer size:

  1. Select Tools > Properties.
  2. Click the Hardware tab.
  3. Adjust the Output Buffer slider.

To adjust the input buffer size:

  1. Select Tools > Properties.
  2. Click the Hardware tab.
  3. Adjust the Input Buffer slider.

To reduce CPU load:

  • Increase the size of the buffer, around 1000-2000 ms is usually good enough.

To increase the audio response to changes:

  • Decrease the size of the buffer, around 300-500 ms gives a good response to changes. If you wish to use manual parameter changes or real-time input, buffers sizes of less than 200 ms will be needed. This will depend on your system.

Real-Time Attributes

When using Soundprobe as a real-time effects machine, you can set up the attributes used to record the real-time input. This enables you to reduce the processing needed for the effects by reducing the sound quality of the input.

To change the real-time attributes:

  1. Select Tools > Properties.
  2. Click the Hardware tab.
  3. Click Attributes to show the real-time attributes dialog.

To reduce the processing needed for real-time effects:

  1. Select Tools > Properties.
  2. Click the Hardware tab.
  3. Click Attributes to show the real-time attributes dialog.
  4. Set the real-time Channels to a single channel, this will halve the processing time needed.
  5. Reduce the Sampling Rate, lower rates use less processing but reduce sound quality, around 32 kHz is a good compromise.

To make the real-time effects use CD quality recording:

  1. Select Tools > Properties.
  2. Click the Hardware tab.
  3. Click Attributes to show the real-time attributes dialog.
  4. Set the real-time Channels to Stereo.
  5. Set the Sampling Rate to 44100 Hz.

To change the real-time input channel:

  1. Select Tools > Properties.
  2. Click the Hardware tab.
  3. Click Attributes to show the real-time attributes dialog.
  4. Select one of the Channel radio buttons to change the input channel.

To change the real-time input sampling rate:

  1. Select Tools > Properties.
  2. Click the Hardware tab.
  3. Click Attributes to show the real-time attributes dialog.
  4. Select the Sampling Rate from the list.

Response Times

The response of the visualisation and manual real-time parameter changes is dependant on the sizes of the input and output buffers. Using a large size reduces the number of times the CPU needs to access the sound buffer, but reduces how often the CPU has access to the sound buffer, and hence how often the sound can be changed, or how often it can be monitored for changes.

To increase the response of visualisation:

  1. Select the visualisation properties.
  2. Change the response to between 10-20 ms, this sets how often the visualisation is updated.

See Visualisation.

To increase the response of the recording visualisation:

  • The response of the recording visualisation is linked to the size of the recording input buffer, the only way to increase the response is to use the smallest possible input buffer that your system supports for input.

See Buffers.

To increase the response of real-time effects to parameter changes:

  • The real-time effects use the size of the input buffer, as with the response of effects when using preview, this needs a small input buffer to gives a higher response to changes.

See Buffers.

Volume Control

Soundprobe uses the standard Windows audio input and output. This enables you to use the Windows Volume Controls to change the input and output levels, and enables any other additional controls your sound card supplies, for example some sound cards enable treble and bass controls.

To open the Volume Control dialog:

  • Double-click the Volume Control icon in your system tray, located at the right side of the Windows taskbar.

or

  1. Select Start > Settings > Control Panel.
  2. Select the Sounds and Multimedia icon.
  3. Click the Audio tab.
  4. Select the Volume button for playback or recording.

Note: for detailed help on using and opening the Windows Volume Control, please read the Windows help.

Changing Recording Input

As with the above Volume Control, the standard Windows input is used for all recording within Soundprobe. This enables you to use Soundprobe without any additional software and enables you to take advantage of any additional features you sound card supplies.

To open the Windows input controls:

  • Open the Windows Volume Control. The title bar will tell you if you are viewing the play controls, or recording controls.

If the you are view the play controls:

  1. Select Options > Properties.
  2. Select Adjust Volume For Recording.
  3. Click OK to change the controls to the input controls.

To change the input:

  • Along the bottom of each volume control there is a Select check box, enable the check box for the input you wish to use.

Note: if the input you want to select is not available, select Options > Properties, from the list which appears, select which controls you want to make visible. If you are unsure, consult your sound card manual or the Windows help.

To record the total output of your sound card:

  • Most sound cards allow you to select What You Hear, or Sum, as the input, select this to record the output from your sound card. Consult your sound card manual if you are unsure.

To record the wave output of your sound card:

  • Most sound cards have Wave input control, select this to record the wave output from your sound card. If this is not available, record the total output from your sound card. Consult your sound card manual if you are unsure.

File Playback

During using any file open or save dialog from within Soundprobe, you have the option to playback any file you select that Soundprobe recognises.

To playback a file:

See Using the Open File Dialog.

Playback

To play a selection:

  • Click the Play Selection icon on the Play toolbar .

or

  • Click the Play Selection icon on the control bar .

To play the lead in of a selection:

  • Click the Play Lead In icon on the Play toolbar .

To play the lead out of a selection:

  • Click the Play Lead Out icon on the Play toolbar .

To play the whole sound:

  • Click the Play icon on the Play toolbar .

or

  • Click the Play icon on the control bar .

To play a region:

  1. Right-click on the region to display the region pop-up menu.
  2. Select the Select menu item.
  3. Playback the selection.

To play from the play cursor:

  • Click the Play Selection icon on the Play toolbar .

or

  • Click the Play Selection icon on the control bar .

Note: the play cursor is represented by a zero length selection, the colour of the play cursor is usually yellow.

To loop play the selection:

  • Click the Loop Play icon on the Play toolbar .

or

  • Click the Loop Play icon on the control bar .

To pause playback:

  • Click the Pause icon on the Play toolbar .

or

  • Click the Pause icon on the control bar .

To stop playback:

  • Click the Stop icon on the Play toolbar .

or

  • Click the Stop icon on the control bar .

To play the play-list:

  • Click the Play Loops icon on the Play toolbar .

To play the clipboard:

  • Click the Play Clipboard icon on the Play toolbar .

To play the Windows clipboard:

  1. Select Edit > Windows Clipboard > Copy To Internal.
  2. Click the Play Clipboard icon on the Play toolbar .

Real-Time Effects

All general effects support a real-time Preview and Real-Time input option. During both real-time options you can manually change the effect parameters, or use the advanced time variations , you will hear the changes as you make them.

  • Preview plays the selected sound section through the effect enabling you to hear the effect before applying it.
  • Real-Time takes the Windows input and plays it through the effect making your computer into an effects machine.

To hear the changes and effect makes to a sound:

  • Click Play Difference from the effects dialog, this takes the difference between the sound after the effect is applied and the sound before the effect was applied, enabling you to hear the change the effect makes.

To increase the response to manual parameter changes:

See Response Times .

To record the output from the effect:

  • Enable the Record To New Doc option from the effects dialog before selecting Real-Time or Preview. When you now select Preview or Real-Time the output will be recorded to a document enabling you to record manual and time variation changes you make to the sound.

See Also:

  • Effects
  • Editing
  • Sound Sections
  • Getting Sounds into Soundprobe
  • Properties
  • Tools
  • Hints and Tips
  • Troubleshooting


Sound Sections

6. Sound Sections

With Soundprobe you can mark section of the sound using regions, mark points in the sound with markers, create looping sections and mark the currently viewed section of the sound.

When performing editing and effects you use a selection to mark where to apply the command. Selections can be created manually via the mouse, from marked sections or entered directly. You can select either the left, right or stereo channels.

When viewing the spectrogram you may also select frequency sections and use the advanced frequency editing features of Soundprobe.

Graph Markings

All graph modes have optional axes showing the horizontal and vertical units. When displaying the time graphs you have an option grid to mark the sample levels and time positions.

Axes

Along the vertical and horizontal sides of the graphs are the axes which display the values of the coordinates at regular positions.

To enable axes:

  1. Select Tools > Properties.
  2. Click the Graphs tab.
  3. Enable the Axes check box.
  4. Click OK or Apply to set the changes.

To change the coordinates shown:

  1. Select View > X Coordinates, or View > Y Coordinates.
  2. From the menu list, select the coordinate type.

or

  1. Right-click within the view to show the graph popup menu.
  2. Select View > X Coordinates, or View > Y Coordinates.
  3. From the menu list, select the coordinate type.

or

  1. Select Tools > Properties.
  2. Click the Graphs tab.
  3. From the Horiz Coord or Vert Coord, select the coordinate type.
  4. Click OK or Apply to set the changes.

To see the coordinates of the mouse pointer:

  • Select View > Coordinates.

Grid

When using the time graph modes you can have an optional grid displayed behind the sound.

To enable to grid:

  1. Select Tools > Properties.
  2. Click the Graphs tab.
  3. Enable the Grid check box.
  4. Click OK or Apply to set the changes.

Note: the Grid check box will be disabled unless a time domain graph is selected as the Graph Type.

To change the grid size:

  1. Select Tools > Properties.
  2. Click the Graphs tab.
  3. Enter the grid spacing into Grid X and Grid Y.
  4. Click OK or Apply to set the changes.

Note: Grid X and Grid Y will only be editable if the Grid is enabled.

To change the grid colour:

  1. Select Tools > Properties.
  2. Click the Colours tab.
  3. Select the Graph Type you want to change the grid colour for.
  4. Select the Grid item from the Colours list.
  5. Click Custom to display the colour selector dialog.
  6. Set the colour using the colour selector.
  7. Click OK in the colour selector to select the colour.
  8. Click OK or Apply to set the changes.

Note: Each time domain graph can have its own grid colour, to make them the same you will need to set each to the same colour.

Hint: To quickly copy a colour between multiple items; in the colour selector, add your colour to the custom colours, you can then select this next time you use the colour selector.

To snap the selection positions to the grid:

  1. Select Tools > Properties.
  2. Click the Display tab.
  3. Select Grid from the Snap Selection To drop-down list.
  4. Click OK or Apply to set the changes.

Selections

To edit a section of sound within Soundprobe, you need to define a selections. A selection is displayed as either a inverted frame with small box handles in each corner and along each side, or as a filled rectangle with handles.

Making a Selection

Soundprobe provides a variety of ways to make a selection. Making a new selection replaces the previous selection.

To select the whole sound:

  • Select Edit > Select > All.

or

  • Click the Select All button icon on the Selections toolbar .

or

  • Double-click within the view.

To make a selection with the mouse:

  1. Left click and hold within view.
  2. Drag the selection around the section of the sound you want to select.
  3. Release the left mouse button to set the selection.

Note: you can cancel the selection by pressing the right mouse button while you make the selection.

To select a single channel:

  • Select within only a single channel on the graph using the mouse.

or

  • Press SHIFT-L to select the left channel.

or

  • Press SHIFT-R to select the right channel.

or

  • Press TAB to switch the selection to either the left or right channel.

or

  1. Click the Selection Editor icon on the Selections toolbar .
  2. Select the channel using the Channels drop-down list.
  3. Click OK or Apply to set the changes.

or

  1. Select Edit > Select > Edit.
  2. Select the channel using the Channels drop-down list.
  3. Click OK or Apply to set the changes.

or

  1. Select View > View/Selection Info.
  2. Select the channel using the Channels drop-down list.

To directly enter the selection positions manually:

  1. Click the Selection Editor icon on the Selections toolbar .
  2. Enter the selection positions.
  3. Click OK or Apply to set the changes.

or

  • Enter the selection positions using the control bar .

or

  1. Select View > View/Selection Info.
  2. Enter the selection positions into the information dialog.

To deselect the sound:

  • Click the Selection None icon icon on the Selections toolbar .

or

  • Select Edit > Select > None.

To select a marked section:

  1. Right-click on the marker to show the markers pop-up menu.
  2. Select the Select menu option from the pop-up menu.

or

  1. Select View > Regions/Markers List.
  2. Select the region or marker from the list.
  3. Click the Select button.

To change the selection drawing type:

  1. Select Tools > Properties.
  2. Click the Display tab.
  3. Set the Selection type to either Framed or Filled.
  4. Click OK or Apply to set the changes.

To snap the selection to specific points:

  1. Select Tools > Properties.
  2. Click the Display tab.
  3. Select the snap type from the Snap Selection To drop-down list.
  4. Click OK or Apply to set the changes.

To select the view:

  • Click the Select View icon icon on the Selections toolbar .

or

  • Select Edit > Select > View.

Modifying a Selection

To move a selection:

  1. Press and hold CTRL.
  2. Left-click and hold within the view.
  3. Move the mouse left or right to position the selection.
  4. Release the mouse button to set the position of the selection.

To stretch a selection:

  1. Click and hold a handle around the border of the selection.
  2. Move the mouse to the new position.
  3. Release the mouse to set the selection.

To swap the selected channel:

  • Press TAB to switch between left and right channels.

or

  1. Select the handles on the top and bottom of the selection.
  2. Drag the handles such that the selection encloses the required channel.

See To select a single channel.

To enter the selection points manually:

See To directly enter the selection positions manually.

Marking Sound Sections

You can mark sections of the sound so that you can find them later, have sections automatically marked which of are interested, or use the marked sections for looping.

Managing Regions

You can manage your list of regions using a special dialog which enables you to duplicate, delete and edit the current regions plus create new ones manually or automatically.

Loops, Views and Markers are all special regions which have a different colours to help them stand out from each other. Each region type can be changed into any other type using the region editor. Loops can be used to create playlists using the playlist editor.

To open the regions manager:

  • Select View > Regions/Markers List.

To change the visible region type:

  1. Select View > Regions/Markers List.
  2. Select the Visible drop-down list and select region type to make visible.

To create a new region:

  1. Select View > Regions/Markers List.
  2. Click Add to create a new region and open the edit region dialog.

To delete a region:

  1. Select View > Regions/Markers List.
  2. Select the region from the list.
  3. Click Remove the delete the region.

To move the positions of a region:

  1. Move the mouse cursor over the any part of the region position you want to move, the mouse cursor will change.
  2. Click and drag the region to a new position.

Note: if you are unable to select the region check the Display options in the properties. If you are unable to move the region position, or both positions move, check your lock options for the region by selecting edit from the regions pop-up menu.

To change a region type:

  1. Select View > Regions/Markers List.
  2. Select the region you want to change from the list.
  3. Click Edit.
  4. Select the Type drop-down list and select the region type.
  5. Click OK to set the new region options.

or

  1. Right-click on the region to show the region pop-up menu.
  2. Click Edit.
  3. Select the Type drop-down list and select the region type.
  4. Click OK to set the new region options.

To clear all regions:

  1. Select View > Regions/Markers List.
  2. Click Clear All.

To edit a region:

  1. Select View > Regions/Markers List.
  2. Select the region to edit from the list.
  3. Click Edit.

or

  1. Right-click on the region you want to edit to show the region pop-up menu.
  2. Click Edit.

To play a region:

  1. Select View > Regions/Markers List.
  2. Select the region to play from the list.
  3. Click Play.

To zoom into a region:

  1. Select View > Regions/Markers List.
  2. Select the region to zoom to from the list.
  3. Click Zoom.

or

  1. Right-click on the region you want to edit to show the region pop-up menu.
  2. Select Zoom.

To select a region:

  1. Select View > Regions/Markers List.
  2. Select the region to select from the list.
  3. Click the Select button.

or

  1. Right-click on the region you want to edit to show the region pop-up menu.
  2. Select the Select menu item.

To resize the region list dialog:

  1. Move the mouse cursor the any edge of the regions dialog, the cursor will change.
  2. Click and drag the dialog to the new size.

Creating and Editing Regions

When you create or edit a region you are given a selection of options to customise each region to you needs.

To name a region:

  1. Select the Name edit box.
  2. Type in the name you want to give the region.
  3. Select the Name drop-down list to add special characters to the name which Soundprobe later replaces when showing the regions name.

To give a region a description:

  1. Select the Description edit box.
  2. Type in the description you want to give the region.

To change the type of a region:

  • Select the Type drop-down list and select the new region type.

To change the colour of a single region:

  1. Disable the Default colour check box.
  2. Click within the Colour box to show the colour selector dialog.
  3. Select the colour for the region.
  4. Click OK to select the colour.

To change the colour of a type of region:

  1. Exit the region edit dialog.
  2. Select Tools > Properties.
  3. Click the Colours tab.
  4. Select the Type drop-down list and set it to Regions.
  5. Select the region type from the list.
  6. Click Custom to open the colour selector dialog.
  7. Select the colour you want to use for this region type.
  8. Click OK to select that colour and close the colour selector.
  9. Click OK or apply to set the changes.

To use the default colour for a region type:

  • Enable the Default colour check box.

To change the appearance of a region:

  1. Select the Start or End Handle drop-down list and set a handle type.
  2. Select one of the Label types from the Label radio controls.

See Properties > Display > Regions.

To unlock or lock the length or positions of a region:

  • Select the Lock drop-down list and select a locking type.

Regions

Regions mark a start and end position within the sound and are created from the current selection.

To mark the current selection:

  • Select Edit > Regions/Markers > Quick Add Region.

or

  1. Right-click within the view to display the pop-up menu.
  2. Select Region/Marker > Quick Add Region.

or

  1. Select Edit > Regions/Markers > Add Region/Marker.
  2. Click Mark Selection.
  3. Click Add.

Markers

Markers mark a single point within the sound and are create from the current cursor.

To mark the current cursor:

  • Select Edit > Regions/Markers > Quick Drop Marker.

or

  1. Right-click within the view to display the pop-up menu.
  2. Select Region/Marker > Quick Drop Marker.

or

  1. Select Edit > Regions/Markers > Add Region/Marker.
  2. Click Mark Selection.
  3. Set the type drop-down list to Marker.
  4. Click Add.

Views

Views mark a start and end position within the sound and are created from the current view.

To mark the current view:

  • Select Edit > Regions/Markers > Quick Add View.

or

  1. Right-click within the view to display the pop-up menu.
  2. Select Region/Marker > Quick Add View.

or

  1. Select Edit > Regions/Markers > Add Region/Marker.
  2. Click Mark View.
  3. Set the type drop-down list to View.
  4. Click Add.

Loops

Loops mark a start and end position within the sound and can be used to create a playlist of loops. Loops can also be processed with the Loops Crossfader.

To create a loop:

  1. Select Edit > Regions/Markers > Add Region/Marker.
  2. Set the type drop-down list to Loop.
  3. Set the start and length.
  4. Click Add.

To create a loop from the selection:

  • Select Edit > Regions/Markers > Quick Add Loop.

or

  1. Right-click within the view to display the pop-up menu.
  2. Select Region/Marker > Quick Add Loop.

or

  1. Select Edit > Regions/Markers > Add Region/Marker.
  2. Click Mark Selection.
  3. Set the type drop-down list to Loop.
  4. Click Add.

To open the Loop Cross fader:

  • Select Tools > Loop Cross fader.

See Tools > Loop Cross fader

Automatically Creating Marks

Soundprobe supports and advanced auto creation option which can search your sound for occurrences of a number of features including beats , frequency patterns, clicks and clipping . You can then automatically mark these sections with any of the marking types.

To open the Auto Creation Dialog:

  1. Select View > Regions/Markers List.
  2. Click Auto.

Using the Auto Create Dialog

You can create any type of region to mark virtually anything in your sound. The region creation can be controlled using various limits and options.

To apply limits to the creation of regions:

  1. Enable the check box next to the type of limit you want to set.
  2. Set the limits value to force the region creation to only make regions which fit within the limits you have given.

Note: some limits will be disable if they are not suitable for the type of search you are using. You may find that enabling limits reduces the number of regions matched, if you find this happens try disabling or reducing the limit you have imposed.

To mark sections of silence:

  1. Select Search For and set to Silence.
  2. Set the silence level by setting the Below Level , any sound below this is taken as silence.
  3. Set the Threshold to how much you want to allow the sound to go above the silence before is stops being silence.
  4. Click Create.

To mark phrase sections:

  1. Select Search For and set to Phrase.
  2. Set the phrase level by setting the Above Level, any sound above this is taken as the phrases.
  3. Set the Threshold to how much you want to allow the sound to go below the phrase before the phrase ends.
  4. Click Create.

To mark beats within the sound:

  1. Select Search For and set to Beats.
  2. Set the Attack Sensitivity to detect the rise of a beat, this relates to how sharply the beat suddenly rises above the surrounding sound.
  3. Set the Release Sensitivity to detect the end of a beat, this relates to how much the beat drops below its peak level.
  4. Set the Threshold to how much you want to allow the sound to vary from the attack sensitivity, a higher threshold will detect more beats.
  5. Click Create.

To mark patterns of the sound which match a given sound pattern:

  1. Select Search For and set to Pattern.
  2. Set the Threshold to control how similar the two pattern must be, a higher value will match more patterns.
  3. Select to use the Clipboard or Document as the pattern source which must be matched.
  4. Set the Pattern Size to the frequency resolution to use, a higher resolution will make the match more precise.
  5. Select the Use First and set to the amount from the source sound use with to build an frequency overall frequency pattern from.
  6. Click Create.

To mark sections of sound which are similar to another sound:

  1. Select Search For and set to Sound.
  2. Set the Threshold to control how similar the two sounds must be, a higher value will match more sounds.
  3. Select to use the Clipboard or Document as the sound source which must be matched.
  4. Set the Pattern Size to the frequency resolution to use, a higher resolution will make the match more precise.
  5. Click Create.

To mark sections of the sound which are clipped:

  1. Select Search For and set to Clipping.
  2. Set the Above Level to the maximum sound level for unclipped sound, any sound below this will be ignored.
  3. Set the Clip Sensitivity to how much you want to allow the clipped sound to vary from flat.
  4. Set the Flat Length to the number of samples with a similar level, as set by the Clip Sensitivity, at which clipping takes place.
  5. Click Create.

To mark sections of the sound with clicks in them:

  1. Select Search For and set to Clicks.
  2. Set the Click Sensitivity to how much you will allow the sounds power to suddenly jump.
  3. Set the Threshold to how much you want to allow the power drop to vary from the initial increase, a higher threshold may start to pick out strong drum attacks.
  4. Click Create.

To set the channel used for the search:

  • Select Search Channel and choose which channel you would like to use.

Note: this option is only available with stereo sounds.

To limit the number of regions created:

  • Select Max Regions and set to the maximum number of regions you want to create before a warning dialog appears.

To change the type of region created:

  • Select Create Type and set to the type of region you would like to create.

See Creating and Editing Regions.

See Also:

  • Editing
  • Effects
  • Viewing Sounds
  • Sound Input and Output
  • Tools
  • Keyboard Shortcuts
  • Properties


Editing

7. Editing

Soundprobe has a wide variety of powerful editing features. Editing can be performed in both the time and frequency domain. All time editing can be smoothed at the editing boundaries to prevent audible clicks. Multiple undo and redo levels enable easy access to previous edits.

Editing Operations

All editing commands work by using a selection that marks the section of the sound you want to edit. Before you can select any editing command, you need to have a valid selection, if the selection is not present or valid the command will be disabled.

Interrupting Operations

During any operation which takes more than a couple of seconds, a progress bar will be displayed which indicates how long is remaining. When the progress bar appears you can stop the operation by pressing and holding the ESC key until the operation has stopped. Some operations have multiple stages; by pressing ESC, you will cancel all remaining processing.

Note: if you interrupt an undo operation, with redo disabled, you will loose the undo data and will find your sound may have been partially changed.

Every command that takes more than a couple of seconds will display a progress bar at the bottom of the main application window. This bar also shows a rough guide to how much time remains and whether you can use ESC to stop the command.

Correcting Mistakes

Virtually all editing and effects commands can be undone by using the Undo command. Soundprobe supports multiple levels of undo enabling you to step back through many changes. You may also redo any change after you have undone it, enabling you step back and forth over the changes you have made.

In some cases, the undo data can get very large and may degrade the performance of your system while using Soundprobe. If you are certain you do not wish to keep the current undo data you can free the resources it uses and prevent any degrading of system performance. If you find undo slows down your editing performance too much, you may find limit the number of undo buffers helps or disable the redo or undo completely.

To undo the last operation:

  • Select Edit > Undo.

or

  • Select Undo from the Standard toolbar .

or

  1. Select View > Undo/Redo History.
  2. Select Undo.

To undo multiple levels:

  1. Select View > Undo/Redo History.
  2. Select the undo operation from the list you wish to undo to.
  3. Click Undo To.

To undo all change stored in the undo buffer:

  1. Select View > Undo/Redo History.
  2. Click Undo All.

To undo all changes since the last save:

  • Select File > Revert.

To redo the last undo:

  • Select Edit > Redo.

or

  • Click Redo on the Standard toolbar .

or

  1. Select View > Undo/Redo History.
  2. Click Redo.

To redo multiple levels:

  1. Select View > Undo/Redo History.
  2. Select the redo operation from the list you wish to redo to.
  3. Click Redo To.

To redo all change stored in the undo buffer:

  1. Select View > Undo/Redo History.
  2. Click Redo All.

To free the undo and redo data:

  • Select Edit > Flush Undo.

To limit the number of undo operations:

  1. Select Tools > Properties.
  2. Click the Editing tab to show the Editing page.
  3. Disable Unlimited Undo Buffers.
  4. Set the number of undo levels you wish to have by using the Undo Buffers slider.
  5. Click OK or Apply to set the undo levels.

To disable or enable undo:

  1. Select Tools > Properties.
  2. Click the Editing tab to show the Editing page.
  3. Disable Unlimited Undo Buffers.
  4. Set the undo levels to zero.
  5. Click OK or Apply to set no undo.

To disable or enable redo:

  1. Select Tools > Properties.
  2. Click the Editing tab to show the Editing page.
  3. Disable the Allow Redo check box.
  4. Click OK or Apply to make the changes.

Clipboards

Soundprobe has its own internal clipboard system which enables you copy large amounts of data, over 2 Gb is possible, without degrading system performance.

The standard Windows clipboard can be used to share data to and from other applications, although this clipboard is limited to a maximum of 2 Gb of data and will degrade system performance if you place large amounts of data into it without the available RAM to do so.

To view information about the data in the internal clipboard:

  • Select View > Clipboard Viewer.

To free the internal clipboard:

  • Select Edit > Internal Clipboard > Flush.

To copy the internal clipboard to the Windows clipboard:

  • Select Edit > Windows Clipboard > Copy From Internal.

To copy the Windows clipboard to the internal clipboard:

  • Select Edit > Windows Clipboard > Copy To Internal.

Copying

With Soundprobe you can copy a selection to the internal clipboard or to the Windows clipboard enabling you share sounds with other applications and between documents.

To copy a selection:

  • Select Edit > Copy.

or

  • Click the Copy icon on the Standard toolbar .

To copy a selection for sharing with other applications:

  • Select Edit > Windows Clipboard > Copy.

To share the sound in the internal clipboard with other applications:

  • Select Edit > Windows Clipboard > Copy From Internal.

To fetch a sound from the Windows clipboard into the internal clipboard:

  • Select Edit > Windows Clipboard > Copy To Internal.

To duplicate the selected sound:

  • Select Edit > Replicate to copy the selected sound and paste it at the end of the selection.

To copy a sound file into the internal clipboard:

  1. Select Edit > Internal Clipboard > Load.
  2. Select the file you wish to copy into the internal clipboard.
  3. Click Open.

To copy the internal clipboard to a file:

  1. Select Edit > Internal Clipboard > Save.
  2. Select the filename you wish to use to save the sound.
  3. Click Save.

To copy the internal clipboard to a new document:

  • Select Edit > Internal Clipboard > To New Document.

Pasting

You can insert sounds at the position of the cursor, replace the sound within a selection, insert and replace sounds directly from a file and use sounds from the Windows clipboard enabling you share your audio work from other applications.

To insert the clipboard at the cursor:

  • Select Edit > Paste.

or

  • Click the Paste icon on the Standard toolbar .

To insert shared sound from another application:

  • Select Edit > Windows Clipboard > Paste.

To insert a sound file:

  1. Select Edit > Insert File.
  2. Select the file you wish to insert.
  3. Click Open.

To replace the sound within the selection with the clipboard:

  • Select Edit > Replace.

To replace the sound within the selection with a sound file:

  • Select Edit > File Replace.

To move the start or end of a sound to the end of start:

  • Select Edit > Rotate.

Cutting

You can chop and cut sections of your sounds to either remove or move them. When a selection is cut, it is copied to the internal clipboard so that you may paste it as many times as you need into any document.

To cut a selection and copy it to the clipboard:

  • Select Edit > Cut.

or

  • Click the Cut icon on the Standard toolbar .

To remove the sound in a selection with copying to the clipboard:

  • Select Edit > Erase.

or

  • Click the Erase icon on the Standard toolbar .

To remove all sound around the selection:

  • Select Edit > Chop.

or

  • Click the Chop icon on the Standard toolbar .

Pre and Post Processing

You can apply pre and post processing to all editing to modify the resulting sound by auto adjusting its DC offset and volume. You can also automatically convert pasted sounds so that the sampling rate matches that of the sound you are pasting into.

To automatically normalize the volume before editing:

  1. Select Tools > Properties.
  2. Click the Editing tab.
  3. Enable the Auto Pre-Normalize check box.
  4. Click OK or Apply to set the changes.

To automatically normalize the volume after editing:

  1. Select Tools > Properties.
  2. Click the Editing tab.
  3. Enable the Auto Post-Normalize check box.
  4. Click OK or Apply to set the changes.

To automatically adjust the DC offset before editing:

  1. Select Tools > Properties.
  2. Click the Editing tab.
  3. Enable the Auto DC Adjust check box.
  4. Click OK or Apply to set the changes.

To automatically convert the sampling rate of pasted sounds:

  1. Select Tools > Properties.
  2. Click the Editing tab.
  3. Enable the Auto Convert On Paste check box.
  4. Click OK or Apply to set the changes.

Smooth Editing

With Soundprobe, you can apply boundary smoothing to prevent audible clicks when performing editing or effects on sections of the sound. This can make cutting, pasting and effects processing much smoother and removes the worry of matching the waveform slope and zero crossings. All editing and effects processing can use boundary smoothing, but you may also force it to be turned off for any operation by holding down SHIFT when selecting the command.

To enable boundary smoothing:

  1. Select Tools > Properties.
  2. Click the Editing tab.
  3. Enable to Smooth Edits check box.
  4. Click OK or Apply to set the changes.

To change the width of the smoothing:

  1. Select Tools > Properties.
  2. Click the Editing tab.
  3. Set the Cross-Fade Time in milli-seconds to the width you wish to use for smoothing, around 5-10 ms is usually enough.
  4. Click OK or Apply to set the changes.

Note: using a smoothing width, which is too small, will not remove the clicks from editing on waveform slopes. If you use a smoothing width, which is comparable to or greater than, your selection width you will find the editing will be degraded and may not even change the sound. If using a small selection, either use a very small smoothing width, or turn off smooth editing.

To force smooth editing to be ignore:

  • Press and hold SHIFT when selecting the editing command, or when selecting OK or Apply with effects.

Direct Effects

Soundprobe has a large number of effects. These are categorised into Direct Effects, Special Effects, Enhancement Effects and Restoration Effects. Direct Effects are editing based effects that have no options and apply directly to the selection.

Clearing

You can set a section of the sound to silence.

To clear the sound within a selection:

  • Select Edit > Clear.

or

  • Click the Clear icon on the Standard toolbar .

Reversing

You can time reverse a section of the sound making it play backwards.

To reverse the sound within the selection:

  • Select Effects > Flip Horizontally.

or

  • Click the Flip icon on the Direct FX toolbar .

Cross Fading

You can cross fade a section of the sound which mixes a reversed copy of the selection back onto itself.

To cross fade the selection:

  • Select Effects > Cross Fade.

or

  • Click the Cross Fade icon on the Direct FX toolbar .

Inverting

You can invert the sound which makes the positive samples negative and negative become positive.

To invert the sound within the selection:

  • Select Effects > Flip Vertically.

or

  • Click the Invert icon on the Direct FX toolbar .

Volume

You can adjust the volume directly by using double, halve, fade and normalize. There is also an advanced volume effect that enables you to control every aspect of the volume change and also to create volume envelopes.

To double the volume of a selection:

  • Select Effects > Volume > Double.

or

  • Click the Double Volume icon on the Direct FX toolbar .

To halve the volume of a selection:

  • Select Effects > Volume > Halve.

or

  • Click Halve Volume on the Direct FX toolbar .

To fade in the volume of a selection:

  • Select Effects > Volume > Fade In.

or

  • Click the Fade In icon on the Direct FX toolbar .

To fade out the volume of a selection:

  • Select Effects > Volume > Fade Out.

or

  • Click the Fade Out icon on the Direct FX toolbar .

To normalize the volume of a selection:

  • Select Enhance > Normalize.

or

  • Click the Normalize icon on the Direct FX toolbar .

Pitch

You can quickly change the pitch of a selection with pitch doubling or halving. For more advanced and higher quality changes there are other effects that are dedicated to changing and bending the pitch.

To double the pitch of a selection:

  • Select Effects > Pitch > Double Pitch.

or

  • Click the Double Pitch icon on the Direct FX toolbar .

To halve the pitch of a selection:

  • Select Effects > Pitch > Halve Pitch.

or

  • Click the Halve Pitch icon on the Direct FX toolbar .

Manual Editing

You can directly draw the waveform and use tools to quickly modify the sound on a sample by sample basis.

To enable waveform drawing:

  1. Select View > 2D Time Graph.
  2. Zoom in until the manual editing tool are enabled, or use 1:1 Zoom from the Zoom toolbar .

To draw single samples:

  1. Click the Single Draw icon on the Manual Editing toolbar .
  2. Click within the view at the position you wish to set a sample level.

To draw joined samples:

  1. Click the Joined Draw icon on the Manual Editing toolbar .
  2. Click and hold within the view at the positions you wish to set a sample level.

To draw a line of samples:

  1. Click the Line icon on the Manual Editing toolbar .
  2. Click and hold within the view at the position you want to start the line of sample levels.
  3. Move the mouse to the end position you want the end of the line to be.
  4. Release the mouse to set the sample levels.

To interpolate between two samples:

  1. Click the Linear Interpolate icon on the Manual Editing toolbar .
  2. Click and hold within the view at the sample position you want to start the interpolation at.
  3. Move the mouse to the end position you want to interpolate to.
  4. Release the mouse to interpolate the sample levels.

To smooth samples:

  1. Click the Smooth Draw icon on the Manual Editing toolbar .
  2. Click and hold within the view at the positions you wish to smooth the sample levels.

To enable setting a selection during manual editing:

  • Click the Arrow icon on the Manual Editing toolbar .

Editing Effects

Two important effects when editing are mixing and volume control. Soundprobe has both a powerful mixer plus a quick mix effect. For volume changes, an advanced Volume effect can control the gain over every point of your sound.

Mix

To mix with the clipboard:

  • Set the Source to the Internal Clipboard.

Note: if the Internal Clipboard option is disabled then your internal clipboard is empty.

To mix with another document:

  1. Set the Source to Open Sound.
  2. Select the document to mix with from the Mix Document drop-down list.

To mix at maximum volume:

  • Enable the Mix Maximum Level check box.

To mix using automatic volume limiting:

  • Enable the Limiter check box.

Note: the Limiter option is only available when the Maximum Level mixing is not selected.

To mix into a new document:

  • Enable the Apply To New Doc check box.

To change the mix levels:

  • Set the slider for the source of destination.

or

  • Enter the mix level into the source or destination level edit box.

See Effects

Volume

To double the volume:

  1. Select Effects > Volume > Volume.
  2. Set the gain slider position to 200 % or 6 dB.
  3. Click OK to apply the effect and close the volume effect.

or

  1. Select Effects > Volume > Volume.
  2. Enter 200 %, or 6.021 dB into the gain edit box.
  3. Click OK to apply the effect and close the volume effect.

or

  • Select Effects > Volume > Double.

To halve the volume:

  1. Select Effects > Volume > Volume.
  2. Set the gain slider position to 50 % or -6 dB.
  3. Click OK to apply the effect and close the volume effect.

or

  1. Select Effects > Volume > Volume.
  2. Enter 50 %, or -6.021 dB into the gain edit box.
  3. Click OK to apply the effect and close the volume effect.

or

  • Select Effects > Volume > Halve.

Note: if the slider and edit box are disabled you need to deselect the Variable Gain check box.

To fade in:

  1. Select Effects > Volume > Volume.
  2. Enable the Variable Gain check box.
  3. Click Variation.
  4. Set the variation Type drop-down list to Linear.
  5. Set the Start gain to -Inf dB or 0 %.
  6. Set the End gain to 0 dB or 100 %.
  7. Click OK to set the variation.
  8. Click OK to apply the effect and close the volume effect.

To fade out:

  1. Select Effects > Volume > Volume.
  2. Enable the Variable Gain check box.
  3. Click Variation.
  4. Set the variation Type drop-down list to Linear.
  5. Set the Start gain to 0 dB or 100 %.
  6. Set the End gain to -Inf dB or 0 %.
  7. Click OK to set the variation.
  8. Click OK to apply the effect and close the volume effect.

To create a volume envelope:

  1. Select Effects > Volume > Volume.
  2. Enable the Variable Gain check box.
  3. Click Variation.
  4. Set the variation Type drop-down list to Vector.
  5. Select Vector Envelope.
  6. Click within the graph to add new envelope positions.
  7. Click OK to set the envelope.
  8. Click OK to set the variation.
  9. Click OK to apply the effect and close the volume effect.

See Controlling Effects Over Time.

To create tremolo:

  1. Select Effects > Volume > Volume.
  2. Enable the Variable Gain check box.
  3. Click Variation.
  4. Set the variation Type drop-down list to Sine Wave.
  5. Set the Start gain to 0 dB or 100 %.
  6. Set the End gain to -Inf dB or 0 %.
  7. Set the Period drop-down list to Period.
  8. Set the Period slider to 200 ms.
  9. Click OK to set the variation.
  10. Click OK to apply the effect and close the volume effect.

See Effects

Frequency Editing

You can use frequency editing with most effects and editing commands. This enables you to control which part of your sound is affected by any editing or effect. You can playback any selected frequency band using the play selection command.

Note: to use frequency editing you must use the 2D Frequency Graph so that you can select frequencies.

By selecting a band of frequencies you can limit the frequencies used by the editing commands. This enables quick and precise filtering by simply selecting the part of the sound to remove or enhance.

To further complement the time variation control of the effects, you can also limit and apply effects to selected frequency bands enabling full control over how they sound and giving every effect a whole new sound which you can control precisely.

To enable frequency editing:

  • Enable the Freq check box on the control bar .

or

  1. Select the Edit Selection icon on the Selection toolbar .
  2. Enable the Use Frequencies check box.
  3. Click OK.

To select a band of frequencies:

  • Click within the view and drag a selection box around the frequency band and time you want to edit.

To select a band of frequencies on a single channel:

  1. Select Edit > Selection > Edit to show the selection editor.
  2. Select the Freq Area drop-down list.
  3. Select the Selected item from the list.
  4. Click OK.
  5. Select the band of frequencies.

To select a band of frequencies on both channels:

  1. Select Edit > Selection > Edit to show the selection editor.
  2. Select the Freq Area drop-down list.
  3. Select the Both Channels item from the list.
  4. Click OK.
  5. Select the band of frequencies.

To select a band of frequencies across the entire sound:

  1. Select Edit > Selection > Edit to show the selection editor.
  2. Select the Freq Area drop-down list.
  3. Select the All Time item from the list.
  4. Click OK.
  5. Select the band of frequencies.

To change the area affected by frequency editing:

  1. Select Edit > Selection > Edit to show the selection editor.
  2. Select the Freq Area drop-down list.
  3. Select the area from the list.
  4. Click OK.

To prevent glitches that can arise from frequency editing:

  1. Select Tools > Properties.
  2. Select the Editing tab.
  3. Enable the Smooth Edits check box.
  4. Click OK.

Note: it is always advisable to use smooth editing when making major changes to sections of a sound to prevent audible clicks.

To zoom into a band of frequencies:

  1. Select the band of frequencies.
  2. Click the Zoom Frequencies Selected icon on the Frequency toolbar .

To apply an effect or edit to a selected frequency band:

  1. Select the frequency band.
  2. Select the edit or effect command.

Note: when using effects with frequency editing you must apply the effect to the selection.

To change the frequency editing filter:

  1. Select Tools > Properties.
  2. Click the Editing tab.

See Properties > Editing.

See Also:

  • Sound Sections
  • Effects
  • Viewing Sounds
  • Getting Sounds into Soundprobe


Effects

8. Effects

Soundprobe has a large selection of high quality effects for all your needs. Effects processing is performed using 64-bit double precision for the highest clarity with minimum added distortion. Most effects use a standard layout and controls to make each effect dialog as similar as possible, these types of effects are collectively known as general effects.

Using the General Effects

Learning to use any effect is about practice, a little knowledge and lots of artistic ability. In Soundprobe your artist ability is given more freedom to create than any other sound editing package with the flexibility and control you have over general effects. The main feature that makes general effects special is the ability to control virtually all of their parameters using time variations. All general effects also support full real-time processing and frequency editing giving your even more control.

General Effects Controls

The controls within the general effects dialogs remain constant along the top and right sides. The centre controls change depending on the effect but remain very similar. Each effect parameter that can use time variations has a slider control, an edit box, a variations check box and variations button. Each FFT based effect has a additional Accuracy control drop-down list and Options button.

Presets for each effect can be created and selected which keep all the parameter settings you have made to enable you to keep a library of the most useful parameters for you.

Each general effect enables you to preview how the effect sounds. You can manually change the parameters during preview, select a preset and create new time variations, each change can be heard as you make it.

Common Controls

The common controls along the top and right side give you a familiar layout for each general effect dialog. Along the top of the dialogs are controls to open and save effect presets, change the document and section to which the effect is applied. Down the right side are the controls for applying the effect and using the effect in real-time.

To change the document to which the effect is applied:

  1. Select the Apply On drop-down list.
  2. Select the documents name from the list to which you want to apply the effect.

To change the section of the sound in which the effect is applied:

  1. Select the To drop-down list.
  2. Select the section from the list.

Note: this option is only available if you are applying to the current document, any other document will use the entire document for the effect processing.

To open an effect preset:

  1. Select the Presets drop-down list.
  2. Select the preset name from the list to change the parameters to those contained within the preset.

To delete an effect preset:

  1. Select the Presets drop-down list.
  2. Select the preset name from the list.
  3. Click the Delete icon.

To save a new effect preset:

  1. Click within the Presets control.
  2. Enter the name for the new preset.
  3. Click the Save icon.

To replace an existing effect preset:

  1. Select the Presets drop-down list.
  2. Select the preset name from the list.
  3. Set the effects parameters.
  4. Click the Save icon.

To apply and exit the effect:

  • Click the OK button to apply the effect and close the dialog.

To apply the effect but leave the effect dialog open:

  • Click the Apply button to apply the effect only.

To exit the effect:

  • Click Close to close the effect dialog.

To preview the effect in real-time:

  • Click the Preview button to play the sound with the effect applied.

To use the Windows input to preview the effect in real-time:

  • Click Real-Time to play the Windows input with the effect applied.

To modify the current selection:

  • Click the Selection button to open the selection edit dialog.

Note: this is only available if you are applying the effect to the current document.

To record the real-time preview to a document:

  • Enable the Record To New Doc check box, the next time you use Preview or Real-Time the output will be recorded to a new document.

To prevent the effect creating an undo buffer:

  • Disable the Create Undo check box, this will temporarily disable the undo for the effects.

To force the effect to ignore smooth editing:

  • Hold down the SHIFT key before clicking OK or Apply, you can release it once the effect has started to be processed.

To apply the effect using non-destructive editing method:

  • Enable the Apply To New Doc option to create a duplicate of the sound before applying the effect.

To hear the effect applied to the sound during preview or real-time:

  • Select the With FX radio button to enable the effect.

To hear the original sound with the effect applied during preview:

  • Select the Without FX radio button to turn off the effect.

To hear the difference between the original sound and the sound after the effect is applied during preview:

  • Select the Difference radio button to subtract the original sound from the sound after the effect is applied.

Parameters

Most parameters in Soundprobe use the units that you have selected in the properties. Each effect parameter which supports time variation has the same group of associated controls which give you access to the time variation options. Many parameters can be varied over time, all at the same time, each with its own options giving total control of the effect.

To change the units used for a single parameter:

  1. Select the edit box for the parameter.
  2. Enter a value for the parameter followed by the unit type, for example 100 %, 0 dB, 1000 Hz, 1 kHz.

Note: if you enter a value without any units, the previously used units are assumed. To be able to manually set the units you must have the global unit type set to Last Used.

To change the global units used throughout Soundprobe:

  1. Select Tools > Properties.
  2. Click the Display tab.
  3. Select the Parameter Units drop-down list and select the unit type.

To change a parameter using the mouse:

  1. Set the parameter slider.
  2. Move the slider, or use the arrows keys to move the slider.

To type the value of a parameter:

  1. Click in the parameters edit box.
  2. Enter the value.

To enable time variation:

  • Enable the parameters Variable check box.

To change the time variation of a parameter:

  • Click the Variations button.

See Time Variations

FFT Effect Controls

Many advanced effects use an FFT for the effect processing, which can cause distortion if the sound is suddenly changed by a large amount. To help control the affect the FFT has on a sound, a section of advanced controls are available to control virtually every aspect of an FFT effect.

Accuracy

The accuracy of an FFT effect is based on a balance between the frequency resolution and the time resolution. The higher the frequency resolution, the lower the time resolution and vice versa, this balance is known as the uncertainty principle. With some effects this balance doesn't have much of an affect, such as standard frequency band filtering, but on some FFT effects it can improve the quality of the result dramatically but is dependant on the sound being processed and the required result so must be set manually.

Another side to the FFT is the speed that it takes to process the effect. A high frequency resolution takes longer to process and can make a big difference when using real-time processing. If you find your system is not fast enough to process an FFT based effect, you can try decreasing the frequency resolution, or turning off some of the advanced options.

There are some preset accuracy settings available which give some compromises for speed. If you need high quality processing, then it is advisable to use the advanced options and set the frequency resolution manually depending on the sound being processing and the parameters being applied.

To select an accuracy preset:

  1. Select the Accuracy drop-down list.
  2. Select the preset from the list.

To use the advanced FFT options:

  1. Select the Accuracy drop-down list.
  2. Select Advanced from the list.
  3. Click the Advanced button to display the advanced FFT options dialog.

Advanced Options

The advanced FFT options give you total control over how the FFT effect is applied to the sound.

To set the FFT resolution:

  • Set the Resolution slider.

To change the time overlap of the FFT frames:

  • Set the Overlap slider.

Note: it is advised to use an overlap to smooth changes between each FFT frame.

Limiting the Frequency Changes

You can restrict the frequencies which are affected, how much they are affected, how quickly the sound is allowed to be change and even which intensities are allowed to be changed by the effect.

To limit the intensities affected:

  1. Enable the Limit Intensities Affected check box.
  2. Select the Limit Type drop-down list.
  3. Select the type of intensity to limit.
  4. Set the Low Intensity or High Intensity slider.

To limit the frequencies affected:

  1. Enable the Limit Affected Frequencies check box.
  2. Select the Frequency Limit button to show the FFT Filtering dialog.
  3. Create a frequency limit profile of how much each frequency is allowed to be affected; 0 % stops the effect having any affect on that frequencies.
  4. Click OK to set the profile and close the dialog.

To limit the change between each frequency:

  1. Enable the Limit Frequency Changes check box.
  2. Set the Max Change slider to the maximum amount each frequencies intensity is allowed to change by from the frequency band below it.

To limit the change over time:

  1. Enable the Limit Filter Changes check box.
  2. Set the Attack slider to the time it will take to filter any frequency component.
  3. Set the Release slider to the time it will take to boost any frequency component.

Controlling Effects Over Time

Soundprobe has the powerful option to change a parameters value over time. Through time variations you can create fantastic new effects, control precisely how an effect is applied to a sound at every point in time, or just make the effect sound totally weird! Time variations puts the control in your hands and gives you a flexible and powerful system for applying effects.

Time Variations

The variations dialog gives you many ways to control how a parameters value changes over time. You can create automatic sweeps from one value to another or complex envelopes which control the value at every point in time.

To sweep a parameter from a start value to another over the section the effect is applied:

  1. Select the Type drop-down list.
  2. Select Linear from the list.
  3. Set the Start and End sliders.

To sweep a parameter between two values:

  1. Select the Type drop-down list.
  2. Select one of the follow from the list: Cyclic, Triangular, Square or Sine.
  3. Select the Period drop-down list.
  4. Select how the type of period you want to set for the sweep to repeat.
  5. Set the period over which to sweep the parameter.

To use another sound to vary a parameter:

  1. Select the Type drop-down list.
  2. Select From Sound from the list.
  3. Select the Document drop-down list.
  4. Select the document that has the sound you want to use.

Note: this variation maps the min and max value sliders to the sound such the sample values in the sound range from min to max.

To use an envelope to vary a parameter:

  1. Select the Type drop-down list.
  2. Select Vector from the list.
  3. Click the Vector Envelope button to open the vector envelope dialog.

See Vector Envelope Variations .

To offset a parameters starting value:

  1. Click in the Offset edit box.
  2. Enter the time through the variation period to offset the parameters by.

Hint: by using the same variation with two parameters you can introduce a phase difference between the two parameters by offsetting one of them.

Vector Envelope Variations

By creating a simple envelope Soundprobe can interpolate the value of a parameter between each point in the envelope, controlling the parameters value at every point in time.

The vector envelope can be used to create fantastic sweeping effects, or to control the exact sound and application of an effect.

To add a new handle to the envelope:

  • Click within the envelope graph area to add a new handle at the mouse position.

To select a handle:

  1. Move the mouse cursor over one of the handles on the envelope, the cursor will change to arrows showing you can select the handle.
  2. Click to select the handle, it will change colour when selected.

To move a handle:

  1. Move the mouse cursor over one of the handles on the envelope, the cursor will change to arrows showing you can move the handle.
  2. Click and drag the handle to the new position.

To remove a handle:

  1. Select the handle you want to remove.
  2. Click Remove or press the delete key.

To reset the envelope to a static value:

  • Click Reset.

To mirror the envelope:

  • Click Flip X or Flip Y.

To manually set the coordinates of a handle:

  1. Select then handle your want to change.
  2. Click in the X coordinate edit box and enter the value.
  3. Click in the Y coordinate edit box and enter the value.

Note: the first and last handles have fixed positions, only the Y coordinate can be changed for them

To create an envelope from a preset:

  1. Select the Predefined Vectors drop-down list.
  2. Select a preset envelope from the list.

To map the envelope to the entire sound:

  • Select the Entire Document radio button.

Note: when using this mapping type, the variation is mapped to the whole document with the start of the variation corresponding to the start of the document and the end to the end of the document, where you apply the effect to within the document will offset the variation correspondingly.

To map the envelope to the application section of the sound:

  • Select the Apply Time radio button.

To map the envelope to a set time:

  1. Select the Time radio button.
  2. Enter the time into the edit box.

To resize the vector envelope dialog:

  1. Move the mouse cursor to any edge of the vector envelope dialog, the cursor will change to a resizing cursor.
  2. Click and drag the edge to resize the dialog.

Real-Time Processing

When applying effects Soundprobe has the ability to hear the effects in real-time giving you the power to fine tune your effect parameters.

Previewing Your Effect

You can preview the effects before applying them to your sounds. As you hear the sound played back with the effect you can change the parameters and hear the changes as you make them. This saves lots of time, especially on complex effect which may take several minutes to apply to large files.

To preview an effect:

  1. Open the effects dialog.
  2. Click the Preview button.

Real-Time Effect Processing

Soundprobe can be used as a powerful real-time effects box. You can control the effect in real-time, and even used time variations to setup automatic effect changes.

To use the Windows input to preview the effect:

  1. Open the effects dialog.
  2. Click the Real-Time button.

Recording Your Effect in Real-Time

With some effects you may prefer to make the time variation changes yourself, or to fine tune the effect as the sound changes. By recording the output to a new document you can vary the parameters and record the changes as you make them.

To record real-time and preview:

  1. Open the effects dialog.
  2. Enable the Record To New Doc check box.
  3. Click either Preview or Real-Time to begin recording.

Hearing the Difference

With subtle effects it can sometimes be hard to decide if the change is enough, by switch back and forth between the sound with and with out the effect applied you can quickly pick up the subtle changes.

To hear the original sound:

  • Select the Without FX radio button.

To hear the sound with effect:

  • Select the With FX radio button.

To hear the difference between the original sound and the sound after processing with the effect:

  • Select the Difference radio button.

Effect Presets

Soundprobe enables you save out the parameter settings for the effects, giving you quick access to the commonly used settings and enabling you to create and share new effects. Soundprobe has an additional application for managing your preset collection so that you can build a library of unique effects.

To select a preset:

  1. Select the Presets drop-down list.
  2. Select the preset name from the list.

To use the keyboard to quickly select a preset:

  • Press F2 to F12 to select the presets in the list from F2 as the first to the 11th preset if one is available.

See Common Controls.

Managing Presets

To open the preset manager:

  • Select Tools > Effects Preset Manager.

Note: if this menu options is not available the external application is either not present, or not within the Soundprobe folder.

To backup a preset to a file:

  1. Open the Preset Manager.
  2. Select the effect from the effect list (on the left).
  3. Select the preset to backup from the preset list (on the right).
  4. Click Save To.
  5. Select the folder to save the preset to.
  6. Click OK.

Note: if an effect does not appear in the effects list, no presets have been saved for that effect.

To save all presets to a file:

  1. Open the Preset Manager.
  2. Click Backup All.
  3. Select the folder to save all the preset files to.
  4. Click OK.

To reload a preset from a file:

  1. Open the Preset Manager.
  2. Click Load.
  3. Select the preset file to reload.
  4. Click OK.

See Also:

  • Editing
  • Special Effects
  • Enhancement Effects
  • Restoration Effects
  • Sound Input and Output


Special Effects

9. Special Effects

Backing Remover

What it Does

Removes all sound not contained within the centre channel of a stereo track. The centre channel is usually composed of mainly vocals and bass.

Use

  • To reduce the vocals and bass in a tune.
  • To remove all sound in a tune except the vocals.
  • To remove the vocals and backing so that you can process them separately and then rebuild the sound. You can use this to add effects to the vocals, or to alter the sound of the backing. Use either the frequency subtractor, or vocal remover to remove the vocals.
  • To create your own karaoke.

Note: this effect depends heavily on the stereo image of a tune. If you find the removal is poor or does not work, the tune is not suitable due to either it once was mono, the channels haven't been recorded in a standard way with vocals mainly in the centre channel or the tune has been heavily processed by effects.

Parameters

Amount

Sets by how much the sound not contained within the centre channel is removed.

Lowest Intensity

Sets the lowest frequency intensity to keep after the removal is done, this acts is a simple noise filter to remove any low intensity noise left by the removing process.

Formant Mapper

What it Does

Forces the formants from one sound onto another. This gives a similar effect to the more well known vocoder.

Use

  • To make a sound such as a string loop turn into a voice.
  • To create interesting vocals from other sounds and voices.

Parameters

Source

Selects the sound to use for the formant structure, this is then mapped onto the sound to which the effect is applied.

Document

Selects the document to use for the source sound when using a document source.

Formats

Remap: takes the formants from the source and directly remaps them onto the effects document.

Map: maps the formants from the source onto the effects document without removing the documents formant structure.

Remove: removes the formant structure from the effects document, this can be used to manually remap formants allowing the formants and residuals to be processed manually before being recombined.

Keep: removes the residuals retaining mainly the formant structure, this is the complimentary option to the above remove option to manually remap formants.

Residual Map: combine the residuals left behind from the remove option and the formant structure from keep to remap the formants, the source should contain the formant structure and the effects document should have the residuals.

Amount

Sets the amount of the formant structure to map from the source onto the sound being processed.

Smoothness

Controls the overall formant structures features. By using a low percentage for the smoothness value you keep more of the formant structure from the source sound to give a clear voice pattern. Increasing the smoothness gives a more blurred formant structure and gives mainly the impression of a voice rather than clear phonemes.

Scale

This combines a simple frequency scaling with the process to allow simple tuning of the overall pitch.

Mapping Type

This option changes how the length of sound is used during the mapping process. If you have two sounds with different lengths this allows you to perform simple time stretching on the source sound during the processing.

Once: Keeps the original length of the source sound, for sounds which have a smaller length to the sound being processed no formant mapping will happen once the source sounds end has been reached.

Cyclic: Similar to the Once option, but when the source sounds end is reached, the sound will be cycled and start from the sources beginning until the whole effect is applied.

Stretch/Compress: Time stretches or compresses the source sound to fit the same length as the effects sound.

Stretch To: Set the time to time stretch or compress the source sound to, if you make this smaller than the effects sound, the source will be cycled as in the cyclic option.

Vocal Fader

What it Does

Reduces the vocals contained within a stereo track by using the stereo image to reduce the centre channel.

Note: this effect will loose the stereo image after processing.

Use

  • To reduce the vocals in a tune to give a karaoke style tune.

Parameters

Bass Cut-Off

Sets the upper frequency for the bass which is usually lost during vocal fading.

Vocal Remover

What it Does

Removes the vocals contained within a tune by using the stereo image to build a pattern of the vocal track and then removes this from the stereo track.

Use

  • To remove the vocals from a tune to make it suitable for karaoke.
  • To remove the vocals and backing so that you can process them separately and then rebuild the sound. You can use this to add effects to the vocals, or to alter the sound of the backing. Use either the frequency subtractor, or backing remover to remove the vocals.

Parameters

Amount

Sets by how much the sound in the centre channel is removed.

Lowest Intensity

Sets the lowest frequency intensity to keep after the removal is done, this acts is a simple noise filter to remove any low intensity noise left by the removing process.

Bass Frequency

Sets the upper bass frequency which is usually lost during vocal removal.

Vocoder

What it Does

Maps the overall frequency pattern from one sound onto another by breaking the sound into bands, each band is then used as the gain to filter the other sound resulting in the general formant structure of the source sound becoming mapped onto the effects sound.

Use

  • To force a sound to talk or sing by vocoding with a voice. The voice would be the source sound, and a synthetic or string instrument would be the sound to which you apply the effect.

Parameters

Gain

Sets the overall gain applied to the sound to help compensate for lost or clipped sound levels.

Source

Selects the source sound to use for the filter gains, this is usually a voice.

Document

Select the document to use as the source sound when using a document source.

Bands

Selects the number of filters to use, a higher number results in a clearer voice structure become start to distort the sound if too high.

Smooth

Selects by how much to smooth the gains of the filters.

See Smooth Map .

Scale

This combines a simple frequency scaling with the process to allow simple tuning of the overall pitch.

Mapping Type

This option changes how the length of sound is used during the mapping process. If you have two sounds with different lengths this allows you to perform simple time stretching on the source sound during the processing.

Once: Keeps the original length of the source sound, for sounds which have a smaller length to the sound being processed no formant mapping will happen once the source sounds end has been reached.

Cyclic: Similar to the Once option, but when the source sounds end is reached, the sound will be cycled and start from the sources beginning until the whole effect is applied.

Stretch/Compress: Time stretches or compresses the source sound to fit the same length as the effects sound.

Stretch To: Set the time to time stretch or compress the source sound to, if you make this smaller than the effects sound, the source will be cycled as in the cyclic option.

Interpolate Bands

When enabled, this will interpolate the gain values to give an overall smoother vocoded sound.

Smooth Map

Selects to smooth the gains of the filters so the differences between them isn't so great, this can give a smoother result giving more an impression of the voice rather than a hard voice pattern.

Boost "s" Frequencies

Selects to boost the higher frequencies which can suffer during vocoding, this helps when using a voice source which can loose its sharpness after vocoding.

Add Noise

What it Does

Add white static noise to a sound.

Use

  • To add noise to a sound so that you can degrade the sound quality.

Parameters

Level

Sets the level of the noise to add to the sound.

Add Scratch

What it Does

Adds clicks to a sound to simulate errors caused by either CD reading, or vinyl.

Use

  • To add errors to the sound to degrade the sound quality.

Parameters

Occurrence

Sets how likely the scratches are to be added to the sound.

Add Silence

What it Does

Adds zero level sound.

Use

  • Add additional space for effects such as reverb to the end of a sound.

Parameters

Space Size

Sets how much silence to insert into the sound.

Add Space To

Selects where to insert the silence.

Delay

What it Does

Use

  • Delay can be used to create a single echo a given time after the initial sound.
  • Delays around 35 milliseconds (ms) give a slap echo (general used on drums).
  • Greater than 35ms are heard as a discrete echoes.
  • Delay times below this level give a simple static flanging effect.
  • By using the variation option for the delay, it is possible to create sweeping effects like a flanger.
  • By applying slightly different delays to a stereo sound, which has mono information, it is possible to give a “stereo” feel to it.

Parameters

Delay

This sets the time from the initial sound to the delayed copy of the sound. The copy is mixed into the original to give a single echo.

Level

This sets the level of the delayed sound. Setting this to a negative value causes delayed sound to be inverted; this can be used to give weird phasing effects.

Dry Level

This sets the level of the original (dry) sound. If you wish to keep only the delay, you can set this to zero. Applying a dry level of zero to a document will move the sound by the delay time to the right. This is more useful when doing real-time with a microphone, adding a delay can help prevent feedback.

Chorus

What it Does

Use

  • Chorus is used to give the impression of multiple voices or sound sources. This is normally applied to voices to give a choir type sound. This adds richness by making it sound like there are many voices or instruments.
  • It can also be used to create strange sounds similar to a flanger. A chorus is very similar to a flanger, except you have many voices (delayed sounds) all which slightly different variations.

Parameters

Offset

See Flanger .

Length

See Flanger .

Decay

This sets how much to feedback into the chorus. This can be used to give the impression of even more voices, and to add a small amount of echo to the effect.

Depth

See Flanger .

Voices

This sets the number of different delays to use. A large number can be overwhelming and cause clipping. If this happens, try reducing the depth, or the original sounds level.

Echo

What it Does

This effect creates a series of decaying echoes. Unlike Decay that creates only a single echo, this time the echo continues until its level drops to zero.

Use

  • You can create effects such as a metallic pipe (small length), to canyon type echoes that are large and decay slowly.
  • By using the stereo options it is possible to add extra depth to the stereo components of music.

Parameters

Echo Type

Normal: This type of echo simply echoes the left channel and right channel independently.

Stereo: This echoes the right channel into the left channel, and the left channel into the right. This can add extra depth to stereo sounds.

Combined: This takes the mono components of a stereo sound (usually the centre channel, left+right), and echoes this over the left and right channels.

Note: This option is only available for stereo sounds.

Length

This sets the time for an individual echo. Using small values creates a pipe type of echo (small and quick). Large values create vast hall or canyon type echoes.

Delay

This is the initial delay before the first echo. This can be used to add extra spatial size to the echoes.

Depth

This sets the level of the first echo and hence all subsequent echoes. This is very similar to the Reverb depth parameter.

Attenuation

Attenuation sets how much you wish each subsequent echo to decrease its amplitude (level) by. Setting this high will cause the echo to decay very rapidly, giving a short punchy echo. A low value will cause the echo to last for a long time, setting this to a negative value can create weird phasing echoes, but can also cause too much feedback.

If you find the echo creates too much feedback (your sound gets distorted), then undo the effect and try increasing the attenuation (or making it more negative for negative attenuation).

Flanger

What it Does

Flanging creates a sweeping effect, which moves through the frequencies of the sound. This is achieved by using a modulated delay. This causes a phase canceling effect where the sound cancels out certain frequencies periodically.

Use

  • To add interesting frequency sweeps which were common during the 80s, but now used more generally to add a gentle sweeping effect.

Parameters

Offset

This allows you to change the start frequency, which gets affected. Setting this to zero will affect all high frequencies, increasing the size moves the phasing affect down to lower frequencies. Setting this to the maximum can also add a small amount of echo to the effect, the offset is simply a delay before the flange starts.

Length

By using this you can change which frequencies are affect by the flanger. Setting a short length causes the higher frequencies to be dominated by the phasing. A long length causes the mid-range to bass to be affect most.

To create a static flange you can disable the variation checkbox. If you wish to increase the speed of the flange, or change how low it lasts, then use enable the variation check box and click the variation button.

See Effects > Time Variations .

Depth

This sets the level of the flange. Setting this to a negative value causes some frequencies to cancel (rather then reinforce), known as negative flanging.

Multi-Flanger

What it Does

This effect combines two flangers into one effect. One has is negative flange, and the other positive. This causes strange phasing sounds with parts of the sounds canceling and others reinforcing.

Use

See Flanger .

Parameters

Offset

See Flanger .

Length 1/Length 2

These are the lengths for the 1st and 2nd flange.

See Flanger .

Depth

See Flanger .

Resonant-Flanger

What it Does

This is similar to a flanger, but feeds the output back into the effect. This gives weird sci-fi type sounds.

Use

See Flanger .

Parameters

Offset

See Flanger .

Length

See Flanger .

Depth

See Flanger .

Decay

This sets how much to feedback into the flanger. A high value will give a normal flanger, and a low value will increase the amount of resonance that occurs, and hence how weird it sounds.

Reverb

What it Does

Creates many small echoes which merge to give the effect of reverberation. You can control many of the aspects associated with reverb enabling you to fine-tune the effect to any requirement. It is possible to create acoustics such as a bathroom, metallic pipe, room, concert hall and many others.

Use

  • Reverb is used to simulate acoustic space. This is the additional sound which gives a warm "feel" to music. By adding a small amount of reverb to a sound you can give it the same "warm" feel that you tend to experience within an average size room.
  • A good method for creating the reverb you need is to use the effects preview command so that you can gradually change each parameter until you get the desired reverberation.
  • Initial early reflections give the reverb a sense of room size, whilst the reverb time sets how long it take before the reflection reduce to below 60dB of the original impulse. The filtering options allow you to simulate how the reflections are absorbed, this tends to give a more natural feel to the reverberation.

Parameters

Reverb Time

Sets the time taken for the reverberant sound to become virtually silent.

Pre-Delay

Sets the delay take before the initial echo starts, this helps give the impression of the size of the room.

Depth

Sets how loud the reverb is.

Diffusion

Sets the amount to which each reflection merges into a continuous sound; a low diffusion gives echoes while a high diffusion gives reverb.

Controls

Advanced

Opens the advanced reverb controls which enable you to change the individual reflection sizes and the material absorption of the walls.

Advanced Reverb Parameters

Size

Sets the time used for each reflection echo. A small size will give a buzz quality to the reverb and is more useful for small reverb times, while a large size gives a more natural echo sound for longer reverb times.

Early Level

Sets the level of the early reflection.

High Freq Cutoff

Sets the cut-off frequency which gets absorbed by the walls. Materials tend to absorb the higher frequencies so settings this to around 3kHz will give a more natural reverb.

High Freq Level

Sets how much of the higher frequencies is remaining after each reflection. Setting this to a low percentage will quickly absorb the high frequencies giving a short dull reverb.

Clip Distort

What it Does

This effect causes the sounds amplitude to be boosted so much that the sound clips. In fact it doesn't actually get louder (unless you increase the level), but rounds the high levels of the sound off by a set amount, causing the sound to appear clipped.

Use

  • This is great for making your sounds appear really bad, or making guitars sound really good. You can get all sorts of effect depending on the sound you use, and the levels you set. You can achieve an effect such as a blown speaker, or a heavy metal sound.

Parameters

Amplify

Sets how much to increase the level by after distorting it. Increases the further can add even more
distortion to the sound.

Level

This sets where to clip the sound. A really low value will virtually destroy the sound (lots of
distortion).

Distort

What it Does

Basically the same as Clip Distort, but instead of just clipping the sound to the set level, this actually boosts the levels below to the maximum, giving lots of distortion!

Use

See Clip Distort .

Parameters

Amplify

See Clip Distort .

Level

See Clip Distort .

Metallic

What it Does

Adds a true metallic feel to the sound, making it sound is if it was being played via a piece of metal, or a very bad radio! It is great for making virtually sound completely distorted, yet is totally unlike clip distortion.

Use

  • Add a different form of distortion to create unique sounds.

Parameters

Length

This sets how “metallic” to make it sound. A really low value makes the sound very high pitched and extremely metallic. A large value gives a rumbly type of distortion. Making the length vary over time can cause a great effect. Enable the variation checkbox and set the variation to go from a low value to a high value over a second or so. This gives a strange sounding high pitch sweep throughout your sound

Auto Lowpass Filter

What it Does

This effect follows the highest frequency with an intensity above a set level, any frequency higher than this is assumed to be noise and can be filtered automatically.

Use

  • To remove high frequency noise in a dynamic sound which can have sections of signal (sound above the set intensity) which may enter into the normal filtered region of a static lowpass filter and would normally be removed also.

Parameters

Low Intensity

Sets the intensity which the frequencies must be above to stop the filtering. The filter is calculated from the highest frequency towards to the lowest frequency, once a frequency is detected which is above this intensity value, the lowpass filtering frequency is set.

Change Rate

Sets over how much time the lowpass filter must change. This helps control sudden high frequency burst and sudden changes in a filter can give a synthetic quality to the sound.

Gain

Sets the gain applied to the frequencies within the high frequency band which is being filtered.

Comb Filter

What it Does

This effect causes some frequencies (multiples of the base frequency) to be cancelled out, giving a "comb" frequency response. This can be seen using the 2D Frequency Graph, there are dark bands running through the sound at intervals starting with the frequency you set.

Use

  • The effect is similar to a negative flanger, if you allow the base frequency to vary over time you can achieve similar phasing effects to flanging.
  • Can be used to remove harmonic frequencies set from the base frequency.

Parameters

Frequency

This sets the base frequency to cancel.

Feedback

Setting the value to high level can reinforce the cancellation and causes the remaining frequencies to become stronger.

Depth

Sets the level of how much the cancellation occurs.

FIR Filter

What it Does

This uses a Finite Impulse Response (FIR) filter. These can be faster than the FFT base filtering but do not give as much frequency precision control. Using the variation options allow you to use this to create frequency sweeping effects such as a resonant filter.

Use

  • To remove unwanted frequencies.
  • To create filters which sweep in and out using time variations.
  • To boost frequencies to give enhanced bass for example.

Parameters

Filter Type

Low/High-Pass: This type uses the Low Frequency Cut-off to set the frequency which determines where the pass level for the low frequencies lies. The stop level in this case set the gain applied to all frequencies above this point.

  • Setting the pass level to 100% and the stop level to 0% acts as a low-pass filter.
  • Setting the pass level to 0% and stop level to 100% acts as a high-pass filter.

Band-Pass: This uses both Low and High frequency cut-offs to form a band of frequencies, which lie between the two values. This band is the pass band.

  • Setting the pass level to 100% and stop level to 0% act as a band-pass filter.
  • Setting the pass level to 0% and the stop level to 100% act as a band-reject or
    notch filter.

Low Freq Cutoff

Sets the low frequency passed by the filter.

High Freq Cutoff

Sets the high frequency passed by the filter.

Pass Level

Sets the level of the frequencies passed (allowed through) by the filter.

Stop Level

Sets the level of the frequencies stopped (not allowed through) by the filter.

Resolution

This sets how accurate the filter is. Setting a high value will cause the filter to take longer but will make it more precise. A low value is faster, but may not cleanly remove the required frequencies (it may leave some behind).

Note: It is advisable to use a low resolution when previewing (unless you have a fast computer). Values around 30-40 are usually good enough for most filtering.

Resonant Filter

What it Does

Applies a high gain to a band of frequencies which can then be swept around the frequency spectrum.

Use

  • To create a sweeping effect used mainly on dance loops to add whooshing effect which can sound similar to the more common flanger.

Parameters

Frequency

This sets the base frequency used for the sweep, or the cut-off for the low/highpass filtering.

Gain

The gain applied to the sound, mainly used to reduce clipping for high resonance gain.

Resonance

This is the gain applied to simulate the resonance, this is more commonly a high value but can be set to other values to create a different sounding effect.

Width

When using a bandpass filter type, this sets the width of bandpass filter.

Filter Type

Lowpass: the resonance gain is applied to frequencies below the frequency cutoff.

Highpass: the resonance gain is applied to frequencies above the frequency cutoff.

Bandpass: the resonane gain is applied to frequencies within the pass band.

Change Pitch

What it Does

This effect can be used to alter the pitch of a sound, making it sound deep or squeaky.

Use

  • This is usually used on voices to give the type of effect used to do smurf style voices, or such comic voicing as fat Harry white (BBC Radio 1). Using the variation option can give pitch bending or vibrato effects.

Parameters

Scale

This sets what you wish the pitch to be scaled to. Setting it to 200% will double the pitch and 50% will half it.

Window

Pitch changing separates the sound into small chunks, in a similar way to the FFT functions. This sets how big the chunks should be. Setting this high will give an echo effect, which can give some interesting results. Making it too small can make the effect sound too coarse. The best method for finding this value is with experimentation.

Window Overlay

To prevent clicking at window boundaries, each window overlaps with the others. This sets by how much this should happy. Increasing this level will reduce clicks, but can also degrade the sound quality. Again, experimentation is the best solution.

Apply Filter

Changing the pitch can move some frequencies outside the range of the Nyquist Frequency. Filtering the sound prior to changing the pitch reduces aliasing, and gives a clearer sound.

Pitch Chorus

What it Does

This applies two pitch changes to the sound, then merges them with the original.

Use

  • It can be used to make one sound seem like many (like the delay chorus), or just to make voices sound really weird!
  • To give a sci-fi style quality to a sound.

Parameters

Low/High Scale

See Clip Distort .

Low/High Level

This sets the volume of the two altered copies of the sound.

Dry Level

This sets the level of the original sound.

Window

See Clip Distort .

Pitch Scaler

What it Does

This effect can be used to alter the pitch of a sound, making it sound deep or squeaky. This effect uses the frequencies to resynthesis the sound and can give a very high quality pitch change depending upon the sound used and the pitch scaling applied. This effect can also correct formant changes usually associated with pitch scaling and so can turn a male voice into a female voice and female to male.

Use

  • This is usually used on voices to give the type of effect used to do smurf style voices, or such comic voicing as fat Harry white (BBC Radio 1). Using the variation option can give pitch bending or vibrato effects.
  • To change a male voice into a female voice, or female to male.
  • To tune a voice for a particular track.

Parameters

Scaling

This sets what you wish the pitch to be scaled to. Setting it to 200% will double the pitch and 50% will half it.

Smoothness

When correcting the formant structure, this sets how much of the formants should be remapped. A high values will give the overall impression of the formants, lower values will reduce the pitch scaling effect but may result in the sound tending to become more like the unscaled sound.

Formant Correction

Enables the formants to be corrected after pitch scaling. When a voice has a higher pitch, the formants are the same as a lower pitched voice, but after pitch scaling these formats also become scaled and give the squeaky sounds usually associated with pitch shifting and scaling. Formant correction compensates for this to make the sound more like a naturally higher or lower pitched voice.

See Also:

  • Effects
  • Enhancement Effects
  • Restoration Effects
  • Editing


Enhancement Effects

10. Enhancement Effects

The effects within this section are generally used for enhancing sound quality. As with all effects within Soundprobe, this is not their only function. Most of the following effects can be used for other reasons such as special effects that enable you to create more artistic sounds.

Brighten/Smooth

This type of filter effect is a general effect, this enables you to use the effect in real-time and to use time variations with the appropriate parameters.

What it Does

Changes the clarity of the sound, either by boosting the high frequencies to create a bright sound, or removing them to make it dull.

Use

  • Making the brightness negative has the opposite effect and causes the sound to become dull, this essentially filters out the higher frequencies. By applying a variation to the brightness you can make the sound fade in from a dull sound into the full clear sound or vice versa.

Parameters

Brightness

This sets the level to boost the brightness of the sound. By making this negative you can filter the sound giving a dulling or smoothing effect.

Channel Enhancer

This type of filter effect is a general effect with advanced FFT options, this enables you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Separates stereo sound into its stereo components enabling you to apply a different gain to each part.

Note: the quality of this effect depends on the stereo sound used, if you find this has little or no affect then the original track may have been mono, or has too many effects applied over the stereo image making it difficult to separate the individual components.

Use

  • To alter the stereo image of a tune by changing the left and right gains.
  • To boost the vocal track of a tune.
  • To remove the vocals from a tune.
  • To increase the stereo of track by using a sine time variation to vary the gain on the left and right channels.

Parameters

Left Channel

Sets the gain applied to the separated left channel.

Right Channel

Sets the gain applied to the separated right channel.

Voice Channel

Sets the gain applied to the separated voice or centre channel.

Clean Start/End

This type of effect does not support real-time processing or time variations. The sound is taken from a document and can have its length modified.

What it Does

Removes any silence from the start and end of your sound.

Use

  • To remove the start and end silence from a sound.

Parameters

Clean

Sets the section of the sound to remove silence from.

Start Level

Sets the level of the start of the sound, anything below this will be treated as silence.

End Level

Sets the level of the end of the sound, anything below this will be treated as silence.

Fade Time

Sets the time over which to fade the start and end of the sound.

Fade Edges

Selects whether to fade the edges of the sound after silence has been removed.

DC Adjust

This type of effect does not support real-time processing or time variations. The sound is taken from a document which is processed directly.

What it Does

When recording, some sound cards will introduce a small offset from the zero line, this can also happen with some effects. You can correct this offset and set the zero amplitude of the sound back onto the correct zero line.

Use

  • To set the zero sample value to the correct position.

Parameters

Current DC Offset

This shows the current correction amount. It is possible to enter value/s manually, this can be used to make known correction, or to force distortion effects.

Recalculate from selection

This uses the selection from the active sound. With this option you should select a section of silence, or low sound level, then fetch the offset correction. You can then apply this to the whole sound.

Recalculate from time

This uses the start of the destination up to the time you set.

Automatic DC Offset

Enabling this option will automatically calculate the correction when you click okay or apply. It is usually best to use a section of silence to find the true offset, this option use the whole sound you are processing.

Frequency Enhancer

What it Does

Enables you to apply a gain to rapidly changing sections, usually associated with high frequency sounds, such as hi-hats.

Use

  • To enhance the sound in a similar way to brighten by applying a gentle boost to the frequencies associated with hi-hats.

Note: this effect is best used gently, large increases in the gain of some frequency components can result in a very synthetic sound with artifacts.

Parameters

Low Frequencies

This controls how much of the slower changing sound is taken into account whilst calculating the frequencies to apply gain to. Setting this value too high can result in a warbbling effect on the sound. Settings this to 0% or a low value (under 40%) uses mainly rapid changing sounds to calculate the frequencies to apply the gain to.

Gain

The gain applied to the frequencies calculated from rapid changes in the sound. Generally this works best for boosting these frequencies rather than trying to reduce them. Values over 0 dB (100 %) will boost these frequencies.

DeNoise

This type of filter effect is a general effect, this enable you to use the effect in real-time and to use time variations with the appropriate parameters.

What it Does

You can remove low level samples which usually make up background noise.

Use

  • Remove some noise from areas in which the sound level is low.
  • Create a poor bit resolution type quality.

Note: this effect can introduce distortion due to the nature of attenuating low level samples, if you need to remove noise try the more advanced FFT based noise filters first.

Parameters

Attenuation

Sets by how much to reduce any sample value below the noise level.

Level

Sets the noise level which is attenuated.

Dither Noise

This type of filter effect is a general effect, this enable you to use the effect in real-time and to use time variations with the appropriate parameters.

What it Does

Adds a small amount of noise in areas of low level sound to help hide the quantization noise associated with low sound levels. This is usually only used for 8-bit sound which has noticeable quantization noise.

Use

  • Hides quantization noise.

Parameters

Low Level

Sets the level of the sound below which noise is added.

Noise Level

Sets the level of the noise which is added to low level sound.

Expander

This type of filter effect is a general effect, this enable you to use the effect in real-time and to use time variations with the appropriate parameters.

What it Does

Adjusts the gain applied to the sound depending on the current and previous amplitude of the sound.

Use

  • You can create a compressor which reduces the sound in areas of high amplitude and increases the sound in areas of low amplitude to give the sound a more constant sound level.
  • You can create a noise gate which reduces the sound in areas of low amplitude to try and hide any low level noise, and then increases the sound in areas of high amplitude to increase the signal-to-noise ratio.
  • You can increase the sound level for beats by applying a high gain when the sound level increases rapidly, making the beat more noticeable.

Parameters

Level

Sets the overall gain applied to the sound.

Low Onset

Sets the level below which the expansion takes places.

High Onset

Sets the level above which compression takes place.

Attack

Sets the time for the gain applied to the sound to change to either the compression or expansion from the set overall gain when the sound level is is within either the compression or expansion regions.

Compression

Sets the amount to compress the sound level by. It is also possible to set a negative percentage and cause the sound to be expanded, or negatively compressed.

Note: This value is best viewed as a percentage, negative percentages will cause the sound level to be expanded and positive values will give the usual compression of the sound level. The centre of the slider is 0% and gives no compression, if the slider is moved to the left side it is in the expansion region, and to the right is compression.

Expansion

Sets the amount to expand the sound level by. It is also possible to set a negative percentage and cause the sound to be compressed, or negatively expanded.

Note: This value is best viewed as a percentage, negative percentages will cause the sound level to be compressed and positive values will give the usual expansion of the sound level. The centre of the slider is 0% and gives no expansion, if the slider is moved to the left side it is in the compression region, and to the right is expansion.

Recovery

Sets the time for the gain applied to the sound to change from either compression or expansion to the set overall gain when the sound level is no longer in either the compression or expansion regions.

Stereo Expand

This type of filter effect is a general effect, this enable you to use the effect in real-time and to use time variations with the appropriate parameters.

What it Does

Controls the stereo image enabling you to increase the stereo width, or boost the surround sound depth to give your tune a whole new feel.

Use

  • To increase the stereo image of a tune.
  • To remove the stereo image and give a mono tune.
  • To increase the surround sound channels level of a tune.
  • To increase the vocals in a tune.

Parameters

Centre

Sets the gain applied to the centre or voice channel.

Width

Sets the stereo separation, a low width is the original stereo separation, increasing the width moves the left and right channel apart to create a more noticeable stereo sound.

Depth

Increases the depth of the surround sound channel.

Thumper

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Boosts the low bass frequencies in time with the higher bass frequencies to give a strong bass to a tune.

Use

  • To enhance the bass of a tune.
  • To make drums go with a bang.
  • To liven flat music.

Parameters

Boost

Sets the maximum gain which the low bass frequencies are allowed to be boosted by.

Gain

Sets the overall gain applied to the sound to compensate for the applied boost.

Low Frequency

Sets the highest frequency which is boosted, this is the low frequency bass.

Bass Frequency

Sets the highest frequency above the low frequency to use to calculate the boost from, this is the upper bass frequency.

Decode Channel

This type of effect doesn't support real-time processing or time variations. The sound is taken from a document and creates a new document with the result.

What it Does

Separates the stereo channels of a tune and enable you to create a new sound from them.

Use

To remove the surround channel from a tune.

Parameters

Decode Channel

Select one of the stereo channels to decode.

Decode To

Selects where to decode the channel to.

Decode From

Select which sound to decode the channel from.

Encode Channel

This type of effect doesn't support real-time processing or time variations. The sound is taken from one document and processed into another.

What it Does

Encodes the stereo channels of a sound. You may also use the decode channel effect to remove a channel, and then recode the channel back into the tune.

Use

  • To encode the surround channel into a tune.
  • To recode a decoded channel back into a tune.

Parameters

Encode Channel

Select which stereo channel you want to encode or recode the select sound into.

Encode To

Select where to encode or recode the channel to.

Encode From

Select which mono sound to use for the channel to encode or record.

Resample

This type of effect doesn't support real-time processing or time variations. The sound is taken from a document which may has its length and attributes modified.

What it Does

Changes the attributes of the sound normally set when you record it.

Use

  • To change the sampling rate.
  • To change the bit resolution.
  • To change the channels contained within a sound.

Parameters

New Rate

Sets the new sampling rate to convert the sound to.

Resolution

Sets the new bit resolution to convert the sound to.

Channels

Sets the channel to convert the sound to.

Filter

Select whether to apply filtering to improve the resampling of the sound to the new sampling rate, this removes any frequencies which would be outside the available frequencies for the new sampling rate and prevents aliasing.

Conversion

Selects the method to use for converting the bit resolution.

Pitch Stretch

This type of effect doesn't support real-time processing or time variations. The sound is taken from a document which may have its length modified.

What it Does

Changes the play time of a sound without changing the pitch, or changes the pitch without changing the play time. This effect performs the time/pitch stretching by resynthesising the sound using its frequencies, this can give a slight echo or synthetic quality depending upon the sound used, and the stretching ratio.

Use

  • To play a sound back slower or faster without changing the pitch.
  • To increase or decrease the pitch without change the time the sound takes to play.
  • To adjust the play time of a sound so that it matches a time needed for it to be played back, for example you could decrease the time a sound plays back in such that it matches the time between transitions in a video production.

Parameters

New Size

Sets the new time to time stretch the sound to.

Size Ratio

Sets the new size of the sound as a ratio of the current size, this is also used for pitch stretching.

Bands

Sets the number of frequency bands to split the sound into. Each band is time stretched using a higher time resolution method for the higher frequencies to improve the time resolution and quality of the final result.

Note: Using more bands allows a higher precision stretch but takes considerably longer to process.

Formant Correction

Selects whether to correct the formant shifting due to the pitch stretching when you are not preserving the duration of the sound.

Post-Filter

Applies a filter to reduce band leakage from the frequency split bands, this improves the overall quality of the resulting sound.

Keep Duration

Selects between time stretching and pitch stretching. By keeping the duration of the sound you time stretch to the new size, otherwise the pitch is stretch by the ratio.

Apply Brighten

Applies the brighten effect to improve any loss in the higher frequencies.

Resolution

Selects the time or pitch stretch accuracy used for the lowest frequencies, the higher frequencies tend towards a higher time resolution starting from the resolution set for the low frequencies.

Time Stretch

This type of effect doesn't support real-time processing or time variations. The sound is taken from a document which may have its length modified.

What it Does

Changes the play time of a sound without changing the pitch. This effect time stretches by using the time information of the sound and resynthesis new sections using the sound already present.

Use

  • To play a sound back slower or faster without changing the pitch.
  • To adjust the play time of a sound so that it matches a time needed for it to be played back, for example you could decrease the time a sound plays back in such that it matches the time between transitions in a video production.

Parameters

New Size

This sets the new duration for the time stretched or compressed sound.

Window

This sets how long in time each resynthesis section should be. If this is small, a grainy sound quality can sometime be introduced, if this is too high then the sound may become echoed. The windows size depends upon the sound, and by how much you time stretch or compress, it is best to take a small section of sound and try various settings to find the best quality.

Window Overlay

This sets how much each window should overlap. This help to reduces clicks which can occur due to the differences in the sound of each window. Each overlapped window is cross faded into its neighbours.

See Also:

  • Effects
  • Restoration Effects
  • Special Effects
  • Editing


Restoration Effects

11. Restoration Effects

The effects within this section are generally used for restoring sound quality. As with all effects within Soundprobe, this isn't their only function. Most of the following effects can be used for other reasons such as enhancing sounds or special effects which enable you to create more artistic sounds.

Artifact Filter

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Removes isolated frequency components which can be caused by FFT based processing, including MP3 compression.

Use

Isolated frequencies usually show up as sudden bursts of pure tunes which give a synthetic quality to the sound. By removing these you can reduce the even remove the bursts and improve the quality of the sound.

Parameters

Low Intensity

Sets the level that the intensity must drop below to indicate there is no frequency component.

High Intensity

Sets the signal level, above this there is a recognised frequency component.

Reduction

Sets by how much the matched isolated frequency component should be reduced by.

Low Width

Sets the minimum space which must lie between two signals to identify them as isolated.

High Width

Sets the frequency width that must be above the high intensity level to recognise it as a signal.

Spread

How much to spread the filtering by to also remove any additional frequencies associated with the found isolated signal.

Equalizer

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Filters or boosts the 10 selected frequency bands to improve the sound quality by either reducing unwanted noise or boosting specific frequencies.

Use

  • Unequalized sound is flat and uninteresting, by boosting some of the frequencies you can add a new dimension to the sound. The flatness is usually caused by a lack of bass frequencies which go up to approximately 800 Hz and treble frequencies which are over 4 kHz.
  • Noise or unwanted signals tend to reduce the quality of the sound. By filtering out these you can greatly improve the listening experience. When you have a constant signal such as low frequency hum, you can remove or reduce the effect by simply filtering the frequencies which make up the noise.
  • You can use a time variation to create multiple sweeping filters by create a sweeping time variation which filters each band and offsetting each bands variation.

Parameters

Master

Sets the overall gain applied to the sound.

Bands

Sets the gain applied to the named frequency band.

Controls

Reset Bands

Sets all gains back to 0 dB.

Frequency Filter

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Filters or boosts any frequency band to control specific frequencies to great accuracy.

Use

  • Unwanted signals such as hum can be difficult to remove without careful control of the filter so you don't loose the surrounding frequencies. This effect can be controlled to remove an exact frequency band to the accuracy you set for the FFT.
  • By using a time variation you can fade in and out of a filter, or sweep the filter over a range of frequencies to create the popular sweeping effects heard in many dance tunes. With the powerful time variations that Soundprobe offers, you can create virtually any arrangement of sweeping filters quickly and easily and hear the results as you make the changes.

Parameters

Low Freq

Sets the lowest frequency to filter.

High Freq

Sets the highest frequency to filter.

Pass Level

Sets the gain applied to the frequencies which are outside the filters frequency band.

Stop Level

Sets the gain applied to frequencies which are within the filters frequency band.

Filter Type

Sets the frequency band which gets filtered.

Frequency Shaper

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to control the processing of the effect to great precision with the advanced FFT options and although there are no time variation parameters the envelope can be manually changed in real-time.

What it Does

Filters or boosts the whole frequency range using an envelope to control the equalization.

Use

  • Unequalized sound is flat and uninteresting, by boosting some of the frequencies you can add a new dimension to the sound. The flatness is usually caused by a lack of bass frequencies which go up to approximately 800 Hz and treble frequencies which are over 4 kHz.
  • Noise or unwanted signals tend to reduce the quality of the sound. By filtering out these you can greatly improve the listening experience. When you have a constant signal such as low frequency hum, you can remove or reduce the effect by simply filtering the frequencies which make up the noise.

Parameters

Frequency Profile

The shape of the frequency profile sets the gain applied to each frequency point. Each handle controls the shape of the profile, new handles can be added in a similar way to the vector variations envelope.

See Vector Variations.

Controls

Reset

Sets the profile to 0 dB.

Remove

Removes the selected handle.

Harmonic Filter

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Filters or boosts the harmonics of a frequency band.

Use

  • The flanger effect is created when the harmonics of a frequency are removed whilst the frequency is swept along the spectrum. By using a time variation to vary the frequency you can create the same style of effect with exact control over the harmonic filters and the amount they are affected, plus the sweeping can be exactly controlled.
  • The phaser effect is similar to the flanger except the harmonics are boosted. By using the time variation of the fundamental frequency you can create the same style of effect but with exact control giving a whole new life to the old style phaser effect.
  • Unwanted signals can sometimes have harmonics associated with them. You can use this filter to remove the fundamental frequency of the signal and all its associated harmonics.
  • To give a new life to your sound you can boost the harmonics of the main dominant frequency in your sound.
  • As with the flanger and phaser, you can create a whole range of sweeping filter effects. Try using another sound as the variation.

Hint: if you find another sound makes the filter change too quickly, set the Accuracy to Advanced and limit the time for the filter changes.

Parameters

Frequency

Sets the fundamental frequency to filter.

Width

Sets the frequency width centred on the fundamental frequency to filter.

Gain

Sets the gain to apply to the filter frequency band.

Harmonics

Sets the number of harmonic frequencies to filter from the fundamental frequency.

Type

Sets the type of harmonics filters.

Shape

Sets the gain applied to the harmonics, to filter the harmonics by the same gain use the Flat shape.

Filter Aliased Frequencies

If enabled, the harmonic frequencies which are beyond the frequency range available with the sounds sampling rate will be aliased back into the available frequency range. If disabled, the alias frequencies will not be filtered.

Intensity Filter

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

You can filter or boost certain frequencies based on their intensity.

Use

  • To remove low intensity signals, usually noise.
  • To remove high intensity signals such as sudden bursts, or drums.
  • To create interesting sweeping filters which remove parts of the signal as the intensity changes.

Hint: if you find too much of the sound is being remove, set the Accuracy to Advanced and use the frequency change limit and also the filter change limit.

Parameters

Low Intensity

Sets the lowest frequencies intensity to filter.

High Intensity

Sets the highest frequencies intensity to filter.

Pass Level

Sets the gain applied to a frequency with an intensity not within the filters band.

Stop Level

Sets the gain applied to a frequency with an intensity within the filters band.

Decay Time

Sets the time over which the gain is allowed the change. Using a higher decay time can prevent sudden changes in the filter which can cause a synthetic quality in the resulting sound.

Filter Type

Sets the intensity band for the filter.

Repair Clipping

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Improves the sound quality of distorted sound which is a result of the volume gain being too high causing the sound to be clipped.

Use

  • To remove the frequency harmonics associated with clipping which cause the sound quality to be degraded.

Parameters

Clip Level

Sets the level of the guess clipping from which the clipped harmonics are calculated.

Gain

Sets the gain of the resulting sound, this should normally be less than 0 dB to recover clipped sound.

Reduction

Sets the additional amount to reduce the clipped harmonics within the sound. Heavy reduction can also cause distortion of the sound, using 0 dB will reduce the harmonics by the calculate amount.

Attack

Sets the time over which the filter for the clipped harmonics come into affect. This allows you to control the filter to ignore small clipped sections which can suddenly change the sound and cause a synthetic quality to the result.

Release

Sets the time over which the filter for the clipped harmonics is allowed to change. This allows you to control the filter to prevent suddenly changing the sound which can cause a synthetic quality to the result.

Depopper

This type of filter effect is a general effect, this enable you to use the effect in real-time and to use time variations with the appropriate parameters.

What it Does

Removes sudden changes in the power level of the sound.

Use

  • To remove pops and clicks associated with scratches in vinyl.

Parameters

Sensitivity

Sets by how much the power of a small interval of the sound is allowed to exceed the surround sound.

Threshold

Sets by how much the release of a sudden impulse is allowed to be before detecting it as a pop or click.

Intensity Range

Sets the frequency intensities to calculate the sounds power from.

Reduction

Sets by how much any section which is detected as a click is reduced by when using the Reduction method of repairing the sound.

Low-Pass

Sets the frequency above which the sound is filtered which the sections is detected as a click when using the Lowpass Filter method of repairing the sound.

Method

Sets how to repair the sound.

Search

Sets the width of the section to calculate the sounds power over and to detect as a click.

Frequency Subtractor

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Subtracts one sound from another using their frequency domain. Unlike subtraction in the time domain, frequency subtraction will not introduce new frequencies, it will only remove them.

Use

  • To remove one sound from another. For example you could remove the cry of a baby, someone sneezing, a bass-line, a vocal track or any other sound that you may want to remove. To subtract only that sound you need to either isolate the exact sound, or if you have a section of your audio which only the babies cry, or someone sneezing, you could then use that to subtract only those frequencies from a section in which other sounds appear also.

Hint: to remove the sound exactly you will need to align the times as closely as possibly, and may need to increase the FFT resolution to improve the subtraction process.

Parameters

Source

Sets the sound to use for the subtraction.

Document

Sets the document to use for the subtraction when using a Document as the source.

Amount

Sets the amount to subtract the source from the sound you are applying the effect to.

Hiss Reduction

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to use time variations with the appropriate parameters and to control the processing of the effect to great precision with the advanced FFT options.

What it Does

Reduces or removes low intensity noise from your sound.

Use

  • To remove low intensity noise.
  • To remove background noise or hiss.
  • To remove tape hiss.

Hint: if you find the filtering removes too much of your sound, or gives a synthetic result, set the Accuracy to Advanced, and use the frequency change limit.

Parameters

Noise Floor

Shows the intensity of the noise floor below which you want to filter any frequencies.

Decay Time

Sets the time over which the filter turns off from detecting frequencies above the noise floor, this prevents the synthetic quality which can result from frequency processing.

Reduce

Sets the amount to reduce any frequency below the noise floor.

Filter Type

Sets whether to remove the noise, or to remove the sound and keep only the noise.

Controls

Scan Noise Floor

Automatically scans the sound and calculates an approximate noise floor, use this as a guide and adjust the floor using the effects Preview feature to find the best floor level.

Noise Reduction

This type of filter effect is a general effect with advanced FFT options, this enable you to use the effect in real-time, to control the processing of the effect to great precision with the advanced FFT options and although there are no time variation parameters the parameters can be manually changed in real-time.

What it Does

Removes a constant frequency pattern from your sound.

Use

  • To remove an unwanted signal.

Hint: if you find too much of the sound is being remove, set the Accuracy to Advanced and use the frequency change limit and also the filter change limit.

Parameters

Magnitude

Sets the magnitude type to use to create a filter from.

Scan

Sets how to create a filter pattern from the sound.

dB Range

Sets the lowest dB intensity used for creating the filter when using the dB Magnitude type.

Log Scaling

Sets the scaling applied to the log function when using the Log Magnitude for creating a filter.

Filter Profile

Sets the gain profile applied over the filter when applying it to the sound. This allows you to control how the filter affects each frequency. You can add and remove handles in a similar way to the vector variations.

See Vector Variations.

Level

Sets the level for the selected frequency profile handle.

Reduction

Sets the amount to apply the filter to the sound, 0 dB will apply the full filter.

Remove Noise

Selects to keep use the filter to remove the noise pattern.

Keep Noise

Selects to use the filter to remove any sound not within the noise pattern.

Controls

Scan Noise

Scans the currently active document to create a noise pattern for the filter.

Load Noise

Loads a saved noise pattern from a file.

Save Noise

Save the current noise pattern to a file.

See Also:

  • Effects
  • Enhancement Effects
  • Special Effects
  • Editing


12. Saving Sounds

You can save sounds in many file formats. If you intend to repeatedly edit a sound it is best not to save it initially as a compressed format, which may degrade the sound quality each time it is save.

Saving Sounds

Soundprobe enables you save sounds in any of the file formats supported. Soundprobe uses a file format plug-in system designed to allow expansion of the available file formats supported. New plug-ins for Soundprobe are available from www.soundprobe.com you can also find the latest updates for the current file format plug-ins.

Saving Files

The Save File dialog enables you to save any sound file from Soundprobe. The Save File dialog is similar to the Open File dialog, file formats may have different options for saving than loading.

See Using the Open File dialog.

To save the document:

  • Select File > Save.

or

  • Click the Save icon on the standard toolbar .

To save the document as a new file:

  1. Select File > Save As.
  2. Select the new filename.
  3. Click Save.

To save a copy of the document:

  1. Select File > Save Copy As.
  2. Select the filename.
  3. Click Save.

To save all opened documents:

  • Select File > Save All.

or

  • Click the Save All icon on the standard toolbar .

To save a file as a different format:

  1. Select File > Save As.
  2. Select the new filename.
  3. Select the file format from the Save As Type drop-down list.
  4. Click Save.

Note: some file formats give you additional formats and settings by clicking on the Options button.

Converting File Formats

The batch converter enables you to quickly change the file format of sound files. This can be useful for compiling a collection of uncompressed sound files from formats such as mp3 ready for burning to CD.

To convert a single file:

  1. Select File > Open.
  2. Select the file to convert.
  3. Click Open.
  4. Select File > Save As.
  5. Select the new filename.
  6. Select the new file format from the Save As Type drop-down list.
  7. Click Save.

To convert multiple files:

  1. Select Tools > Batch Converter.
  2. Click Add Files to display the open file dialog.
  3. Select the files you wish to convert.
  4. Click Open to add them to the convert list.
  5. Select the new file format from the Format drop-down list.
  6. Click Browse.
  7. Select the folder where you want to save the new files.
  8. Click OK.
  9. Click Convert.

Sharing Sounds

By using the Windows clipboard it is possible to share sounds with other applications, this links Soundprobe with any other sound or music software on your system which can also use the Windows clipboard.

To share a sound with other applications:

  1. Make a selection around the sound you want to share.
  2. Select Edit > Windows Clipboard > Copy.

To share sounds from other applications:

  1. Select Edit > Windows Clipboard > Copy to Internal.
  2. Select Edit > Internal Clipboard > To New Document.

Saving Sections

When recording music from vinyl or tape, it is possible to mark each track automatically with regions, or to quickly select each track which can easily be spotted with the graph modes available in Soundprobe. The large file support of over 2Gb recording makes Soundprobe ideal for recording many tracks ready for editing, or saving.

To save the current selection:

  1. Select Edit > Save Selection.
  2. Select the filename and file format.
  3. Click Save.

To save a region:

  1. Right-click on the region.
  2. Select the Select menu item.
  3. Select Edit > Save Selection.
  4. Select the filename and file format.
  5. Click Save.

See Also:

  • Environment
  • Sound Sections
  • Getting Sounds into Soundprobe


Visualisation

13. Visualisation

Soundprobe offers a number of ways to visualise the sound input and output from within Soundprobe. You may open as many of these as your system has resource for, each may have its own settings, screen position and each can monitor the sound input or output independently.

To open a new visualisation:

  1. Select the Visualisation menu.
  2. Select the type of visualisation you want to open from the menu list.

To close all visualisation:

  • Select Visualisation > Close All.

To reload all visualisation at startup:

  1. Select Tools > Properties.
  2. Select the Options tab to display the options pages.
  3. Enable the Load Last Visualisation At Startup option.
  4. Click OK or Apply to set the changes.

To open the properties for a visualisation:

  1. Right-click within the visualisation to display the visualisation pop-up menu.
  2. Select Properties.

To select sound input or output monitoring:

  1. Right-click within the visualisation to display the visualisation pop-up menu.
  2. Select Input or Output.

To close a visualisation:

  • Click the close icon on the visualisation window.

To disable or enable a visualisation:

  1. Right-click within the visualisation to display the visualisation pop-up menu.
  2. Deselect or select the Enable option from the pop-up menu.

To resize a visualisation window:

  1. Move the mouse cursor to any edge of the window, the cursor will change to a resizing cursor.
  2. Click and drag the window size to the size you want.

To set the response of a visualisation to sound changes:

  1. Right-click within the visualisation to display the visualisation pop-up menu.
  2. Select Properties.
  3. Set the Response slider to the time you want to use between updates of the VU meter.

Note: a smaller time interval will use more CPU time and may slow down other processes within Soundprobe and other applications.

VU Meter

Shows the peak sound level at small intervals in time, enabling you to see how the overall volume envelope of the sound changes over time.

To set the colour for an element of the VU meter:

  • Click on the coloured box to the right side of the elements name.

To use a solid bar colour:

  • Disable the Gradient Fill check box for the bar colour.

To use a graded bar colour:

  • Enable the Gradient Fill check box for the bar colour.

To use a solid background colour:

  • Disable the Gradient Fill check box for the background colour.

To use a graded background colour:

  • Enable the Gradient Fill check box for the background colour.

To change the style of the VU meter:

  • Enable or disable the check box in the Options ground to change the components used on the VU meter.

To set the high and low volume levels:

  • Set the High and Low level sliders to the dB level for high and low sound level indication.

To set the drop off time for the bars:

  • Set the Drop-Off slider to the time interval you want to use for the bars to drop to zero when the sound level goes to zero.

Light Organ

Shows the intensity of the main three frequency bands as a colour change from black to the set colours for each band. The colours for each band are mixed together to give an overall colour which you see.

To set the colour for a frequency band:

  • Click on the coloured box to the right side of the frequency bands name.

To set the drop off time for the colour change:

  • Set the Drop-Off slider to the time interval you want to use for the colour change to black when the sound level goes to zero.

To set the lowest intensity shown:

  • Set the dB Range slider to the lowest intensity which causes a colour change.

LR-Correlation

Shows the correlation between the left and right channels by using an FFT.

To set the colour of an element of the meter:

  • Click on the coloured box to the right side of the elements name.

To set the resolution used for the correlation:

  • Set the Resolution slider to the value you want to use for the FFT.

To set the drop off time for the graph:

  • Set the Drop-Off slider to the time interval you want to use for the graph to become flat when the correlation becomes zero.

Oscilloscope

Shows the changing sound for a set amount of time over the width of the window.

To set the colour of an element of the scope:

  • Click on the coloured box to the right side of the elements name.

To set the time displayed:

  • Set the Width slider to the length of time you want to show along the horizontal axis of the oscilloscope.

To set the drawing mode:

  • Select a drawing mode from the Draw Mode drop-down list.

To enable or disable axes:

  • Enable or disable the Show Axes check box.

To fade the previous scope view:

  • Enable the Show History check box.

To wipe the previous scope view:

  • Disable the Show History check box.

To set the fade amount:

  • Set the Fade slider.

Spectrogram

Shows the frequencies contained within the sound vertically with the intensity of each frequency band being shown as a change in colour. As the frequencies change the spectrogram is scrolled enabling you to see how the frequencies change over time.

To set the colour of an element of the spectrogram:

  • Click on the coloured box to the right side of the elements name.

To set the resolution used for the frequency display:

  • Set the Resolution slider to the value you want to use for the FFT.

To set the lowest intensity displayed:

  • Set the dB Range slider to the lowest intensity you want displayed.

To set the mid-colour position:

  • Set the Mid-Colour slider to the percentage for the mid colour.

2D Polygon Frequency

Shows the frequencies contained within the sound horizontally and their intensities vertically.

To set the colour of an element of the frequency display:

  • Click on the coloured box to the right side of the elements name.

To set the resolution used for the frequency display:

  • Set the Resolution slider to the value you want to use for the FFT.

To set the lowest intensity displayed:

  • Set the dB Range slider to the lowest intensity you want displayed.

To set the drop off time for the graph:

  • Set the Drop-Off slider to the time interval you want to use for the graph to drop to zero when the intensity becomes zero.

3D Frequency Graph

Shows the frequencies contained within the sound horizontally and their intensities vertically, the graph is scrolled backwards enabling you to see how the frequencies change over time.

To set the colour of an element of the frequency display:

  • Click on the coloured box to the right side of the elements name.

To set the resolution used for the frequency display:

  • Set the Resolution slider to the value you want to use for the FFT.

To set the lowest intensity displayed:

  • Set the dB Range slider to the lowest intensity you want displayed.

To set the drop off time for the graph:

  • Set the Drop-Off slider to the time interval you want to use for the bars to graph to zero when the intensity becomes zero.

Spectrum Analyser

Shows the frequencies contained within the sound horizontally and their intensities vertically in a similar fashion to a VU meter.

To set the colour of an element of the frequency display:

  • Click on the coloured box to the right side of the elements name.

To set the number of frequency bands:

  • Set the Bands slider to the number of bars to display.

To set the lowest intensity displayed:

  • Set the dB Range slider to the lowest intensity you want displayed.

To set the drop off time for the graph:

  • Set the Drop-Off slider to the time interval you want to use for the bars to drop to zero when the intensity becomes zero.

To display axes:

  • Enable the Show Axes check box.

To display solid bars:

  • Disable the bars Gradient Fill check box.

To display gradient bars:

  • Enable the bars Gradient Fill check box.

To display a solid background:

  • Disable the backgrounds Gradient Fill check box.

To display a graded background:

  • Enable the backgrounds Gradient Fill check box.

See Also:

  • Sound Input and Output
  • Properties
  • Tools


Tools

14. Tools

Soundprobe has a number of tool to assist in your sound editing experience.

Batch Converter

You can quickly convert many files from one file format to another, for example you may want to convert WAV files to MP3 for use with a portable MP3 player.

To open the batch converter:

  • Select Tools > Batch Converter.

To add files to the convert list:

  1. Select Add Files to display the open file dialog.
  2. Select the files you wish to add.
  3. Click Open to add them to the convert list.

To remove a file from the list:

  1. Select the file you want to remove from the list.
  2. Click Remove to remove it from the conversion list.

To change the convert file format:

  1. Select the Format drop-down list.
  2. Select the file format from the list.

To change a selected file formats option:

  1. Select the file format from the Format drop-down list.
  2. Click Options.

Note: not all file formats support options, the Options button will be disabled if it is not supported.

To change the output folder:

  1. Click Browse.
  2. Select the folder into which you want to save your converted files.
  3. Click OK to set the output folder.

To start conversion:

  • Click Convert.

Mixing Desk

You can quickly mix many sounds together from loops, bass lines to vocals to create your final mix. The mixing desk works in a similar way to a standard physical mixing desk. You can have as many tracks as your system can handle, hear the mix in real-time or mix them into a new document or file creating your final mixed tune.

Options

To create your mix you need to setup the mixing desk by setting the output quality and options. For speed you can hear the mix in real-time, but for quality

To set the attributes for the mixing:

  1. Select the mixer 16-Bit or 32-Bit radio button to set the mixing resolution.
  2. Select the mixer Mono or Stereo radio button to set the mixing channels.
  3. Set the mixing sampling Rate .

Note: mixing is always done in stereo, selecting Mono will convert the output from stereo to mono by mixing the left and right channels.

To automatically resample all tracks to match the mixing sampling rate:

  • Enable the mixer Auto Resample check box.

To mix to a new document:

  • Select the mixer New Document radio button.

To mix in real-time while recording to a new document:

  • Enable the mixer Real-Time Mixing check box, this will enable you to manually change the the mixing parameters during the mixing.

To mix to a file:

  • Select the mixer File radio button.

To mix in real-time only:

  • Select the mixer Real-Time Only radio button, this will play the mix without recording it to a document.

To set the length of time for the mix:

  1. Deselect the mixer Auto check box.
  2. Set the mixer Length.

To automatically set the time of the mix:

  • Enable the mixer Auto check box, this will set the time to the longest track in the mix.

Tracks to Tunes

To add a new track:

  • Click Add.

To remove a track:

  1. Click the tracks tab.
  2. Click Remove.

To clear all tracks:

  • Click Clear All.

To duplicate a track:

  1. Click the tracks tab.
  2. Click Duplicate.

To reset a tracks options:

  1. Click the tracks tab.
  2. Click Reset.

To reset all track options:

  • Click Reset All.

To load a mixer file:

  1. Click Load.
  2. Select the mixer file.
  3. Click Open.

To save a mixer file:

  1. Click Save As.
  2. Select the filename for the mixer file.
  3. Click Save.

or

  • Click Save.

To append a mixer file to the current tracks:

  1. Click Append.
  2. Select the mixer file.
  3. Click Open.

Mixing

To change the overall settings:

  • Click the Master track tab.

To set the volume:

  • Set the Left and Right sliders.

To set the tempo:

  1. Enable the Tempo check box.
  2. Set the Tempo slider.

To equalize the sound:

  1. Enable the Equalizer check box.
  2. Set the Equalizer sliders.

To delay the start of a track:

  1. Enable the Delay Start check box.
  2. Enter the delay time into the Delay edit box.

To start from an offset in a track:

  • Enter the offset time into the Offset edit box.

To loop a track:

  1. Enable the Loop check box.
  2. Enter the number of times to loop the track into the Loop edit box.

To set the input channel of a track:

  1. Select the Input drop-down list.
  2. Select the input channel from the list.

Note: if the sound in the track is mono, the Input drop-down list will be disabled.

To set the output for a track:

  1. Select the Output drop-down list.
  2. Select the output channel from the list.

To use a document for a track:

  1. Select the Document radio button.
  2. Select the document from the document drop-down list.

To use a file for a track:

  1. Select the track File radio button.
  2. Click Browse.
  3. Select the file to use for the track
  4. Click Open.

Note: only uncompressed file formats can be used for mixing from a file. If you wish to use MP3 files, first convert them to WAV using either the batch converter, or by opening them then using save as to change the format. Alternatively you can open the MP3 file into a document and use the document for the track, you may want to use workspaces for quickly opening document tracks; the documents must already be opened before using the mixer.

Statistics

To select the channel for the statistics:

  1. Select the Channel drop-down list.
  2. Select the channel from the list.

To change the section of the sound used for the statistics:

  • Select the Selection button to display the selection edit dialog.

To recalculate the statistics:

  • Select the Recalculate button.

General

To select between a dB display and the sample values:

  • Enable or disable the Show dB check box.

Frequency

To set the resolution for the frequency display:

  • Set the Resolution slider to the FFT size you want to use.

To set the lowest intensity shown:

  • Set the dB Range slider.

To set the window used for the FFT:

  1. Select the Window drop-down list.
  2. Select the Windowing equation from the list.

To set the magnitude type of the display:

  1. Select the Magnitude drop-down list.
  2. Select either Linear or a dB magnitude display from the list.

To change between filled and line graph drawing:

  • Enable the Filled check box to draw the graph as a solid colour.

Amplitude

To change between filled and line graph drawing:

  • Enable the Filled check box to draw the graph as a solid colour.

To change between normalized x-axis and dB:

  • Enable or disable the Use dB check box.

RMS

To change between filled and line graph drawing:

  • Enable the Filled check box to draw the graph as a solid colour.

To change between normalized x-axis and dB:

  • Enable or disable the Use dB check box.

To set the window size used to calculate the RMS values:

  1. Select the Window edit box.
  2. Enter the time to use for the RMS calculations.

Delta

To change between filled and line graph drawing:

  • Enable the Filled check box to draw the graph as a solid colour.

To change between normalized x-axis and dB:

  • Enable or disable the Use dB check box.

Loop Crossfader

To create a new loop:

  • Click New to add a loop and open the edit region dialog.

See Sound Sections > Creating and Editing Regions .

To edit the current loop:

  1. Select the loop from the Loop drop-down list.
  2. Click Edit to open the edit region dialog.

See Sound Sections > Creating and Editing Regions .

To select another loop:

  • Select the loop from the Loop drop-down list.

To play the current loop:

  1. Select the loop from the Loop drop-down list.
  2. Click Play to play the loop.

To show the current loop:

  1. Select the loop from the Loop drop-down list.
  2. Click Zoom to show the loop.

Cross Fading

To cross fade the attack into the loop to smooth the entering into a loop:

  1. Enable the Attack-Fade check box.
  2. Set the attack-fade Length slider to the time to cross-fade the loops attack.

To cross fade the end of the loop to match the start of the loop for smooth looping:

  1. Enable the Pre-Fade check box.
  2. Set the pre-fade Length slider to the time to cross-fade the loops end.

To cross fade the post loop section for smooth transitions from a loop:

  1. Enable the Post-Fade check box.
  2. Set the post-fade Length slider to the time to cross-fade the section after the loop.

To set the cross fade slope type:

  • Set the Slope slider, a 0% slope is linear, a 100% slope is curve.

Equalizing

To create a synthesised continuously loopable section of sound from your loop:

  1. Enable the Equalize check box.
  2. Set the Grains slider to the number of sections to split the loop into for synthesis .

Note: All sections within the loop will be merged together and repeated over the whole loop to give a continuously loopable sound.

Tone Generator

Simple Tones

To create a single sine wave:

  1. Set the Base Frequency slider to the sine waves frequency that you want to create.
  2. Set the first Level slider to 100%.
  3. Set the other Level sliders to 0%.
  4. Enter 1 into the first Base X edit box to set the first level as the fundamental frequency .
  5. Select the Wave Type drop-down list and select Sine.
  6. Enter the time you want to create the sine wave for into the Tone Length edit box.
  7. Set the L and R Volume sliders to 0dB.
  8. Disable all Variable check boxes to make the tone generation static.
  9. Set each Phase edit box to 0.
  10. Click OK to create a new document with the sine wave and to close the tone generator dialog.

To create a sine wave with harmonics:

  1. Set the Base Frequency slider to the frequency that you want to use for the fundamental frequency.
  2. Set the first Level slider to 100%.
  3. Set the other Level sliders to: 70%, 50%, 30%, 10%.
  4. Enter 1 into the first Base X edit box to set the first level as the fundamental frequency.
  5. Enter the following into the other Base X edit boxes: 3,5,7,9.
  6. Select the Wave Type drop-down list and select Sine.
  7. Enter the time you want to create the sine wave for into the Tone Length edit box.
  8. Set the L and R Volume sliders to 0dB.
  9. Disable all Variable check boxes to make the tone generation static.
  10. Set each Phase edit box to 0.
  11. Click OK to create a new document with the sine wave and to close the tone generator dialog.

To set the harmonic frequencies:

  1. Set the Base Frequency slider to the frequency that you want to use for the fundamental frequency.
  2. Enter the frequency multiple into the Base X edit boxes for each harmonic , for example 2 is double the base frequency.

To set the relative amplitudes of the harmonics:

  • Set the Level slider for the Base X harmonic.

Note: the percentages of each level slider is relative to the highest level you set, to change the overall level use the Volume sliders.

To set the fundamental frequency:

  • Set the Base Frequency slider.

To set the type of fundamental tone generated:

  1. Select the Wave Type drop-down list.
  2. Select the fundamental tone type from the list.

To set the length of time to create a tone:

  • Enter the time into the Tone Length edit box.

To set the phases used for the tone generation:

  • Enter the phase differences in degrees into the three phase edit boxes.

To set the overall volume of the generated tone:

  • Set the L and R Volume sliders.

Complex Tones

To create sweeping frequency tones:

  1. Set the Base Frequency slider to the sine waves frequency that you want to create.
  2. Set the first Level slider to 100%.
  3. Set the other Level sliders to 0%.
  4. Enter 1 into the first Base X edit box to set the first level as the fundamental frequency.
  5. Select the Wave Type drop-down list and select Sine.
  6. Enter the time you want to create the sine wave for into the Tone Length edit box.
  7. Set the L and R Volume sliders to 0dB.
  8. Disable all Variable check boxes except the Variable Frequency check box to make the tone level generation static.
  9. Enable the Variable Frequency check box to enable the time variation for the fundamental frequency.
  10. Click the Variation button.
  11. Select the Type drop-down list and choose the Linear type.
  12. Set the Start slider to 200 Hz.
  13. Set the End slider to 10000 Hz.
  14. Click OK to set the variation and close the variation dialog.
  15. Set each Phase edit box to 0.
  16. Click OK to create a new document with the tone and to close the tone generator dialog.

To create a siren tone:

  1. Set the Base Frequency slider to the sine waves frequency that you want to create.
  2. Set the first Level slider to 100%.
  3. Set the other Level sliders to 0%.
  4. Enter 1 into the first Base X edit box to set the first level as the fundamental frequency.
  5. Select the Wave Type drop-down list and select Sine.
  6. Enter the time you want to create the sine wave for into the Tone Length edit box.
  7. Set the L and R Volume sliders to 0dB.
  8. Disable all Variable check boxes except the Variable Frequency check box to make the tone level generation static.
  9. Enable the Variable Frequency check box to enable the time variation for the fundamental frequency.
  10. Click the Variation button.
  11. Select the Type drop-down list and choose the Sine type.
  12. Set the Min slider to 1000 Hz.
  13. Set the Max slider to 5000 Hz.
  14. Select the Period drop-down list and choose the Frequency option.
  15. Set the Frequency to 2 Hz.
  16. Click OK to set the variation and close the variation dialog.
  17. Set each Phase edit box to 0.
  18. Click OK to create a new document with the tone and to close the tone generator dialog.

To create a tone envelope:

  1. Set the Base Frequency slider to the sine waves frequency that you want to create.
  2. Set the first Level slider to 100%.
  3. Set the other Level sliders to 0%.
  4. Enter 1 into the first Base X edit box to set the first level as the fundamental frequency.
  5. Select the Wave Type drop-down list and select Sine.
  6. Enter the time you want to create the sine wave for into the Tone Length edit box.
  7. Set the L and R Volume sliders to 0dB.
  8. Disable all Variable check boxes except the Variable Frequency check box to make the tone level generation static.
  9. Enable the Variable Frequency check box to enable the time variation for the fundamental frequency.
  10. Select the Variation button.
  11. Select the Type drop-down list and choose the Vector type.
  12. Set the Min slider to 200 Hz.
  13. Set the Max slider to 10000 Hz.
  14. Select the Vector Envelope button.
  15. Select the map to Apply Time radio button.
  16. Enable the Use Variation Dialog Limits check box to use the min and max values you set in the previous dialog as the envelope min and max.
  17. Select the Predefined Vectors drop-down list.
  18. Select Exponential from the drop-down list to create an exponential envelope.
  19. Click OK to set the vector envelope.
  20. Click OK to set the variation and close the variation dialog.
  21. Set each Phase edit box to 0.
  22. Click OK to create a new document with the tone and to close the tone generator dialog.

To add tremolo and other volume effects to the tone:

  1. Set the Base Frequency slider to the sine waves frequency that you want to create.
  2. Set the first Level slider to 100%.
  3. Set the other Level sliders to 0%.
  4. Enter 1 into the first Base X edit box to set the first level as the fundamental frequency.
  5. Select the Wave Type drop-down list and select Sine.
  6. Enter the time you want to create the sine wave for into the Tone Length edit box.
  7. Set the L and R Volume sliders to 0dB.
  8. Disable all Variable check boxes except the first Base X Variable Level check box.
  9. Enable the first Base X Variable Level check box.
  10. Select the first Base X Variation button.
  11. Select the Type drop-down list and choose Sine.
  12. Select the Period drop-down list and choose Period.
  13. Set the Period to 1000 ms.
  14. Set the Min slider to 0%.
  15. Set the Max slider 100%.
  16. Click OK to set the variation and close the variation dialog.
  17. Set each Phase edit box to 0.
  18. Click OK to create a new document with the sine wave and to close the tone generator dialog.

See Effects > Controlling Effects Over Time.

See Also:

  • Properties
  • Soundprobe Environment
  • Viewing Sounds
  • Sound Sections
  • Sound Input and Output
  • Editing
  • Effects
  • Visualisation


Preferences

15. Properties

You have a wide selection of options to fully customise Soundprobe to your needs.

General

Recent Files

To change the number of files in the recent file list:

  • Set the Number In Recent File List slider.

To automatically open previous files at startup:

  • Enable the Load Previously Opened Files On Startup.

Registering File Types

To register a file format with Windows to be opened with Soundprobe:

  • Enable the check box to the left of the file formats name in the Register File Types list.

To unregister a file type:

  • Disable the check box to the left of the file formats name in the Register File Types list.

Virtual Memory

To use RAM for document virtual memory:

  1. Select the drop-down list within the Virtual Memory group box.
  2. Select the RAM item from the list.

To use your HD for document virtual memory:

  1. Select the drop-down list within the Virtual Memory group box.
  2. Select the HD item from the list.

To automatically select the virtual memory type:

  1. Select the drop-down list within the Virtual Memory group box.
  2. Select the Auto item from the list.

To set the cache used for the virtual memory:

  • Set the Cache Size slider, a value of around 1MB gives a good balance between disk access and processing speed.

Note: the progress bar update speed is related to the cache size, a larger cache will update the progress bar less often, us a smaller cache size if you like to have the progress bar update in smaller time intervals.

To leave some space on your HD when using HD virtual memory:

  • Set the Leave Space slider.

Note: if you are using the same partition as the Windows virtual memory then it is advisable to leave enough space on your hard disk for Windows to create and manage its own virtual memory.

To speed up graph redrawing from your HD virtual memory:

  • Set the Graph Cache slider, this creates a smaller copy of your sound in RAM to speed up redraw and zooming.

Note: if you zoom into the sound beyond the size of your graph cache then the samples are fetched from the virtual memory which can be considerably slower when using your HD, if using RAM for your virtual memory then you using a large graph cache will make little difference.

Hardware

Input

To set the input device used:

  1. Select the Wave In Device drop-down list.
  2. Select the input device from the list.

To set the input buffer size:

  • Set the Input Buffer slider, a value of between 500 ms to 1000 ms should be enough for most systems to prevent skips during record.

To check your input device capabilities:

  • The Supported Formats list below the Wave In Device shows all the available recording modes that the selected input device has.

See Sound Input.

Output

To set the output device used:

  1. Select the Wave Out Device drop-down list.
  2. Select the output device from the list.

To set the output buffer size:

  • Set the Output Buffer slider, a value of between 500 ms to 1000 ms should be enough for most systems to prevent skips during playback.
  • If you wish to use preview for manual parameter variations then this values should be as low as possible, less than 200 ms, but will need testing on your system.

To check your output device capabilities:

  • The Supported Formats list shown below the Wave Out Device shows all the available recording modes that the selected output device has.

See Sound Output.

Real-Time

To set the real-time attributes:

  • Select the Attributes button to display the real-time attributes dialog:

See Sound > Real-Time Attributes.

To set the real-time buffer size:

  • Set the Real-Time Buffer slider, a value of between 300ms to 1000ms is a good compromise between the real-time response and preventing skips during real-time input processing.

See Sound > Response.

Display

Mouse Wheel

To use the mouse wheel to zoom to the mouse cursor:

  1. Select the mouse wheel Zoom Centre radio button.
  2. Set the Zoom Factor.

To use the mouse wheel to zoom to the centre of the view:

  1. Select the mouse wheel Horizontal Scroll radio button.
  2. Set the Zoom Factor.

To use the mouse wheel to scroll:

  1. Select the mouse wheel Zoom To Cursor radio button.
  2. Set the Scroll Amount.

See Viewing Sounds.

Regions and Markers

To make the regions semi-transparent:

  1. Enable the Translucent Markers/Regions check box.
  2. Set the Visibility to the right of the check box.

To make the regions a solid colour:

  • Disable the Translucent Markers/Regions check box.

To make the play cursor semi-transparent:

  1. Enable the Translucent Play Cursor check box.
  2. Set the Visibility to the right of the check box.

To make the play cursor a solid colour:

  • Disable the Translucent Play Cursor check box.

To make hidden regions semi-transparent:

  1. Enable the Translucent Hide check box.
  2. Set the Visibility to the right of the check box.

To make hidden regions invisible:

  • Disable the Translucent Hide check box.

To change the appearance of regions:

  1. Select one of the Handles At radio buttons to position the handles displayed on the regions.
  2. Select or deselect the Thin Markers check box to change the width of each marker.
  3. Select or deselect the Dotted Markers check box to change the solid line of the marker to dashes.

To only allow regions to be moved by their handles:

  • Enable the Handles Only check box.

To allow regions to be moved by any part of them:

  • Disable the Handles Only check box.

See Sound Sections > Marking Sound Sections.

Selections

To use a solid selection style:

  • Select the Filled Selection radio button.

To use a frame selection style:

  • Select the Framed Selection radio button.

To use selection snapping:

  1. Select the Snap Selection To drop-down list.
  2. Select on the of snap types from the list.

See Sound Sections > Selections.

Parameters

To set the default units used for parameters:

  1. Select the Parameter Units drop-down list.
  2. Select the unit name from the list.

To use the last manually set unit type for each parameter:

  1. Select the Parameter Units drop-down list.
  2. Select Last Used from the list.

See Effects > Parameters.

Misc

To draw the time centre line above the graph:

  • Enable the Centre Line On Top check box.

To automatically hide the viewbar for small windows:

  • Enable the Auto Hide View Bar check box.

To automatically scroll the view during play:

  • Select the Auto Follow Play Cursor check box.

To automatically set the play cursor to the stopped position:

  • Select the Set Cursor On Play Stop check box.

Graphs

To change the attributes for a graph type:

  1. Select the Graph Type drop-down list
  2. Select the graph type from the list that you want to change.

To enable axes around the graph:

  • Enable the Axes check box.

To set the horizontal coordinate type:

  1. Select the Horiz Coord drop-down list.
  2. Select the coordinate type from the list.

To set the vertical coordinate type:

  1. Select the Vert Coord drop-down list.
  2. Select the coordinate type from the list.

Time Graphs

To enable a grid behind the graph:

  • Enable the Grid check box.

To display the peak values above the graph:

  1. Enable the Peaks check box.
  2. Set the Peak Level slider to the sample level above which to display a label showing the peak value.

To set the draw mode:

  1. Select the Draw Mode drop-down list.
  2. Select the mode from the list.
  3. Select the Plot drop-down list.
  4. Select the plot method for the graph from the list.

Note: the Plot type is only available from some draw modes.

Frequency Graphs

To set the frequency resolution:

  • Set the Resolution slider.

To set the magnitude type:

  1. Select the Magnitude drop-down list.
  2. Select the type from the list, the most useful is the dB display.

To set the lowest intensity shown for the dB magnitude display:

  • Set the dB Range slider.

Hint: by adjusting the range from higher intensities to lower ones you can visually find the level at which noise or unwanted sounds appear on the graph.

To set the FFT window:

  1. Select the Window drop-down list.
  2. Select the windowing equation from the list.

2D-Frequency Graph

To set the mid-colour percentage:

  • Set the Mid-Colour slider to the position you want to use for the mid-colour that you set for this graphs colours.

3D-Frequency Graph

To set the drawing mode:

  • Set one of the 3D Draw Mode radio buttons.

Hint: the Line mode is the fastest 3D drawing mode.

To set the angle of the graph:

  • Set the Angle slider.

To increase the redraw speed:

  • Set the Step slider to a higher value, this sets at how many pixel positions the frequency pattern is fetched from the sound.

To increase the time resolution of the graph:

  • Set the Step slider to a lower value, this will fetch the frequency pattern at smaller time intervals.

See Viewing Sounds.

Colours

To change the listed colour items available:

  1. Select the Type drop-down list.
  2. Select the colour item group from the list.

To set the colour of a listed item:

  1. Select the item from the displayed list.
  2. Select the Custom button to display the colour selector dialog.
  3. Choose your colour.
  4. Click OK to set the colour and close the colour selector dialog.

To change the font used for the axes:

  1. Select the axes Font button.
  2. Click within the coloured box next to the font button to change the fonts colour.

To change the font used for the peak labels:

  1. Select the peaks Font button.
  2. Click within the coloured box next to the font button to change the fonts colour.

To change the font used for the region labels:

  1. Select the markers Font button.
  2. Click within the coloured box next to the font button to change the fonts colour.

Editing

To change the folder used for the editing virtual memory:

  1. Select the Browse button.
  2. Select the folder to use for the editing virtual memory.
  3. Click OK to set the folder.

To change the type of virtual memory used for editing:

  1. Select the drop-down list next to the Browse button.
  2. Select the virtual memory type from the list.

Undo

To have unlimited undo buffers:

  • Enable the Unlimited Undo Buffers check box.

To set a limited number of undo buffers:

  1. Deselect the Unlimited Undo Buffers check box.
  2. Set the Undo Buffers slider to the maximum number of undo buffers you want to use.

To enable the redo system:

  • Enable the Redo check box.

See Editing > Correcting Mistakes.

Editing

To apply pre or post processing when editing:

  • Enable the check box for the processing operation you want to have automatically applied.

See Editing > Pre and Post Processing.

Frequency Editing

To use an FIR filter for frequency editing:

  1. Select the Filter Type drop-down list.
  2. Select the FIR Filter from the list.
  3. Set the FIR Resolution slider.

To use an FFT based filter for frequency editing:

  1. Select the Filter Type drop-down list.
  2. Select the FFT Filter from the list.
  3. Select the Accuracy drop-down list.
  4. Select the Accuracy of the FFT filter from the list.

See Effects > Accuracy.

To prevent the results from an edit or effect being applied beyond the selected frequency band:

See Editing > Frequency Editing.

Options

To change an option:

  • Enable or disable the option from the displayed list.

See Also:

  • Tools
  • Soundprobe Environment
  • Troubleshooting
  • Keyboard Shortcuts
  • Hints and Tips


Hints and Tips

16.a. Hints and Tips

  1. To visually find clicks and pops:

    1. Use the 2D Frequency Graph to visualise the sound.
    2. Look for bright vertical lines, these are created by sudden changes in the sound which are usually associated with clicks and pops.
    3. Increase the dB Range for the 2D Frequency Graph in the properties to find quieter clicks and pops, around -80 dB should give a clear difference between the clicks and the surrounding sound.

    or

    1. Using the Auto Region Creator to search for clicks, this will then create a region around each click that it finds.

  2. To create a volume ADSR envelope:

    1. Use the Volume effect with a time variation enabled for the gain.
    2. Select the time variation as the Vector option and use the vector envelope to create your ADSR envelope.

  3. To prevent a toolbar from docking:

    1. Hold down CTRL while moving the toolbar.

  4. To prevent smooth editing:

    1. Hold down SHIFT when selecting the command, or selecting apply.

  5. To stop clicks at edit/effect boundaries:

    1. Use smooth editing to smooth the changes caused by editing the waveform. All editing commands will have a smooth transition at the boundaries so that you can easily cut and paste sound without worrying about any glitches in the waveform. This also applied to effects to prevent clicks caused by a sudden sound change after processing with an effect, this is especially useful when using frequency editing which can give dramatic changes in the sound.

  6. To visually remove a band of frequencies:

    1. Use the 2D-Frequency graph to visualise the sound and to allow frequency editing.
    2. Enable the frequency editing option.
    3. Make a selection around the frequencies you want to remove.
    4. Select clear to remove the frequencies selected.

  7. To turn off tips:

    1. Select Tools > Properties.
    2. Select the Options tab.
    3. Deselect the Show Tip Of The Day At Startup option.
    4. Select OK.

  8. To change the toolbars displayed:

    1. Select View > Toolbars.
    2. Enable or disable the toolbars from the menu list.

  9. To see frequency changes during time editing:

    1. Use the 2D-Colour Time Graph, the colour of the graph at each point in time is created from the frequencies present, the colours for each major frequency band is set in the properties, each bands colour is then mixed to give the final colour.

  10. To undo all changes:

    1. Select File > Revert.

    or

    1. Select View > Undo/Redo History.
    2. Select Undo All.

  11. To speed up undo:

    1. Select Tools > Properties.
    2. Select the Editing tab.
    3. Deselect the Allow Redo option to turn off redo, this will nearly double the speed of each undo.
    4. Select OK.

  12. To group commonly used files for editing:

    1. Open all the sound files you want to group into TheRoom.
    2. Select File > Save Workspace to create a workspace file.
    3. Next time you need to use these files, simply open the workspace file to open all the needed sound files into Soundprobe.

  13. To preview a cut:

    1. Select Edit > Cut Play.

  14. To preview an effect:

    1. Select the effect you want to preview.
    2. Select the Preview button.

  15. To mix many tracks together:

    1. Select Tools > Mixer.
    2. Use the track mixer to create your tune from the tracks, you can mix as many as your computer can handle.

  16. To get information about the sound in the clipboard:

    1. Select View > Clipboard Viewer.

  17. To find the lowest frequency intensity:

    1. Use the 2D Frequency Graph, then change the lowest intensity shown on the graph from the Graph Properties.

  18. To speed up editing and effects:

    1. Disable the redo option from Tools > Properties then in the editing tab. Also disable the Undo operation if you have no use for it.

  19. To share an effect preset with others:

    1. Use the Effects Preset Manager in the tools menu to save the preset/s as a file. You can then e-mail this to others, or e-mail it to us at: presets@soundprobe.co.uk and we will compile a list of presets for user on www.soundprobe.com.

  20. To turn off confirmation messages:

    1. Select Tools > Properties and click on the options tab. From here you can enable or disable various confirmations.

  21. To turn off the completion beep:

    1. Select Tools > Properties.
    2. Click on the options tab.
    3. Disable the Beep when finished option.
    4. Click OK.

  22. To turn off the splash screen:

    1. Select Tools > Properties.
    2. Click on the options tab.
    3. Disable the Show splash screen option.
    4. Click OK.

  23. To limit the frequencies an effect can change:

    1. Enable frequency editing.
    2. Select the band of frequencies you want to use to limit the effect.
    3. Select your effect and apply it to the selection.

Further hints and tips will be made available on www.soundprobe.com visit here for the very latest information.


Keyboard Shortcuts

16.b. Keyboard Shortcuts

Key | Operation
+ | Zoom in to centre
- | Zoom out from centre
SHIFT + | Zoom in as mouse wheel
SHIFT - | Zoom out as mouse wheel
R | Zoom to selection
A | Zoom out fully
CTRL O | Open file
CTRL N | New document
CTRL W | Close document
CTRL S | Save document
CTRL X | Cut
CTRL V | Paste
CTRL T | Chop
CTRL DEL | Erase
CTRL M | Open mix
CTRL TAB | Next window
SHIFT CTRL TAB | Previous window
SHIFT LEFT ARROW | Decrease the selection length by one pixel
SHIFT RIGHT ARROW | Increase the selection length by one pixel
CTRL LEFT ARROW | Scroll left by one page
CTRL RIGHT ARROW | Scroll right by one page
LEFT ARROW | Move the play cursor left by one pixel
RIGHT ARROW | Move the play cursor right by one pixel
HOME | Scroll to the start
END | Scroll to the end
PAGE UP | Scroll left by a quarter of a page
PAGE DOWN | Scroll right by a quarter of a page
CTRL Z | Undo
CTRL Y | Redo
TAB | Swap the selected channel
CTRL SHIFT N | Clipboard to a new document
CTRL A | Select all
CTRL SHIFT A | Select the view
S | Hide or show the selection
F4 | Show the properties
CTRL I | Fade in
CTRL U | Fade out
CTRL H | Halve volume
CTRL D | Double volume
CTRL E | Normalize
CTRL R | Replace
CTRL L | Clear
CTRL G | Add region
CTRL K | Add marker
CTRL P | Add loop
CTRL J | Add view
CTRL B | Open the mixing desk
CTRL 1 | Change the graph mode to the 2D-Time Graph
CTRL 2 | Change the graph mode to the 2D-Colour Time Graph
CTRL 3 | Change the graph mode to the 2D-Frequency Graph
CTRL 4 | Change the graph mode to the 3D-Frequency Graph
CTRL SHIFT P | Open the loops list
CTRL SHIFT G | Open the regions list
CTRL SHIFT Z | Open the undo history
[ | Halve the selection length
] | Double the selection length
{ | Page the selection left
} | Page the selection right
# | Play the document without the selection
SHIFT <edit/effect> | Hold SHIFT when applying to ignore smooth editing. Hold SHIFT when using frequency editing to play all frequencies.


Troubleshooting

16.c. Troubleshooting

Playing and Recording

When I playing or recording, I hear skipping and/or dropouts.

  • The most likely cause of the problem is that the input/output buffer size is too small, you may need to use a size of a second or more on slower CPUs:
    1. Select Tools > Properties.
    2. Select the Hardware tab.
    3. Increase the input or output buffer size.
  • If this doesn’t solve the problem and you are using a compressed drive, then it is possible that this is using too much CPU time. The best solution is to use an uncompressed drive.
  • It is also possible that you are low on system resources, or that your hard disk is fragmented. Consult the Windows help for information on checking system resources and defragmenting your hard disk.
  • If the sounds have been stored in RAM and you have low memory then Windows will use its own virtual memory, which can also cause the system to be slower. To correct this, make sure you are using your hard disk for the virtual memory.
  • If you are using Windows 2000 then there are known audio problems from which it suffers, check for the latest service pack to see if they have been corrected.
  • If the problem persists it may be that you have a general system problem, try testing your system for any hardware incompatibility between your sound card and another cards in your system. Consult the Windows help for information on checking your system.

When playing files from my SCSI hard drive, I get a warbling effect?

  • A SCSI drive that is connected to a controller that uses a DMA channel (such as the old ISA controllers) may have a lower DMA channel number than your sound card. To fix this you need to set the DMA channel used by your sound card to a low one than your SCSI controller.

Some sounds load fine but won’t play.

  • Soundprobe enables you to open many different file formats. It is possible you have opened a file that has a playback rate that your sound card doesn’t support. Some older sound cards will only play at certain fixed rates, or may only support 8-bit or mono play. You may need to resample the sound to a supported type, see your sound card manual for details or see the Hardware tab in the preferences for information on your soundcard.

When playing the play cursor seems to be at the wrong position.

  • Soundprobe relies on your sound card driver reporting the correct play position. Some sound card drivers don’t do this correctly and will only report at fixed times or even with a fixed offset. Makes sure you have the latest drivers for your sound card.

When playing sounds at some rates, they seem to have the wrong pitch.

  • Some sound cards have fixed playback rates. Trying to play at a different rate will either not output anything, or play at one of the available, incorrect rates, giving a change in pitch. The Microsoft Windows Sound System Version 2.0 and some compatible sound cards contain this bug. Make sure you have the latest drivers for your sound card.

I’m trying record from CD player/microphone/line-in and can’t hear anything.

  • You may have the Windows mixer control set to mute. Trying enabling the VU meter in the advanced record dialog. If you can see the input (the meters move) then you have the input correctly set and the volume is probably muted or low in the Windows mixer. If the VU meter is low but moving, then you may have the record mixer level set too low. If the VU meter stays fixed at low then you probably have the wrong mixer input selected. Try looking in the Windows mixer under the recording section.

When using preview, the sound is crackling and skipping.

  • It is likely that the output buffer size isn’t large enough. Try increasing its size in the Properties. If this doesn’t solve the problem then it is probable that your computer isn’t fast enough to perform the playing and effects processing at the same time.

When using real-time, the sound crackles and skips.

  • It is likely that the real-time buffer size isn’t large enough. Try increasing its size in the Properties - Hardware. If this doesn’t solve the problem then it is probable that your computer isn’t fast enough to perform the playing and effects processing at the same time. Performing real-time processing needs a lot of memory and processing power. You can try decreasing the real-time attributes in the Properties - Hardware. Try decreasing the record rate and changing the input to mono.

Effects

After processing an effect the volume drops.

  • Some effects have a Dry Level, make sure this is not too low. Also, some effects change the volume level depending on the parameters you set. Try increasing any level parameters. If there is still a loss you can use the normalise menu option to boost the volume back to maximum.

After processing an effect the sound becomes distorted.

  • Some effects, such as reverb, use a feedback system. This means that if the parameters are set too high, it is possible that the sound level grows over time. Try reducing some of the levels in the effect; consult the section of the manual on the effect you are using.

Why does it take so long to process a sound?

  • Soundprobe uses very intensive mathematical algorithms for many effects. Examples are the FFT and filtering effects. These require many millions of calculations every second of the sound. Soundprobe also uses the hard drive to store the sound. This means that each effect needs to read and write many times to the hard disk. You can try disabling the undo and redo buffers, and increasing the virtual memory cache size. Processing a CD quality track, which lasts many minutes or hours, will always take a long time. The bigger the amount of data you need to process the longer it will take. If you have anything less than the minimum recommended specifications then the only real solution is to upgrade to a faster computer system.

When I change a parameter and it doesn’t change the preview/real-time output immediately?

  • You can only hear the change every time the output buffer is sent to the sound card. The time this takes is set using the Properties - Hardware output buffer and real-time buffer sizes. This means that having a large buffer size will cause a large delay before you hear any changes.

When changing a parameter, I can’t hear any change using real-time or preview?

  • Most effect support real-time changing of the parameters. Unfortunately it is not always possible to do this, and a few effect parameters are fixed one you have pressed preview/real-time. This can change with each version of Soundprobe as the effect algorithm improves/changes. This affects Very few effect parameters; updates will be made available to improve the small number of parameters affected.

File Formats

When using Soundprobe to create .WAV files for use with CD-R there is a click after each track.

  • Unfortunately some CD-R software does not read the RIFF-WAV format correct and simply skips over a set amount of data which it assumes is the file header. Soundprobe enables you to save more information in the header than the CD-R software knows about, so it leaves a small amount of data in the audio track. Try removing any extra fields in the File Properties, ensuring all author and copyright fields are blank.

When trying to use AIFF file saved with Soundprobe on my Macintosh, it doesn’t recognise the file as a sound file.

  • Soundprobe saves the audio data correctly, but can’t tell the Macintosh what file type it is. You need to manually set the file’s type on the Macintosh.

I’m trying to load a certain file, and it won’t.

  • Soundprobe supports a fixed number of file formats. This will increase with updates of Soundprobe. Ensure you have the latest update. If the latest Soundprobe still doesn’t support it, then there are many free converters that can convert sound files into more popular file formats, such as the SOX utility. Try converting the file to a standard Windows PCM WAV file.

General

I keep running out memory.

  • Try decreasing the graph cache in the Properties. This uses RAM to store the information, so having a large cache will use up a lot of RAM. If you have many sounds loaded, then try closing all sounds you aren’t using. Finally, try decreasing the virtual memory cache, this also uses RAM to store the data.

I keep running out of virtual memory.

  • Soundprobe uses your hard drive for its virtual memory. Make sure you have the correct path set in the Properties - Misc. Also ensure you have as much free space as possible. Soundprobe creates temporary files with the extension “*.sptmp”. Make sure none of these files have been left behind due to Windows crashing. Use the Windows start menu, find files command to search for them on your hard drive.


Glossary

17. Glossary

A
A-D Converter

This is a type of chip which converts the electrical signals from the input sockets into digital information which the computer can understand.

The initials A-D actually stand for Analogue-to-Digital. This means that the chip converts 'Real-World' information into computer data.

Aliasing/Anti-Aliasing

Aliasing is a peculiar effect, which becomes more evident in samples as the sample rate is reduced. The actual effect is caused by the frequencies above twice the sampling rate becoming wrapped into lower frequencies resulting in frequencies in the sound which shouldn't be present.

For the technically minded, this is because the sample rate can't adequately represent the frequencies, which the sound contains. They appear off the end of the sampling frequency spectrum and their energies are dissipated by wrapping back round into the lower end of the spectrum again, cropping up as the frequencies which are not evident in the original (the frequencies become evident as aliases in the original).

Amplitude

The level of the sound measured from the zero line. Amplitude can be measured as the actual sample value, which depends on the sampling resolution, or the most command form is in decibels.

Audio File Format

See File Format.

B
Bass

Low frequency sound usually below 800 Hz.

Bandwidth

The sound which reaches your ear at any given time will often consist of not one, but a number of different frequencies all at once. The human ear can detect frequencies from as low as 25 Hz to about 16-17,000 Hz. This is know as the bandwidth of the ear.

Of course, the term bandwidth can be applied equally to any range of frequencies such as filtering bandwidth (the range of frequencies a filter removes or boosts) or reception bandwidth (the range of frequencies a radio or TV can receive).

Beat

The beat of a sound is usually related to the tempo. This is usually noticeable from the drum beat.

Bit

See Resolution.

Buffer

Within Soundprobe a buffer refers to a section of memory into which Soundprobe stores sound. This is always held in RAM for speed.

Byte

A byte is a single storage location with the computer's memory. In principle, each byte can hold one character of a letter or other document, or one value of an 8 bit sound sample.

See Resolution.

C
Cache

A section of RAM which is used to hold data for a short period while it is changed.

Clicks

Small sudden changes which occur as the result of digital editing, CD errors or sometimes small pops from vinyl. These can quickly be found using either automatic region creation, or via the 2D Frequency Graph within Soundprobe.

Clipboard

The Windows clipboard is section of memory which holds data that can be shared by applications. In the case of Soundprobe this holds the sound that you wish to share between Soundprobe and another audio application, or another application that can use audio and supports the Windows clipboard.

Clipping

This occurs when the level of the sound exceeds the maximum level that can be stored in the selected resolution. This is normally set by your sound card when recording, making sure the input level is low enough to prevent clipping is important in ensuring good quality sound recording.

It can also occur during editing. If you apply an effect, which amplifies the sound level, then the maximum level can exceed the maximum level, which can be stored at the set resolution. If this occurs, it is best to undo the operation, reduce the level of the sound, and retry the effect.

Clipping can easily be spotted where the sound level is at the top/bottom of the graph, and is a noticeable flat section of sound all at the maximum level.

Continuous Recording

The ability to continually record sound until the user stops the recording, the sound recorded is the determined to be the previous time just before recording was stop the length of which is determined by the time set to record.

Compressor

This process reduces the dynamic range of the sound. Some sounds can change dramatically from low levels to high levels. This can cause damage to speakers if the audio level on the amplifier has been increased to hear the low sound level, which then suddenly changes to a high level. A compressor reduces the high levels to give a more constant sound level throughout the sound. Soundprobe offers this process within its Expander effect.

Correlation

In the case of Soundprobe, this means that two sounds are similar. How strongly the correlate determines how similar they are.

CPU

The CPU is the heart of the computer that you are using. The letters CPU stand for Central Processing Unit. Without this, the computer couldn't even run programs! The CPU, also know as the Processor, actually executes the instructions which form the programs that you use.

Cross Fade

The volume of two sounds is faded such that the first sound fades out as the second sound fades in.

Cyclic

To loop continuously.

D
dB

See Decibel.

DC Offset

Most sound cards record with a slight offset from the centre line. This can be seen as the waveform sitting above or below the exact centre line, and can cause distortion if processed repeatedly. Soundprobe has the ability to correct this either during recording, or from the Enhance > DC Adjust menu item.

D-A Converter

This is the exact opposite of the A-D converter.

Decibel

The decibel is a logarithmic unit normally used for signal levels. The ear responds to sound levels logarithmically, which makes decibels a more natural unit when using sounds.

It is measured from a reference level, which is normally the quietist level you wish to measure or can measure. 0 dB represents the maximum amplitude, and it becomes negative as the level decreases.

The lowest level depends upon the resolution of the sound with a sample value of one being the smallest measured value. Zero sound level is normally represented by negative infinity (- INF), but even a level of zero with digital sound has some output.

Destructive Editing

This simply means that any editing or effects you apply are done directly to the file you are editing. Soundprobe uses non-destructive editing, which means that when you open a file, Soundprobe loads this into its own virtual memory and doesn't save the changes until you select save.

Device

A device is usually associated with a piece of hardware connect to your computer. Windows uses a small piece of software known as a device driver to communicate with that hardware.

Dialog

A window in which you usually have OK and Cancel buttons.

Distortion

The effects usually associated with having the gain too high usually causing some form of clipping of the waveform.

Dither

When using a low sampling resolution, a quiet sound can only fill some of the lowest values in the range. This usually occurs with 8-bit sound where the total range is only 256 levels, so a quiet sound may only occupy 1 or 2 levels, giving poor sound quality, which results in white noise. To mask this, adding a small amount of random noise (dither), can force the sound to occupy more of the levels, and also gives a more pleasing sound to the ear rather than the odd pop from the level change between 0 and 1 occasionally.

Document

In Soundprobe a document is where the sound and all associate information is kept internally.

Driver

A device driver is a small piece of software that is used to communicate with a piece of hardware.

See Device.

Dynamic Range

This is the range of variation of the sounds amplitude. A piece of music with many low and high sections has a greater dynamic range than a voice, which has a narrower range.

E
Envelope

Envelope of usually associate with the ADSR (attack decay sustain release), which changes how the amplitude of a sound varies over time. In Soundprobe this can also apply to other parameters and not just the gain (used to create a volume envelope). An envelope in this case is the shape of how the parameter changes over time.

Expander

This is the opposite of a compressor in which the sound level is boosted to increase the dynamic range. In Soundprobe, however, the Expander effect actually combines a compressor and expander into one, allowing you to do both, or either, and even do a noise gate, you are able to dynamically change how the sounds dynamic range changes.

F
Fast Fourier Transform

A technique used to split a sound into its frequencies. The result can then be processed in complex ways and then transformed back.

FFT

See Fast Fourier Transform.

File Formats

A file containing information and how the data within it is stored. In the case of a sound file format, the file contains information about the sound, such as the sampling rate and length, plus the sound data itself.

Fragmented

When many small files have been saved onto a hard disk, it is likely that they have spaces between them (free disk space). When you then save a larger file to your hard disk, the free space is spread over many smaller areas, degrading the speed at which the hard drive can write the data. This is called fragmentation. Windows offers a simple utility to defragment your hard drive (found in the System Tools).

Frequency

As the word implies, this is the number of times something happens within a given time period.

In the case of sound sampling, frequency is the term used to define the speed of a set of sound waves and is measured as the number of sound waves per second (Hertz).

Frequency Editing

The ability to directly edit a spectrogram or other frequency display.

Filter

A filter is something that will prevent a specific element from passing through it. For example, a sieve is a form of filter. You pour flour or sugar into it and the small holes allow the fine grains to pass through, retaining any lumps.

It is possible to selectively remove a range (or band) of frequencies from a sound once it is recorded. The frequencies, which are allowed to stay, are known as the pass band, those, which are to be removed, are said to be in the stop band. The difference between the upper and lower frequency limits of a filter are known as the bandwidth.

H
Hertz (Hz)

Heinrich Hertz was a German physicist who lived in the late-1800s. In the course of his work he discovered that he could generate electromagnetic waves causing electricity to arc between two metallic spheres. The electromagnetic waves that he discovered are used today to send radio and TV transmissions around the world (and beyond).

Subsequently, scientists have used his surname to express the number of time that some form of regular or wave-like event occurs within one second. Hence 50 to 100 Hertz could define the frequency range (or bandwidth) of a hi-fi system's bass speaker. In this case the speaker can reproduce sound waves which repeat from and 100 times per second.

K
kilo Byte (kB)

A kilo is a measure of one thousand. One kilogram (kg) is one thousand grams.

Computers count in multiples of 2 (where as we normally count in multiples of 10) so, to make calculations easier, the computer kilo is 2^10 or 1024.

Therefore a computer which uses 4 kB storage is actually using 4 x 1024 = 4096 bytes of storage space.

M
Memory

The computer's memory is the part of the machine where programs and information such as letters, documents and sound samples are held. This part of the machine is active only when the machine is switched on. Unfortunately, when the computer is switched off, this data is normally lost. Information and programs, which need to be kept, must be saved onto a hard disk for safe keeping before the power to the computer is removed.

N
Note

A note is a single tone, which is generated by playing an instrument. Notes are grouped into sets known as octaves, where they are allocated names starting from A to G and back to A.

Noise Gate

A noise gate is similar to a compressor/expander. It eliminates low level sound by compressing the sections so they become inaudible. This can be used to remove background noise during quiet areas of sound, or remove noise from gap in speech.

Nyquist Frequency

This is the maximum frequency, which can be produced at a given rate. This is half the recorded sampling rate. It is best to record just over twice the maximum frequency you wish to reproduce to prevent aliasing effects.

O
Octave

On a musical keyboard, the traditional white and black keys play musical notes. If you look carefully at the in which these keys are organised, you should notice a repeating pattern.

For every seven white keys, there are a group of five black keys. These twelve keys together form what is known as an octave. Each repeating pattern of keys represents a repeating order of notes. The white keys run from note A to note G and back again. The black keys represent incidental tones which are known as Sharps or Flats (hence 'C sharp' etc.)

The purest form of what is known as 'International A' is defined as the tone represented by a 440 Hz sine wave. Each time you increase the notes by one Octave, you double the frequency, so the 'A' one octave higher is in fact a tone of 880 Hz and the one below is 220 Hz.

P
PCM

Pulse Code Modulation is the standard form used to encode sound digitally. This is the general uncompressed form used by Windows.

Processor

See CPU.

Q
Quantisation

This is a form of distortion, which can occur when the sample volume isn't set correctly. In effect, the problem arises because the digitiser doesn't have enough resolution to accurately retrace the outline of the sound wave.

As a result, steps appear in the digitised waveform. These steps become audible and the ear interprets them as extra harmonics, which weren't present in the original sound.

R
RAM

This is another name for the computer's memory. In actual fact, the letters stand for Random Access Memory. This means that its contents can be changed at any time. One small problem with RAM is that when the power is removed from the computer, it develops amnesia!

Rate

The sampling rate is the number of times the computer scans the sampler every second. Each time the sampler is read, a new sound value is stored in the computer. For example, a sample rate of 10 kHz would mean that Sound Probe will capture 10,000 values of the sound every second.

The sample rate is one of the factors, which determine the quality of the sound recorded into the computer. To an extent, the faster the sample rate, the higher the quality the reproduced sound will be. This causes a problem.

The faster the sampling rate, the quicker the computer's memory fills up. This leads to shorter recording times. Ultimately a compromise will often need to be struck between the size and quality of the recordings, which you make.

Unfortunately only experience can guide you on what the compromise can be. As a guide to beginners, sounds which are very low frequency (lots of bass) such as a bass drum or bass guitars, can be sampled at a lower rate then a sound of a higher frequency, such as a cymbal or singing voice.

Resolution

As you may already know, the computer stores information in its memory. The basic measure of storage is known as a BIT (BInary digiT). If you think of your hands, then one bit is equivalent to one of your fingers. One bit on its own can be used to count from 0 to 1.

Unfortunately, this isn't really a very useful quantity on its own, so these bits are grouped together in clusters of 8 to form a byte. This would be analogous to one hand (but with 8 fingers!). With 8 bits in a cluster in this way, it becomes possible to hold numerical values between 0 and 255 (this is a binary count - don't worry, just accept it as fact). Therefore, an 8-bit sample can have up to 256 different voltage levels. This can provide very good quality for loud sounds, but the ear is too sensitive to be fooled as the sound gets quieter, since the steps are quite coarse and are often detectable.

The next size up from a byte is known as a word and is 16 bits in size, or two bytes. This could be similar to having 8 fingers on both hands. With 16 bits, the computer can store numbers from 0 to 65535. This means that a 16 bit sound sample can have over 65,000 different levels. The human ear is not quite sensitive enough to be able to detect the difference between the steps of a 16-bit sound. Consequently, a sound, which is digitised to a 16-bit resolution, will be subject to less quantisation than an 8-bit sound.

Real-time

Real-time is one of those computer phrases, which don’t appear to make sense at first.

In the early days of computers, they were slow and ponderous by today's standards. They were good at handling business data such as sets of accounts and processing documents, things which they could be left to process overnight and provide the results the following day. This is known as 'batch' processing because the data was gathered during the day and the results provided the next.

This is all well and good but scientific users wanted to analyse things such as sound and the only way in which they could do this was to use special data recorders to capture the information and then download this into the computer later. Often the transfer of the information into the computer took longer than the time to record it. The problem was compounded by the fact that processing this information took even longer still; the scientists wanted to be able to capture and process the information as it happened. Thus the phrase to record and analyse information from the real world in the time it took to happen (i.e. real-time) was born.

Luckily, computers are faster nowadays and Soundprobe has just such real-time facilities. The main area of Soundprobe which uses real-time processing are the real-time effects. These take the input from your sound card, processes it with an effect and send it straight out of the sound card all within less than a second.

S
Sample

Sample is the name given to a sound once it has been recorded into the computer. Once in the machine, it is held as a series of numbers (digital values) which the computer can store and process in its own way.

Sampling

This is the act of recording a signal into a computer via an analogue-to-digital (A-D) converter. Computers don't only sampler sound, they are also used to measure other real-world activity such as temperature, movement, light levels and the like.

This is known as sampling because it is the collection of data on a regular basis over a given time, even if that is months or years!

Sound wave

Sound is transferred from one person's mouth to another's ear by a series of pressure waves, which travel through the air. In principle, these pressure wave are very similar to ripples on the surface of your bath water!

S/N Ratio

Signal-to-Noise ratio is the ratio between the noise level and the actual signal level. Higher ratios give better masking of any noise that may be present.

W
Waveform

Sound is normally invisible because it travels through air. However, it travels as a series of pressure waves, similar to those, which you would see on a still pond when something disturbs the surface. If you could take a cross section across the wave you would see the top of the wave (the peak) and the lowest point (known as the trough).

Z
Zero Crossing

This is the point at which the waveform crosses the zero line. Performing editing at this point reduces the chances of audible clicks due to sudden changes in the waveform.